((typeof self !== 'undefined' ? self : this)["webpackJsonpvisualization_cockpit"] = (typeof self !== 'undefined' ? self : this)["webpackJsonpvisualization_cockpit"] || []).push([[20],{

/***/ "18ff":
/***/ (function(module, exports, __webpack_require__) {

"use strict";


/**
 * Return the mime type for the given `str`.
 *
 * @param {String} str
 * @return {String}
 * @api private
 */
__webpack_require__("fb6a");
__webpack_require__("d3b7");
__webpack_require__("ac1f");
__webpack_require__("1276");
exports.type = function (str) {
  return str.split(/ *; */).shift();
};
/**
 * Return header field parameters.
 *
 * @param {String} str
 * @return {Object}
 * @api private
 */

exports.params = function (str) {
  return str.split(/ *; */).reduce(function (obj, str) {
    var parts = str.split(/ *= */);
    var key = parts.shift();
    var val = parts.shift();
    if (key && val) obj[key] = val;
    return obj;
  }, {});
};
/**
 * Parse Link header fields.
 *
 * @param {String} str
 * @return {Object}
 * @api private
 */

exports.parseLinks = function (str) {
  return str.split(/ *, */).reduce(function (obj, str) {
    var parts = str.split(/ *; */);
    var url = parts[0].slice(1, -1);
    var rel = parts[1].split(/ *= */)[1].slice(1, -1);
    obj[rel] = url;
    return obj;
  }, {});
};
/**
 * Strip content related fields from `header`.
 *
 * @param {Object} header
 * @return {Object} header
 * @api private
 */

exports.cleanHeader = function (header, changesOrigin) {
  delete header['content-type'];
  delete header['content-length'];
  delete header['transfer-encoding'];
  delete header.host; // secuirty

  if (changesOrigin) {
    delete header.authorization;
    delete header.cookie;
  }
  return header;
};

/***/ }),

/***/ "401f":
/***/ (function(module, exports, __webpack_require__) {

"use strict";


__webpack_require__("a4d3");
__webpack_require__("e01a");
__webpack_require__("d28b");
__webpack_require__("d9e2");
__webpack_require__("a630");
__webpack_require__("e260");
__webpack_require__("14d9");
__webpack_require__("fb6a");
__webpack_require__("b0c0");
__webpack_require__("d3b7");
__webpack_require__("ac1f");
__webpack_require__("00b4");
__webpack_require__("25f0");
__webpack_require__("3ca3");
__webpack_require__("159b");
__webpack_require__("ddb0");
function _toConsumableArray(arr) {
  return _arrayWithoutHoles(arr) || _iterableToArray(arr) || _unsupportedIterableToArray(arr) || _nonIterableSpread();
}
function _nonIterableSpread() {
  throw new TypeError("Invalid attempt to spread non-iterable instance.\nIn order to be iterable, non-array objects must have a [Symbol.iterator]() method.");
}
function _unsupportedIterableToArray(o, minLen) {
  if (!o) return;
  if (typeof o === "string") return _arrayLikeToArray(o, minLen);
  var n = Object.prototype.toString.call(o).slice(8, -1);
  if (n === "Object" && o.constructor) n = o.constructor.name;
  if (n === "Map" || n === "Set") return Array.from(o);
  if (n === "Arguments" || /^(?:Ui|I)nt(?:8|16|32)(?:Clamped)?Array$/.test(n)) return _arrayLikeToArray(o, minLen);
}
function _iterableToArray(iter) {
  if (typeof Symbol !== "undefined" && Symbol.iterator in Object(iter)) return Array.from(iter);
}
function _arrayWithoutHoles(arr) {
  if (Array.isArray(arr)) return _arrayLikeToArray(arr);
}
function _arrayLikeToArray(arr, len) {
  if (len == null || len > arr.length) len = arr.length;
  for (var i = 0, arr2 = new Array(len); i < len; i++) {
    arr2[i] = arr[i];
  }
  return arr2;
}
function Agent() {
  this._defaults = [];
}
['use', 'on', 'once', 'set', 'query', 'type', 'accept', 'auth', 'withCredentials', 'sortQuery', 'retry', 'ok', 'redirects', 'timeout', 'buffer', 'serialize', 'parse', 'ca', 'key', 'pfx', 'cert', 'disableTLSCerts'].forEach(function (fn) {
  // Default setting for all requests from this agent
  Agent.prototype[fn] = function () {
    for (var _len = arguments.length, args = new Array(_len), _key = 0; _key < _len; _key++) {
      args[_key] = arguments[_key];
    }
    this._defaults.push({
      fn: fn,
      args: args
    });
    return this;
  };
});
Agent.prototype._setDefaults = function (req) {
  this._defaults.forEach(function (def) {
    req[def.fn].apply(req, _toConsumableArray(def.args));
  });
};
module.exports = Agent;

/***/ }),

/***/ "9c7e":
/***/ (function(module, exports, __webpack_require__) {

"use strict";


__webpack_require__("a4d3");
__webpack_require__("e01a");
__webpack_require__("d28b");
__webpack_require__("d9e2");
__webpack_require__("99af");
__webpack_require__("e260");
__webpack_require__("a15b");
__webpack_require__("14d9");
__webpack_require__("fb6a");
__webpack_require__("b0c0");
__webpack_require__("b64b");
__webpack_require__("d3b7");
__webpack_require__("ac1f");
__webpack_require__("00b4");
__webpack_require__("25f0");
__webpack_require__("3ca3");
__webpack_require__("5319");
__webpack_require__("1276");
__webpack_require__("498a");
__webpack_require__("313d");
__webpack_require__("159b");
__webpack_require__("ddb0");
__webpack_require__("0eb6");
__webpack_require__("b7ef");
__webpack_require__("8bd4");
__webpack_require__("c73d");
function _typeof(obj) {
  "@babel/helpers - typeof";

  if (typeof Symbol === "function" && typeof Symbol.iterator === "symbol") {
    _typeof = function _typeof(obj) {
      return typeof obj;
    };
  } else {
    _typeof = function _typeof(obj) {
      return obj && typeof Symbol === "function" && obj.constructor === Symbol && obj !== Symbol.prototype ? "symbol" : typeof obj;
    };
  }
  return _typeof(obj);
}

/**
 * Root reference for iframes.
 */
var root;
if (typeof window !== 'undefined') {
  // Browser window
  root = window;
} else if (typeof self === 'undefined') {
  // Other environments
  console.warn('Using browser-only version of superagent in non-browser environment');
  root = void 0;
} else {
  // Web Worker
  root = self;
}
var Emitter = __webpack_require__("7297");
var safeStringify = __webpack_require__("375a");
var RequestBase = __webpack_require__("a5fe");
var isObject = __webpack_require__("f953");
var ResponseBase = __webpack_require__("b075");
var Agent = __webpack_require__("401f");
/**
 * Noop.
 */

function noop() {}
/**
 * Expose `request`.
 */

module.exports = function (method, url) {
  // callback
  if (typeof url === 'function') {
    return new exports.Request('GET', method).end(url);
  } // url first

  if (arguments.length === 1) {
    return new exports.Request('GET', method);
  }
  return new exports.Request(method, url);
};
exports = module.exports;
var request = exports;
exports.Request = Request;
/**
 * Determine XHR.
 */

request.getXHR = function () {
  if (root.XMLHttpRequest && (!root.location || root.location.protocol !== 'file:' || !root.ActiveXObject)) {
    return new XMLHttpRequest();
  }
  try {
    return new ActiveXObject('Microsoft.XMLHTTP');
  } catch (_unused) {}
  try {
    return new ActiveXObject('Msxml2.XMLHTTP.6.0');
  } catch (_unused2) {}
  try {
    return new ActiveXObject('Msxml2.XMLHTTP.3.0');
  } catch (_unused3) {}
  try {
    return new ActiveXObject('Msxml2.XMLHTTP');
  } catch (_unused4) {}
  throw new Error('Browser-only version of superagent could not find XHR');
};
/**
 * Removes leading and trailing whitespace, added to support IE.
 *
 * @param {String} s
 * @return {String}
 * @api private
 */

var trim = ''.trim ? function (s) {
  return s.trim();
} : function (s) {
  return s.replace(/(^\s*|\s*$)/g, '');
};
/**
 * Serialize the given `obj`.
 *
 * @param {Object} obj
 * @return {String}
 * @api private
 */

function serialize(obj) {
  if (!isObject(obj)) return obj;
  var pairs = [];
  for (var key in obj) {
    if (Object.prototype.hasOwnProperty.call(obj, key)) pushEncodedKeyValuePair(pairs, key, obj[key]);
  }
  return pairs.join('&');
}
/**
 * Helps 'serialize' with serializing arrays.
 * Mutates the pairs array.
 *
 * @param {Array} pairs
 * @param {String} key
 * @param {Mixed} val
 */

function pushEncodedKeyValuePair(pairs, key, val) {
  if (val === undefined) return;
  if (val === null) {
    pairs.push(encodeURI(key));
    return;
  }
  if (Array.isArray(val)) {
    val.forEach(function (v) {
      pushEncodedKeyValuePair(pairs, key, v);
    });
  } else if (isObject(val)) {
    for (var subkey in val) {
      if (Object.prototype.hasOwnProperty.call(val, subkey)) pushEncodedKeyValuePair(pairs, "".concat(key, "[").concat(subkey, "]"), val[subkey]);
    }
  } else {
    pairs.push(encodeURI(key) + '=' + encodeURIComponent(val));
  }
}
/**
 * Expose serialization method.
 */

request.serializeObject = serialize;
/**
 * Parse the given x-www-form-urlencoded `str`.
 *
 * @param {String} str
 * @return {Object}
 * @api private
 */

function parseString(str) {
  var obj = {};
  var pairs = str.split('&');
  var pair;
  var pos;
  for (var i = 0, len = pairs.length; i < len; ++i) {
    pair = pairs[i];
    pos = pair.indexOf('=');
    if (pos === -1) {
      obj[decodeURIComponent(pair)] = '';
    } else {
      obj[decodeURIComponent(pair.slice(0, pos))] = decodeURIComponent(pair.slice(pos + 1));
    }
  }
  return obj;
}
/**
 * Expose parser.
 */

request.parseString = parseString;
/**
 * Default MIME type map.
 *
 *     superagent.types.xml = 'application/xml';
 *
 */

request.types = {
  html: 'text/html',
  json: 'application/json',
  xml: 'text/xml',
  urlencoded: 'application/x-www-form-urlencoded',
  form: 'application/x-www-form-urlencoded',
  'form-data': 'application/x-www-form-urlencoded'
};
/**
 * Default serialization map.
 *
 *     superagent.serialize['application/xml'] = function(obj){
 *       return 'generated xml here';
 *     };
 *
 */

request.serialize = {
  'application/x-www-form-urlencoded': serialize,
  'application/json': safeStringify
};
/**
 * Default parsers.
 *
 *     superagent.parse['application/xml'] = function(str){
 *       return { object parsed from str };
 *     };
 *
 */

request.parse = {
  'application/x-www-form-urlencoded': parseString,
  'application/json': JSON.parse
};
/**
 * Parse the given header `str` into
 * an object containing the mapped fields.
 *
 * @param {String} str
 * @return {Object}
 * @api private
 */

function parseHeader(str) {
  var lines = str.split(/\r?\n/);
  var fields = {};
  var index;
  var line;
  var field;
  var val;
  for (var i = 0, len = lines.length; i < len; ++i) {
    line = lines[i];
    index = line.indexOf(':');
    if (index === -1) {
      // could be empty line, just skip it
      continue;
    }
    field = line.slice(0, index).toLowerCase();
    val = trim(line.slice(index + 1));
    fields[field] = val;
  }
  return fields;
}
/**
 * Check if `mime` is json or has +json structured syntax suffix.
 *
 * @param {String} mime
 * @return {Boolean}
 * @api private
 */

function isJSON(mime) {
  // should match /json or +json
  // but not /json-seq
  return /[/+]json($|[^-\w])/.test(mime);
}
/**
 * Initialize a new `Response` with the given `xhr`.
 *
 *  - set flags (.ok, .error, etc)
 *  - parse header
 *
 * Examples:
 *
 *  Aliasing `superagent` as `request` is nice:
 *
 *      request = superagent;
 *
 *  We can use the promise-like API, or pass callbacks:
 *
 *      request.get('/').end(function(res){});
 *      request.get('/', function(res){});
 *
 *  Sending data can be chained:
 *
 *      request
 *        .post('/user')
 *        .send({ name: 'tj' })
 *        .end(function(res){});
 *
 *  Or passed to `.send()`:
 *
 *      request
 *        .post('/user')
 *        .send({ name: 'tj' }, function(res){});
 *
 *  Or passed to `.post()`:
 *
 *      request
 *        .post('/user', { name: 'tj' })
 *        .end(function(res){});
 *
 * Or further reduced to a single call for simple cases:
 *
 *      request
 *        .post('/user', { name: 'tj' }, function(res){});
 *
 * @param {XMLHTTPRequest} xhr
 * @param {Object} options
 * @api private
 */

function Response(req) {
  this.req = req;
  this.xhr = this.req.xhr; // responseText is accessible only if responseType is '' or 'text' and on older browsers

  this.text = this.req.method !== 'HEAD' && (this.xhr.responseType === '' || this.xhr.responseType === 'text') || typeof this.xhr.responseType === 'undefined' ? this.xhr.responseText : null;
  this.statusText = this.req.xhr.statusText;
  var status = this.xhr.status; // handle IE9 bug: http://stackoverflow.com/questions/10046972/msie-returns-status-code-of-1223-for-ajax-request

  if (status === 1223) {
    status = 204;
  }
  this._setStatusProperties(status);
  this.headers = parseHeader(this.xhr.getAllResponseHeaders());
  this.header = this.headers; // getAllResponseHeaders sometimes falsely returns "" for CORS requests, but
  // getResponseHeader still works. so we get content-type even if getting
  // other headers fails.

  this.header['content-type'] = this.xhr.getResponseHeader('content-type');
  this._setHeaderProperties(this.header);
  if (this.text === null && req._responseType) {
    this.body = this.xhr.response;
  } else {
    this.body = this.req.method === 'HEAD' ? null : this._parseBody(this.text ? this.text : this.xhr.response);
  }
} // eslint-disable-next-line new-cap

ResponseBase(Response.prototype);
/**
 * Parse the given body `str`.
 *
 * Used for auto-parsing of bodies. Parsers
 * are defined on the `superagent.parse` object.
 *
 * @param {String} str
 * @return {Mixed}
 * @api private
 */

Response.prototype._parseBody = function (str) {
  var parse = request.parse[this.type];
  if (this.req._parser) {
    return this.req._parser(this, str);
  }
  if (!parse && isJSON(this.type)) {
    parse = request.parse['application/json'];
  }
  return parse && str && (str.length > 0 || str instanceof Object) ? parse(str) : null;
};
/**
 * Return an `Error` representative of this response.
 *
 * @return {Error}
 * @api public
 */

Response.prototype.toError = function () {
  var req = this.req;
  var method = req.method;
  var url = req.url;
  var msg = "cannot ".concat(method, " ").concat(url, " (").concat(this.status, ")");
  var err = new Error(msg);
  err.status = this.status;
  err.method = method;
  err.url = url;
  return err;
};
/**
 * Expose `Response`.
 */

request.Response = Response;
/**
 * Initialize a new `Request` with the given `method` and `url`.
 *
 * @param {String} method
 * @param {String} url
 * @api public
 */

function Request(method, url) {
  var self = this;
  this._query = this._query || [];
  this.method = method;
  this.url = url;
  this.header = {}; // preserves header name case

  this._header = {}; // coerces header names to lowercase

  this.on('end', function () {
    var err = null;
    var res = null;
    try {
      res = new Response(self);
    } catch (err_) {
      err = new Error('Parser is unable to parse the response');
      err.parse = true;
      err.original = err_; // issue #675: return the raw response if the response parsing fails

      if (self.xhr) {
        // ie9 doesn't have 'response' property
        err.rawResponse = typeof self.xhr.responseType === 'undefined' ? self.xhr.responseText : self.xhr.response; // issue #876: return the http status code if the response parsing fails

        err.status = self.xhr.status ? self.xhr.status : null;
        err.statusCode = err.status; // backwards-compat only
      } else {
        err.rawResponse = null;
        err.status = null;
      }
      return self.callback(err);
    }
    self.emit('response', res);
    var new_err;
    try {
      if (!self._isResponseOK(res)) {
        new_err = new Error(res.statusText || res.text || 'Unsuccessful HTTP response');
      }
    } catch (err_) {
      new_err = err_; // ok() callback can throw
    } // #1000 don't catch errors from the callback to avoid double calling it

    if (new_err) {
      new_err.original = err;
      new_err.response = res;
      new_err.status = res.status;
      self.callback(new_err, res);
    } else {
      self.callback(null, res);
    }
  });
}
/**
 * Mixin `Emitter` and `RequestBase`.
 */
// eslint-disable-next-line new-cap

Emitter(Request.prototype); // eslint-disable-next-line new-cap

RequestBase(Request.prototype);
/**
 * Set Content-Type to `type`, mapping values from `request.types`.
 *
 * Examples:
 *
 *      superagent.types.xml = 'application/xml';
 *
 *      request.post('/')
 *        .type('xml')
 *        .send(xmlstring)
 *        .end(callback);
 *
 *      request.post('/')
 *        .type('application/xml')
 *        .send(xmlstring)
 *        .end(callback);
 *
 * @param {String} type
 * @return {Request} for chaining
 * @api public
 */

Request.prototype.type = function (type) {
  this.set('Content-Type', request.types[type] || type);
  return this;
};
/**
 * Set Accept to `type`, mapping values from `request.types`.
 *
 * Examples:
 *
 *      superagent.types.json = 'application/json';
 *
 *      request.get('/agent')
 *        .accept('json')
 *        .end(callback);
 *
 *      request.get('/agent')
 *        .accept('application/json')
 *        .end(callback);
 *
 * @param {String} accept
 * @return {Request} for chaining
 * @api public
 */

Request.prototype.accept = function (type) {
  this.set('Accept', request.types[type] || type);
  return this;
};
/**
 * Set Authorization field value with `user` and `pass`.
 *
 * @param {String} user
 * @param {String} [pass] optional in case of using 'bearer' as type
 * @param {Object} options with 'type' property 'auto', 'basic' or 'bearer' (default 'basic')
 * @return {Request} for chaining
 * @api public
 */

Request.prototype.auth = function (user, pass, options) {
  if (arguments.length === 1) pass = '';
  if (_typeof(pass) === 'object' && pass !== null) {
    // pass is optional and can be replaced with options
    options = pass;
    pass = '';
  }
  if (!options) {
    options = {
      type: typeof btoa === 'function' ? 'basic' : 'auto'
    };
  }
  var encoder = function encoder(string) {
    if (typeof btoa === 'function') {
      return btoa(string);
    }
    throw new Error('Cannot use basic auth, btoa is not a function');
  };
  return this._auth(user, pass, options, encoder);
};
/**
 * Add query-string `val`.
 *
 * Examples:
 *
 *   request.get('/shoes')
 *     .query('size=10')
 *     .query({ color: 'blue' })
 *
 * @param {Object|String} val
 * @return {Request} for chaining
 * @api public
 */

Request.prototype.query = function (val) {
  if (typeof val !== 'string') val = serialize(val);
  if (val) this._query.push(val);
  return this;
};
/**
 * Queue the given `file` as an attachment to the specified `field`,
 * with optional `options` (or filename).
 *
 * ``` js
 * request.post('/upload')
 *   .attach('content', new Blob(['<a id="a"><b id="b">hey!</b></a>'], { type: "text/html"}))
 *   .end(callback);
 * ```
 *
 * @param {String} field
 * @param {Blob|File} file
 * @param {String|Object} options
 * @return {Request} for chaining
 * @api public
 */

Request.prototype.attach = function (field, file, options) {
  if (file) {
    if (this._data) {
      throw new Error("superagent can't mix .send() and .attach()");
    }
    this._getFormData().append(field, file, options || file.name);
  }
  return this;
};
Request.prototype._getFormData = function () {
  if (!this._formData) {
    this._formData = new root.FormData();
  }
  return this._formData;
};
/**
 * Invoke the callback with `err` and `res`
 * and handle arity check.
 *
 * @param {Error} err
 * @param {Response} res
 * @api private
 */

Request.prototype.callback = function (err, res) {
  if (this._shouldRetry(err, res)) {
    return this._retry();
  }
  var fn = this._callback;
  this.clearTimeout();
  if (err) {
    if (this._maxRetries) err.retries = this._retries - 1;
    this.emit('error', err);
  }
  fn(err, res);
};
/**
 * Invoke callback with x-domain error.
 *
 * @api private
 */

Request.prototype.crossDomainError = function () {
  var err = new Error('Request has been terminated\nPossible causes: the network is offline, Origin is not allowed by Access-Control-Allow-Origin, the page is being unloaded, etc.');
  err.crossDomain = true;
  err.status = this.status;
  err.method = this.method;
  err.url = this.url;
  this.callback(err);
}; // This only warns, because the request is still likely to work

Request.prototype.agent = function () {
  console.warn('This is not supported in browser version of superagent');
  return this;
};
Request.prototype.ca = Request.prototype.agent;
Request.prototype.buffer = Request.prototype.ca; // This throws, because it can't send/receive data as expected

Request.prototype.write = function () {
  throw new Error('Streaming is not supported in browser version of superagent');
};
Request.prototype.pipe = Request.prototype.write;
/**
 * Check if `obj` is a host object,
 * we don't want to serialize these :)
 *
 * @param {Object} obj host object
 * @return {Boolean} is a host object
 * @api private
 */

Request.prototype._isHost = function (obj) {
  // Native objects stringify to [object File], [object Blob], [object FormData], etc.
  return obj && _typeof(obj) === 'object' && !Array.isArray(obj) && Object.prototype.toString.call(obj) !== '[object Object]';
};
/**
 * Initiate request, invoking callback `fn(res)`
 * with an instanceof `Response`.
 *
 * @param {Function} fn
 * @return {Request} for chaining
 * @api public
 */

Request.prototype.end = function (fn) {
  if (this._endCalled) {
    console.warn('Warning: .end() was called twice. This is not supported in superagent');
  }
  this._endCalled = true; // store callback

  this._callback = fn || noop; // querystring

  this._finalizeQueryString();
  this._end();
};
Request.prototype._setUploadTimeout = function () {
  var self = this; // upload timeout it's wokrs only if deadline timeout is off

  if (this._uploadTimeout && !this._uploadTimeoutTimer) {
    this._uploadTimeoutTimer = setTimeout(function () {
      self._timeoutError('Upload timeout of ', self._uploadTimeout, 'ETIMEDOUT');
    }, this._uploadTimeout);
  }
}; // eslint-disable-next-line complexity

Request.prototype._end = function () {
  if (this._aborted) return this.callback(new Error('The request has been aborted even before .end() was called'));
  var self = this;
  this.xhr = request.getXHR();
  var xhr = this.xhr;
  var data = this._formData || this._data;
  this._setTimeouts(); // state change

  xhr.onreadystatechange = function () {
    var readyState = xhr.readyState;
    if (readyState >= 2 && self._responseTimeoutTimer) {
      clearTimeout(self._responseTimeoutTimer);
    }
    if (readyState !== 4) {
      return;
    } // In IE9, reads to any property (e.g. status) off of an aborted XHR will
    // result in the error "Could not complete the operation due to error c00c023f"

    var status;
    try {
      status = xhr.status;
    } catch (_unused5) {
      status = 0;
    }
    if (!status) {
      if (self.timedout || self._aborted) return;
      return self.crossDomainError();
    }
    self.emit('end');
  }; // progress

  var handleProgress = function handleProgress(direction, e) {
    if (e.total > 0) {
      e.percent = e.loaded / e.total * 100;
      if (e.percent === 100) {
        clearTimeout(self._uploadTimeoutTimer);
      }
    }
    e.direction = direction;
    self.emit('progress', e);
  };
  if (this.hasListeners('progress')) {
    try {
      xhr.addEventListener('progress', handleProgress.bind(null, 'download'));
      if (xhr.upload) {
        xhr.upload.addEventListener('progress', handleProgress.bind(null, 'upload'));
      }
    } catch (_unused6) {// Accessing xhr.upload fails in IE from a web worker, so just pretend it doesn't exist.
      // Reported here:
      // https://connect.microsoft.com/IE/feedback/details/837245/xmlhttprequest-upload-throws-invalid-argument-when-used-from-web-worker-context
    }
  }
  if (xhr.upload) {
    this._setUploadTimeout();
  } // initiate request

  try {
    if (this.username && this.password) {
      xhr.open(this.method, this.url, true, this.username, this.password);
    } else {
      xhr.open(this.method, this.url, true);
    }
  } catch (err) {
    // see #1149
    return this.callback(err);
  } // CORS

  if (this._withCredentials) xhr.withCredentials = true; // body

  if (!this._formData && this.method !== 'GET' && this.method !== 'HEAD' && typeof data !== 'string' && !this._isHost(data)) {
    // serialize stuff
    var contentType = this._header['content-type'];
    var _serialize = this._serializer || request.serialize[contentType ? contentType.split(';')[0] : ''];
    if (!_serialize && isJSON(contentType)) {
      _serialize = request.serialize['application/json'];
    }
    if (_serialize) data = _serialize(data);
  } // set header fields

  for (var field in this.header) {
    if (this.header[field] === null) continue;
    if (Object.prototype.hasOwnProperty.call(this.header, field)) xhr.setRequestHeader(field, this.header[field]);
  }
  if (this._responseType) {
    xhr.responseType = this._responseType;
  } // send stuff

  this.emit('request', this); // IE11 xhr.send(undefined) sends 'undefined' string as POST payload (instead of nothing)
  // We need null here if data is undefined

  xhr.send(typeof data === 'undefined' ? null : data);
};
request.agent = function () {
  return new Agent();
};
['GET', 'POST', 'OPTIONS', 'PATCH', 'PUT', 'DELETE'].forEach(function (method) {
  Agent.prototype[method.toLowerCase()] = function (url, fn) {
    var req = new request.Request(method, url);
    this._setDefaults(req);
    if (fn) {
      req.end(fn);
    }
    return req;
  };
});
Agent.prototype.del = Agent.prototype.delete;
/**
 * GET `url` with optional callback `fn(res)`.
 *
 * @param {String} url
 * @param {Mixed|Function} [data] or fn
 * @param {Function} [fn]
 * @return {Request}
 * @api public
 */

request.get = function (url, data, fn) {
  var req = request('GET', url);
  if (typeof data === 'function') {
    fn = data;
    data = null;
  }
  if (data) req.query(data);
  if (fn) req.end(fn);
  return req;
};
/**
 * HEAD `url` with optional callback `fn(res)`.
 *
 * @param {String} url
 * @param {Mixed|Function} [data] or fn
 * @param {Function} [fn]
 * @return {Request}
 * @api public
 */

request.head = function (url, data, fn) {
  var req = request('HEAD', url);
  if (typeof data === 'function') {
    fn = data;
    data = null;
  }
  if (data) req.query(data);
  if (fn) req.end(fn);
  return req;
};
/**
 * OPTIONS query to `url` with optional callback `fn(res)`.
 *
 * @param {String} url
 * @param {Mixed|Function} [data] or fn
 * @param {Function} [fn]
 * @return {Request}
 * @api public
 */

request.options = function (url, data, fn) {
  var req = request('OPTIONS', url);
  if (typeof data === 'function') {
    fn = data;
    data = null;
  }
  if (data) req.send(data);
  if (fn) req.end(fn);
  return req;
};
/**
 * DELETE `url` with optional `data` and callback `fn(res)`.
 *
 * @param {String} url
 * @param {Mixed} [data]
 * @param {Function} [fn]
 * @return {Request}
 * @api public
 */

function del(url, data, fn) {
  var req = request('DELETE', url);
  if (typeof data === 'function') {
    fn = data;
    data = null;
  }
  if (data) req.send(data);
  if (fn) req.end(fn);
  return req;
}
request.del = del;
request.delete = del;
/**
 * PATCH `url` with optional `data` and callback `fn(res)`.
 *
 * @param {String} url
 * @param {Mixed} [data]
 * @param {Function} [fn]
 * @return {Request}
 * @api public
 */

request.patch = function (url, data, fn) {
  var req = request('PATCH', url);
  if (typeof data === 'function') {
    fn = data;
    data = null;
  }
  if (data) req.send(data);
  if (fn) req.end(fn);
  return req;
};
/**
 * POST `url` with optional `data` and callback `fn(res)`.
 *
 * @param {String} url
 * @param {Mixed} [data]
 * @param {Function} [fn]
 * @return {Request}
 * @api public
 */

request.post = function (url, data, fn) {
  var req = request('POST', url);
  if (typeof data === 'function') {
    fn = data;
    data = null;
  }
  if (data) req.send(data);
  if (fn) req.end(fn);
  return req;
};
/**
 * PUT `url` with optional `data` and callback `fn(res)`.
 *
 * @param {String} url
 * @param {Mixed|Function} [data] or fn
 * @param {Function} [fn]
 * @return {Request}
 * @api public
 */

request.put = function (url, data, fn) {
  var req = request('PUT', url);
  if (typeof data === 'function') {
    fn = data;
    data = null;
  }
  if (data) req.send(data);
  if (fn) req.end(fn);
  return req;
};

/***/ }),

/***/ "a5fe":
/***/ (function(module, exports, __webpack_require__) {

"use strict";


__webpack_require__("a4d3");
__webpack_require__("e01a");
__webpack_require__("d28b");
__webpack_require__("d9e2");
__webpack_require__("99af");
__webpack_require__("caad");
__webpack_require__("e260");
__webpack_require__("a15b");
__webpack_require__("fb6a");
__webpack_require__("4e82");
__webpack_require__("d3b7");
__webpack_require__("e6cf");
__webpack_require__("2532");
__webpack_require__("3ca3");
__webpack_require__("ddb0");
function _typeof(obj) {
  "@babel/helpers - typeof";

  if (typeof Symbol === "function" && typeof Symbol.iterator === "symbol") {
    _typeof = function _typeof(obj) {
      return typeof obj;
    };
  } else {
    _typeof = function _typeof(obj) {
      return obj && typeof Symbol === "function" && obj.constructor === Symbol && obj !== Symbol.prototype ? "symbol" : typeof obj;
    };
  }
  return _typeof(obj);
}

/**
 * Module of mixed-in functions shared between node and client code
 */
var isObject = __webpack_require__("f953");
/**
 * Expose `RequestBase`.
 */

module.exports = RequestBase;
/**
 * Initialize a new `RequestBase`.
 *
 * @api public
 */

function RequestBase(obj) {
  if (obj) return mixin(obj);
}
/**
 * Mixin the prototype properties.
 *
 * @param {Object} obj
 * @return {Object}
 * @api private
 */

function mixin(obj) {
  for (var key in RequestBase.prototype) {
    if (Object.prototype.hasOwnProperty.call(RequestBase.prototype, key)) obj[key] = RequestBase.prototype[key];
  }
  return obj;
}
/**
 * Clear previous timeout.
 *
 * @return {Request} for chaining
 * @api public
 */

RequestBase.prototype.clearTimeout = function () {
  clearTimeout(this._timer);
  clearTimeout(this._responseTimeoutTimer);
  clearTimeout(this._uploadTimeoutTimer);
  delete this._timer;
  delete this._responseTimeoutTimer;
  delete this._uploadTimeoutTimer;
  return this;
};
/**
 * Override default response body parser
 *
 * This function will be called to convert incoming data into request.body
 *
 * @param {Function}
 * @api public
 */

RequestBase.prototype.parse = function (fn) {
  this._parser = fn;
  return this;
};
/**
 * Set format of binary response body.
 * In browser valid formats are 'blob' and 'arraybuffer',
 * which return Blob and ArrayBuffer, respectively.
 *
 * In Node all values result in Buffer.
 *
 * Examples:
 *
 *      req.get('/')
 *        .responseType('blob')
 *        .end(callback);
 *
 * @param {String} val
 * @return {Request} for chaining
 * @api public
 */

RequestBase.prototype.responseType = function (val) {
  this._responseType = val;
  return this;
};
/**
 * Override default request body serializer
 *
 * This function will be called to convert data set via .send or .attach into payload to send
 *
 * @param {Function}
 * @api public
 */

RequestBase.prototype.serialize = function (fn) {
  this._serializer = fn;
  return this;
};
/**
 * Set timeouts.
 *
 * - response timeout is time between sending request and receiving the first byte of the response. Includes DNS and connection time.
 * - deadline is the time from start of the request to receiving response body in full. If the deadline is too short large files may not load at all on slow connections.
 * - upload is the time  since last bit of data was sent or received. This timeout works only if deadline timeout is off
 *
 * Value of 0 or false means no timeout.
 *
 * @param {Number|Object} ms or {response, deadline}
 * @return {Request} for chaining
 * @api public
 */

RequestBase.prototype.timeout = function (options) {
  if (!options || _typeof(options) !== 'object') {
    this._timeout = options;
    this._responseTimeout = 0;
    this._uploadTimeout = 0;
    return this;
  }
  for (var option in options) {
    if (Object.prototype.hasOwnProperty.call(options, option)) {
      switch (option) {
        case 'deadline':
          this._timeout = options.deadline;
          break;
        case 'response':
          this._responseTimeout = options.response;
          break;
        case 'upload':
          this._uploadTimeout = options.upload;
          break;
        default:
          console.warn('Unknown timeout option', option);
      }
    }
  }
  return this;
};
/**
 * Set number of retry attempts on error.
 *
 * Failed requests will be retried 'count' times if timeout or err.code >= 500.
 *
 * @param {Number} count
 * @param {Function} [fn]
 * @return {Request} for chaining
 * @api public
 */

RequestBase.prototype.retry = function (count, fn) {
  // Default to 1 if no count passed or true
  if (arguments.length === 0 || count === true) count = 1;
  if (count <= 0) count = 0;
  this._maxRetries = count;
  this._retries = 0;
  this._retryCallback = fn;
  return this;
};
var ERROR_CODES = ['ECONNRESET', 'ETIMEDOUT', 'EADDRINFO', 'ESOCKETTIMEDOUT'];
/**
 * Determine if a request should be retried.
 * (Borrowed from segmentio/superagent-retry)
 *
 * @param {Error} err an error
 * @param {Response} [res] response
 * @returns {Boolean} if segment should be retried
 */

RequestBase.prototype._shouldRetry = function (err, res) {
  if (!this._maxRetries || this._retries++ >= this._maxRetries) {
    return false;
  }
  if (this._retryCallback) {
    try {
      var override = this._retryCallback(err, res);
      if (override === true) return true;
      if (override === false) return false; // undefined falls back to defaults
    } catch (err_) {
      console.error(err_);
    }
  }
  if (res && res.status && res.status >= 500 && res.status !== 501) return true;
  if (err) {
    if (err.code && ERROR_CODES.includes(err.code)) return true; // Superagent timeout

    if (err.timeout && err.code === 'ECONNABORTED') return true;
    if (err.crossDomain) return true;
  }
  return false;
};
/**
 * Retry request
 *
 * @return {Request} for chaining
 * @api private
 */

RequestBase.prototype._retry = function () {
  this.clearTimeout(); // node

  if (this.req) {
    this.req = null;
    this.req = this.request();
  }
  this._aborted = false;
  this.timedout = false;
  this.timedoutError = null;
  return this._end();
};
/**
 * Promise support
 *
 * @param {Function} resolve
 * @param {Function} [reject]
 * @return {Request}
 */

RequestBase.prototype.then = function (resolve, reject) {
  var _this = this;
  if (!this._fullfilledPromise) {
    var self = this;
    if (this._endCalled) {
      console.warn('Warning: superagent request was sent twice, because both .end() and .then() were called. Never call .end() if you use promises');
    }
    this._fullfilledPromise = new Promise(function (resolve, reject) {
      self.on('abort', function () {
        if (_this._maxRetries && _this._maxRetries > _this._retries) {
          return;
        }
        if (_this.timedout && _this.timedoutError) {
          reject(_this.timedoutError);
          return;
        }
        var err = new Error('Aborted');
        err.code = 'ABORTED';
        err.status = _this.status;
        err.method = _this.method;
        err.url = _this.url;
        reject(err);
      });
      self.end(function (err, res) {
        if (err) reject(err);else resolve(res);
      });
    });
  }
  return this._fullfilledPromise.then(resolve, reject);
};
RequestBase.prototype.catch = function (cb) {
  return this.then(undefined, cb);
};
/**
 * Allow for extension
 */

RequestBase.prototype.use = function (fn) {
  fn(this);
  return this;
};
RequestBase.prototype.ok = function (cb) {
  if (typeof cb !== 'function') throw new Error('Callback required');
  this._okCallback = cb;
  return this;
};
RequestBase.prototype._isResponseOK = function (res) {
  if (!res) {
    return false;
  }
  if (this._okCallback) {
    return this._okCallback(res);
  }
  return res.status >= 200 && res.status < 300;
};
/**
 * Get request header `field`.
 * Case-insensitive.
 *
 * @param {String} field
 * @return {String}
 * @api public
 */

RequestBase.prototype.get = function (field) {
  return this._header[field.toLowerCase()];
};
/**
 * Get case-insensitive header `field` value.
 * This is a deprecated internal API. Use `.get(field)` instead.
 *
 * (getHeader is no longer used internally by the superagent code base)
 *
 * @param {String} field
 * @return {String}
 * @api private
 * @deprecated
 */

RequestBase.prototype.getHeader = RequestBase.prototype.get;
/**
 * Set header `field` to `val`, or multiple fields with one object.
 * Case-insensitive.
 *
 * Examples:
 *
 *      req.get('/')
 *        .set('Accept', 'application/json')
 *        .set('X-API-Key', 'foobar')
 *        .end(callback);
 *
 *      req.get('/')
 *        .set({ Accept: 'application/json', 'X-API-Key': 'foobar' })
 *        .end(callback);
 *
 * @param {String|Object} field
 * @param {String} val
 * @return {Request} for chaining
 * @api public
 */

RequestBase.prototype.set = function (field, val) {
  if (isObject(field)) {
    for (var key in field) {
      if (Object.prototype.hasOwnProperty.call(field, key)) this.set(key, field[key]);
    }
    return this;
  }
  this._header[field.toLowerCase()] = val;
  this.header[field] = val;
  return this;
};
/**
 * Remove header `field`.
 * Case-insensitive.
 *
 * Example:
 *
 *      req.get('/')
 *        .unset('User-Agent')
 *        .end(callback);
 *
 * @param {String} field field name
 */

RequestBase.prototype.unset = function (field) {
  delete this._header[field.toLowerCase()];
  delete this.header[field];
  return this;
};
/**
 * Write the field `name` and `val`, or multiple fields with one object
 * for "multipart/form-data" request bodies.
 *
 * ``` js
 * request.post('/upload')
 *   .field('foo', 'bar')
 *   .end(callback);
 *
 * request.post('/upload')
 *   .field({ foo: 'bar', baz: 'qux' })
 *   .end(callback);
 * ```
 *
 * @param {String|Object} name name of field
 * @param {String|Blob|File|Buffer|fs.ReadStream} val value of field
 * @return {Request} for chaining
 * @api public
 */

RequestBase.prototype.field = function (name, val) {
  // name should be either a string or an object.
  if (name === null || undefined === name) {
    throw new Error('.field(name, val) name can not be empty');
  }
  if (this._data) {
    throw new Error(".field() can't be used if .send() is used. Please use only .send() or only .field() & .attach()");
  }
  if (isObject(name)) {
    for (var key in name) {
      if (Object.prototype.hasOwnProperty.call(name, key)) this.field(key, name[key]);
    }
    return this;
  }
  if (Array.isArray(val)) {
    for (var i in val) {
      if (Object.prototype.hasOwnProperty.call(val, i)) this.field(name, val[i]);
    }
    return this;
  } // val should be defined now

  if (val === null || undefined === val) {
    throw new Error('.field(name, val) val can not be empty');
  }
  if (typeof val === 'boolean') {
    val = String(val);
  }
  this._getFormData().append(name, val);
  return this;
};
/**
 * Abort the request, and clear potential timeout.
 *
 * @return {Request} request
 * @api public
 */

RequestBase.prototype.abort = function () {
  if (this._aborted) {
    return this;
  }
  this._aborted = true;
  if (this.xhr) this.xhr.abort(); // browser

  if (this.req) this.req.abort(); // node

  this.clearTimeout();
  this.emit('abort');
  return this;
};
RequestBase.prototype._auth = function (user, pass, options, base64Encoder) {
  switch (options.type) {
    case 'basic':
      this.set('Authorization', "Basic ".concat(base64Encoder("".concat(user, ":").concat(pass))));
      break;
    case 'auto':
      this.username = user;
      this.password = pass;
      break;
    case 'bearer':
      // usage would be .auth(accessToken, { type: 'bearer' })
      this.set('Authorization', "Bearer ".concat(user));
      break;
    default:
      break;
  }
  return this;
};
/**
 * Enable transmission of cookies with x-domain requests.
 *
 * Note that for this to work the origin must not be
 * using "Access-Control-Allow-Origin" with a wildcard,
 * and also must set "Access-Control-Allow-Credentials"
 * to "true".
 *
 * @api public
 */

RequestBase.prototype.withCredentials = function (on) {
  // This is browser-only functionality. Node side is no-op.
  if (on === undefined) on = true;
  this._withCredentials = on;
  return this;
};
/**
 * Set the max redirects to `n`. Does nothing in browser XHR implementation.
 *
 * @param {Number} n
 * @return {Request} for chaining
 * @api public
 */

RequestBase.prototype.redirects = function (n) {
  this._maxRedirects = n;
  return this;
};
/**
 * Maximum size of buffered response body, in bytes. Counts uncompressed size.
 * Default 200MB.
 *
 * @param {Number} n number of bytes
 * @return {Request} for chaining
 */

RequestBase.prototype.maxResponseSize = function (n) {
  if (typeof n !== 'number') {
    throw new TypeError('Invalid argument');
  }
  this._maxResponseSize = n;
  return this;
};
/**
 * Convert to a plain javascript object (not JSON string) of scalar properties.
 * Note as this method is designed to return a useful non-this value,
 * it cannot be chained.
 *
 * @return {Object} describing method, url, and data of this request
 * @api public
 */

RequestBase.prototype.toJSON = function () {
  return {
    method: this.method,
    url: this.url,
    data: this._data,
    headers: this._header
  };
};
/**
 * Send `data` as the request body, defaulting the `.type()` to "json" when
 * an object is given.
 *
 * Examples:
 *
 *       // manual json
 *       request.post('/user')
 *         .type('json')
 *         .send('{"name":"tj"}')
 *         .end(callback)
 *
 *       // auto json
 *       request.post('/user')
 *         .send({ name: 'tj' })
 *         .end(callback)
 *
 *       // manual x-www-form-urlencoded
 *       request.post('/user')
 *         .type('form')
 *         .send('name=tj')
 *         .end(callback)
 *
 *       // auto x-www-form-urlencoded
 *       request.post('/user')
 *         .type('form')
 *         .send({ name: 'tj' })
 *         .end(callback)
 *
 *       // defaults to x-www-form-urlencoded
 *      request.post('/user')
 *        .send('name=tobi')
 *        .send('species=ferret')
 *        .end(callback)
 *
 * @param {String|Object} data
 * @return {Request} for chaining
 * @api public
 */
// eslint-disable-next-line complexity

RequestBase.prototype.send = function (data) {
  var isObj = isObject(data);
  var type = this._header['content-type'];
  if (this._formData) {
    throw new Error(".send() can't be used if .attach() or .field() is used. Please use only .send() or only .field() & .attach()");
  }
  if (isObj && !this._data) {
    if (Array.isArray(data)) {
      this._data = [];
    } else if (!this._isHost(data)) {
      this._data = {};
    }
  } else if (data && this._data && this._isHost(this._data)) {
    throw new Error("Can't merge these send calls");
  } // merge

  if (isObj && isObject(this._data)) {
    for (var key in data) {
      if (Object.prototype.hasOwnProperty.call(data, key)) this._data[key] = data[key];
    }
  } else if (typeof data === 'string') {
    // default to x-www-form-urlencoded
    if (!type) this.type('form');
    type = this._header['content-type'];
    if (type === 'application/x-www-form-urlencoded') {
      this._data = this._data ? "".concat(this._data, "&").concat(data) : data;
    } else {
      this._data = (this._data || '') + data;
    }
  } else {
    this._data = data;
  }
  if (!isObj || this._isHost(data)) {
    return this;
  } // default to json

  if (!type) this.type('json');
  return this;
};
/**
 * Sort `querystring` by the sort function
 *
 *
 * Examples:
 *
 *       // default order
 *       request.get('/user')
 *         .query('name=Nick')
 *         .query('search=Manny')
 *         .sortQuery()
 *         .end(callback)
 *
 *       // customized sort function
 *       request.get('/user')
 *         .query('name=Nick')
 *         .query('search=Manny')
 *         .sortQuery(function(a, b){
 *           return a.length - b.length;
 *         })
 *         .end(callback)
 *
 *
 * @param {Function} sort
 * @return {Request} for chaining
 * @api public
 */

RequestBase.prototype.sortQuery = function (sort) {
  // _sort default to true but otherwise can be a function or boolean
  this._sort = typeof sort === 'undefined' ? true : sort;
  return this;
};
/**
 * Compose querystring to append to req.url
 *
 * @api private
 */

RequestBase.prototype._finalizeQueryString = function () {
  var query = this._query.join('&');
  if (query) {
    this.url += (this.url.includes('?') ? '&' : '?') + query;
  }
  this._query.length = 0; // Makes the call idempotent

  if (this._sort) {
    var index = this.url.indexOf('?');
    if (index >= 0) {
      var queryArr = this.url.slice(index + 1).split('&');
      if (typeof this._sort === 'function') {
        queryArr.sort(this._sort);
      } else {
        queryArr.sort();
      }
      this.url = this.url.slice(0, index) + '?' + queryArr.join('&');
    }
  }
}; // For backwards compat only

RequestBase.prototype._appendQueryString = function () {
  console.warn('Unsupported');
};
/**
 * Invoke callback with timeout error.
 *
 * @api private
 */

RequestBase.prototype._timeoutError = function (reason, timeout, errno) {
  if (this._aborted) {
    return;
  }
  var err = new Error("".concat(reason + timeout, "ms exceeded"));
  err.timeout = timeout;
  err.code = 'ECONNABORTED';
  err.errno = errno;
  this.timedout = true;
  this.timedoutError = err;
  this.abort();
  this.callback(err);
};
RequestBase.prototype._setTimeouts = function () {
  var self = this; // deadline

  if (this._timeout && !this._timer) {
    this._timer = setTimeout(function () {
      self._timeoutError('Timeout of ', self._timeout, 'ETIME');
    }, this._timeout);
  } // response timeout

  if (this._responseTimeout && !this._responseTimeoutTimer) {
    this._responseTimeoutTimer = setTimeout(function () {
      self._timeoutError('Response timeout of ', self._responseTimeout, 'ETIMEDOUT');
    }, this._responseTimeout);
  }
};

/***/ }),

/***/ "b075":
/***/ (function(module, exports, __webpack_require__) {

"use strict";


/**
 * Module dependencies.
 */
__webpack_require__("9911");
var utils = __webpack_require__("18ff");
/**
 * Expose `ResponseBase`.
 */

module.exports = ResponseBase;
/**
 * Initialize a new `ResponseBase`.
 *
 * @api public
 */

function ResponseBase(obj) {
  if (obj) return mixin(obj);
}
/**
 * Mixin the prototype properties.
 *
 * @param {Object} obj
 * @return {Object}
 * @api private
 */

function mixin(obj) {
  for (var key in ResponseBase.prototype) {
    if (Object.prototype.hasOwnProperty.call(ResponseBase.prototype, key)) obj[key] = ResponseBase.prototype[key];
  }
  return obj;
}
/**
 * Get case-insensitive `field` value.
 *
 * @param {String} field
 * @return {String}
 * @api public
 */

ResponseBase.prototype.get = function (field) {
  return this.header[field.toLowerCase()];
};
/**
 * Set header related properties:
 *
 *   - `.type` the content type without params
 *
 * A response of "Content-Type: text/plain; charset=utf-8"
 * will provide you with a `.type` of "text/plain".
 *
 * @param {Object} header
 * @api private
 */

ResponseBase.prototype._setHeaderProperties = function (header) {
  // TODO: moar!
  // TODO: make this a util
  // content-type
  var ct = header['content-type'] || '';
  this.type = utils.type(ct); // params

  var params = utils.params(ct);
  for (var key in params) {
    if (Object.prototype.hasOwnProperty.call(params, key)) this[key] = params[key];
  }
  this.links = {}; // links

  try {
    if (header.link) {
      this.links = utils.parseLinks(header.link);
    }
  } catch (_unused) {// ignore
  }
};
/**
 * Set flags such as `.ok` based on `status`.
 *
 * For example a 2xx response will give you a `.ok` of __true__
 * whereas 5xx will be __false__ and `.error` will be __true__. The
 * `.clientError` and `.serverError` are also available to be more
 * specific, and `.statusType` is the class of error ranging from 1..5
 * sometimes useful for mapping respond colors etc.
 *
 * "sugar" properties are also defined for common cases. Currently providing:
 *
 *   - .noContent
 *   - .badRequest
 *   - .unauthorized
 *   - .notAcceptable
 *   - .notFound
 *
 * @param {Number} status
 * @api private
 */

ResponseBase.prototype._setStatusProperties = function (status) {
  var type = status / 100 | 0; // status / class

  this.statusCode = status;
  this.status = this.statusCode;
  this.statusType = type; // basics

  this.info = type === 1;
  this.ok = type === 2;
  this.redirect = type === 3;
  this.clientError = type === 4;
  this.serverError = type === 5;
  this.error = type === 4 || type === 5 ? this.toError() : false; // sugar

  this.created = status === 201;
  this.accepted = status === 202;
  this.noContent = status === 204;
  this.badRequest = status === 400;
  this.unauthorized = status === 401;
  this.notAcceptable = status === 406;
  this.forbidden = status === 403;
  this.notFound = status === 404;
  this.unprocessableEntity = status === 422;
};

/***/ }),

/***/ "e807":
/***/ (function(module, exports, __webpack_require__) {

/* WEBPACK VAR INJECTION */(function(Buffer, module) {var __WEBPACK_AMD_DEFINE_FACTORY__, __WEBPACK_AMD_DEFINE_ARRAY__, __WEBPACK_AMD_DEFINE_RESULT__;var _classCallCheck = __webpack_require__("970b").default;
var _createClass = __webpack_require__("5bc3").default;
var _typeof = __webpack_require__("7037").default;
__webpack_require__("a4d3");
__webpack_require__("e01a");
__webpack_require__("944a");
__webpack_require__("d9e2");
__webpack_require__("4de4");
__webpack_require__("caad");
__webpack_require__("a15b");
__webpack_require__("d81d");
__webpack_require__("b0c0");
__webpack_require__("6c57");
__webpack_require__("0c47");
__webpack_require__("23dc");
__webpack_require__("b64b");
__webpack_require__("d3b7");
__webpack_require__("e6cf");
__webpack_require__("ac1f");
__webpack_require__("25f0");
__webpack_require__("466d");
__webpack_require__("5319");
__webpack_require__("159b");
__webpack_require__("c73d");
(function (c, v) {
  ( false ? undefined : _typeof(exports)) == "object" && ( false ? undefined : _typeof(module)) < "u" ? v(exports, __webpack_require__("9c7e")) :  true ? !(__WEBPACK_AMD_DEFINE_ARRAY__ = [exports, __webpack_require__("9c7e")], __WEBPACK_AMD_DEFINE_FACTORY__ = (v),
				__WEBPACK_AMD_DEFINE_RESULT__ = (typeof __WEBPACK_AMD_DEFINE_FACTORY__ === 'function' ?
				(__WEBPACK_AMD_DEFINE_FACTORY__.apply(exports, __WEBPACK_AMD_DEFINE_ARRAY__)) : __WEBPACK_AMD_DEFINE_FACTORY__),
				__WEBPACK_AMD_DEFINE_RESULT__ !== undefined && (module.exports = __WEBPACK_AMD_DEFINE_RESULT__)) : (undefined);
})(this, function (c, v) {
  "use strict";

  var ve = Object.defineProperty;
  var we = function we(c, v, n) {
    return v in c ? ve(c, v, {
      enumerable: !0,
      configurable: !0,
      writable: !0,
      value: n
    }) : c[v] = n;
  };
  var ae = function ae(c, v, n) {
    return we(c, _typeof(v) != "symbol" ? v + "" : v, n), n;
  };
  var P = /*#__PURE__*/function () {
    function P() {
      _classCallCheck(this, P);
      this.basePath = "/".replace(/\/+$/, ""), this.authentications = {
        oauth2: {
          type: "oauth2"
        }
      }, this.defaultHeaders = {}, this.timeout = 6e4, this.cache = !0, this.enableCookies = !1, (typeof window === "undefined" ? "undefined" : _typeof(window)) > "u" && (this.agent = new v.agent()), this.requestAgent = null;
    }
    return _createClass(P, [{
      key: "paramToString",
      value: function paramToString(e) {
        return e == null || e == null ? "" : e instanceof Date ? e.toJSON() : e.toString();
      }
    }, {
      key: "buildUrl",
      value: function buildUrl(e, t) {
        var _this = this;
        e.match(/^\//) || (e = "/" + e);
        var i = this.basePath + e;
        return i = i.replace(/\{([\w-]+)\}/g, function (r, o) {
          var a;
          return t.hasOwnProperty(o) ? a = _this.paramToString(t[o]) : a = r, encodeURIComponent(a);
        }), i;
      }
    }, {
      key: "isJsonMime",
      value: function isJsonMime(e) {
        return !!(e != null && e.match(/^application\/json(;.*)?$/i));
      }
    }, {
      key: "jsonPreferredMime",
      value: function jsonPreferredMime(e) {
        for (var t = 0; t < e.length; t++) if (this.isJsonMime(e[t])) return e[t];
        return e[0];
      }
    }, {
      key: "isFileParam",
      value: function isFileParam(e) {
        if (true) {
          var t;
          try {
            t = __webpack_require__(15);
          } catch (_unused) {}
          if (t && t.ReadStream && e instanceof t.ReadStream) return !0;
        }
        return typeof Buffer == "function" && e instanceof Buffer || typeof Blob == "function" && e instanceof Blob || typeof File == "function" && e instanceof File;
      }
    }, {
      key: "normalizeParams",
      value: function normalizeParams(e) {
        var t = {};
        for (var i in e) if (e.hasOwnProperty(i) && e[i] != null && e[i] != null) {
          var r = e[i];
          this.isFileParam(r) || Array.isArray(r) ? t[i] = r : t[i] = this.paramToString(r);
        }
        return t;
      }
    }, {
      key: "buildCollectionParam",
      value: function buildCollectionParam(e, t) {
        if (e == null) return null;
        switch (t) {
          case "csv":
            return e.map(this.paramToString).join(",");
          case "ssv":
            return e.map(this.paramToString).join(" ");
          case "tsv":
            return e.map(this.paramToString).join("	");
          case "pipes":
            return e.map(this.paramToString).join("|");
          case "multi":
            return e.map(this.paramToString);
          default:
            throw new Error("Unknown collection format: " + t);
        }
      }
    }, {
      key: "applyAuthToRequest",
      value: function applyAuthToRequest(e, t) {
        var _this2 = this;
        t.forEach(function (i) {
          var r = _this2.authentications[i];
          switch (r.type) {
            case "basic":
              (r.username || r.password) && e.auth(r.username || "", r.password || "");
              break;
            case "apiKey":
              if (r.apiKey) {
                var o = {};
                r.apiKeyPrefix ? o[r.name] = r.apiKeyPrefix + " " + r.apiKey : o[r.name] = r.apiKey, r.in === "header" ? e.set(o) : e.query(o);
              }
              break;
            case "oauth2":
              r.accessToken && e.set({
                Authorization: "Bearer " + r.accessToken
              });
              break;
            default:
              throw new Error("Unknown authentication type: " + r.type);
          }
        });
      }
    }, {
      key: "deserialize",
      value: function deserialize(e, t) {
        if (e == null || e.status == 204) return null;
        var i = e.body;
        if ((i == null || _typeof(i) == "object" && _typeof(i.length) > "u" && !Object.keys(i).length) && (i = e.text), t == null && ["easc3"].includes("tag-roam-sis-management")) return {
          data: i
        };
        var r = P.convertToType(i.data, t);
        return {
          code: i.code,
          data: r
        };
      }
    }, {
      key: "callApi",
      value: function callApi(e, t, i, r, o, a, p, s, l, u, N) {
        var _this3 = this;
        var de = this.buildUrl(e, i),
          d = v(t, de);
        this.applyAuthToRequest(d, s), t.toUpperCase() === "GET" && this.cache === !1 && (r._ = new Date().getTime()), d.query(this.normalizeParams(r)), d.set(this.defaultHeaders).set(this.normalizeParams(o)), this.requestAgent && d.agent(this.requestAgent), d.timeout(this.timeout);
        var ie = this.jsonPreferredMime(l);
        if (ie ? ie != "multipart/form-data" && d.type(ie) : d.header["Content-Type"] || d.type("application/json"), ie === "application/x-www-form-urlencoded") d.send(P.stringify(this.normalizeParams(a)));else if (ie == "multipart/form-data") {
          var oe = this.normalizeParams(a);
          for (var te in oe) oe.hasOwnProperty(te) && (this.isFileParam(oe[te]) ? d.attach(te, oe[te]) : d.field(te, oe[te]));
        } else p && d.send(p);
        var Te = this.jsonPreferredMime(u);
        return Te && d.accept(Te), N === "Blob" ? d.responseType("blob") : N === "String" && d.responseType("string"), this.enableCookies && ((typeof window === "undefined" ? "undefined" : _typeof(window)) > "u" ? this.agent.attachCookies(d) : d.withCredentials()), new Promise(function (he, ge) {
          d.end(function (fe, le) {
            if (fe) ge(fe);else try {
              var Pe = _this3.deserialize(le, N);
              _this3.enableCookies && (typeof window === "undefined" ? "undefined" : _typeof(window)) > "u" && _this3.agent.saveCookies(le), he({
                data: Pe,
                response: le
              });
            } catch (Ie) {
              ge(Ie);
            }
          });
        });
      }
    }], [{
      key: "parseDate",
      value: function parseDate(e) {
        return new Date(e);
      }
    }, {
      key: "convertToType",
      value: function convertToType(e, t) {
        if (e == null) return e;
        switch (t) {
          case "Boolean":
            return !!e;
          case "Integer":
            return parseInt(e, 10);
          case "Number":
            return parseFloat(e);
          case "String":
            return String(e);
          case "Date":
            return P.parseDate(String(e));
          case "Blob":
            return e;
          default:
            if (t === Object) return e;
            if (typeof t == "function") return t.constructFromObject(e);
            if (Array.isArray(t)) {
              var i = t[0];
              return e.map(function (u) {
                return P.convertToType(u, i);
              });
            } else if (_typeof(t) == "object") {
              var r, o;
              for (var a in t) if (t.hasOwnProperty(a)) {
                r = a, o = t[a];
                break;
              }
              var p = {};
              for (var a in e) if (e.hasOwnProperty(a)) {
                var s = P.convertToType(a, r),
                  l = P.convertToType(e[a], o);
                p[s] = l;
              }
              return p;
            } else return e;
        }
      }
    }, {
      key: "constructFromObject",
      value: function constructFromObject(e, t, i) {
        if (Array.isArray(e)) for (var r = 0; r < e.length; r++) e.hasOwnProperty(r) && (t[r] = P.convertToType(e[r], i));else for (var o in e) e.hasOwnProperty(o) && (t[o] = P.convertToType(e[o], i));
      }
    }, {
      key: "GetInstance",
      value: function GetInstance(e, t) {
        return Wiz ? Wiz.GetApiClientInstance(e, t) : new P();
      }
    }, {
      key: "stringifyPrimitive",
      value: function stringifyPrimitive(e) {
        switch (_typeof(e)) {
          case "string":
            return e;
          case "boolean":
            return e ? "true" : "false";
          case "number":
            return isFinite(e) ? e : "";
          default:
            return "";
        }
      }
    }, {
      key: "stringify",
      value: function stringify(e, t, i, r) {
        return t = t || "&", i = i || "=", e === null && (e = void 0), _typeof(e) == "object" ? Object.keys(e).map(function (o) {
          var a = encodeURIComponent(P.stringifyPrimitive(o)) + i;
          return Array.isArray(e[o]) ? e[o].map(function (p) {
            return a + encodeURIComponent(P.stringifyPrimitive(p));
          }).join(t) : a + encodeURIComponent(P.stringifyPrimitive(e[o]));
        }).filter(Boolean).join(t) : r ? encodeURIComponent(P.stringifyPrimitive(r)) + i + encodeURIComponent(P.stringifyPrimitive(e)) : "";
      }
    }]);
  }();
  ae(P, "CollectionFormatEnum", {
    CSV: ",",
    SSV: " ",
    TSV: "	",
    PIPES: "|",
    MULTI: "multi"
  });
  var n = P;
  var K = /*#__PURE__*/function () {
    function K() {
      _classCallCheck(this, K);
    }
    return _createClass(K, null, [{
      key: "constructFromObject",
      value: function constructFromObject(e, t) {
        return e && (t = t || new K(), e.hasOwnProperty("members") && (t.members = n.convertToType(e.members, ["String"])), e.hasOwnProperty("message") && (t.message = n.convertToType(e.message, "String"))), t;
      }
    }]);
  }();
  K.prototype.members = void 0, K.prototype.message = void 0;
  var E = /*#__PURE__*/function () {
    function E() {
      _classCallCheck(this, E);
    }
    return _createClass(E, null, [{
      key: "constructFromObject",
      value: function constructFromObject(e, t) {
        return e && (t = t || new E(), e.hasOwnProperty("code") && (t.code = n.convertToType(e.code, "String")), e.hasOwnProperty("data") && (t.data = n.convertToType(e.data, {
          String: Object
        })), e.hasOwnProperty("details") && (t.details = n.convertToType(e.details, "String")), e.hasOwnProperty("message") && (t.message = n.convertToType(e.message, "String")), e.hasOwnProperty("validationErrors") && (t.validationErrors = n.convertToType(e.validationErrors, [K]))), t;
      }
    }]);
  }();
  E.prototype.code = void 0, E.prototype.data = void 0, E.prototype.details = void 0, E.prototype.message = void 0, E.prototype.validationErrors = void 0;
  var pe = /*#__PURE__*/function () {
    function pe() {
      _classCallCheck(this, pe);
    }
    return _createClass(pe, null, [{
      key: "constructFromObject",
      value: function constructFromObject(e, t) {
        return e && (t = t || new pe(), e.hasOwnProperty("error") && (t.error = E.constructFromObject(e.error))), t;
      }
    }]);
  }();
  pe.prototype.error = void 0;
  var f = /*#__PURE__*/function () {
    function f() {
      _classCallCheck(this, f);
    }
    return _createClass(f, null, [{
      key: "constructFromObject",
      value: function constructFromObject(e, t) {
        return e && (t = t || new f(), e.hasOwnProperty("animationId") && (t.animationId = n.convertToType(e.animationId, "String")), e.hasOwnProperty("creationTime") && (t.creationTime = n.convertToType(e.creationTime, "Date")), e.hasOwnProperty("creatorId") && (t.creatorId = n.convertToType(e.creatorId, "String")), e.hasOwnProperty("deleterId") && (t.deleterId = n.convertToType(e.deleterId, "String")), e.hasOwnProperty("deletionTime") && (t.deletionTime = n.convertToType(e.deletionTime, "Date")), e.hasOwnProperty("flag") && (t.flag = n.convertToType(e.flag, "Number")), e.hasOwnProperty("id") && (t.id = n.convertToType(e.id, "String")), e.hasOwnProperty("isDeleted") && (t.isDeleted = n.convertToType(e.isDeleted, "Boolean")), e.hasOwnProperty("lastModificationTime") && (t.lastModificationTime = n.convertToType(e.lastModificationTime, "Date")), e.hasOwnProperty("lastModifierId") && (t.lastModifierId = n.convertToType(e.lastModifierId, "String")), e.hasOwnProperty("measurePointCode") && (t.measurePointCode = n.convertToType(e.measurePointCode, "String")), e.hasOwnProperty("measurePointValue") && (t.measurePointValue = n.convertToType(e.measurePointValue, "Number")), e.hasOwnProperty("operator") && (t.operator = n.convertToType(e.operator, "String")), e.hasOwnProperty("tenantId") && (t.tenantId = n.convertToType(e.tenantId, "String"))), t;
      }
    }]);
  }();
  f.prototype.animationId = void 0, f.prototype.creationTime = void 0, f.prototype.creatorId = void 0, f.prototype.deleterId = void 0, f.prototype.deletionTime = void 0, f.prototype.flag = void 0, f.prototype.id = void 0, f.prototype.isDeleted = void 0, f.prototype.lastModificationTime = void 0, f.prototype.lastModifierId = void 0, f.prototype.measurePointCode = void 0, f.prototype.measurePointValue = void 0, f.prototype.operator = void 0, f.prototype.tenantId = void 0;
  var m = /*#__PURE__*/function () {
    function m() {
      _classCallCheck(this, m);
    }
    return _createClass(m, null, [{
      key: "constructFromObject",
      value: function constructFromObject(e, t) {
        return e && (t = t || new m(), e.hasOwnProperty("config") && (t.config = n.convertToType(e.config, "String")), e.hasOwnProperty("creationTime") && (t.creationTime = n.convertToType(e.creationTime, "Date")), e.hasOwnProperty("creator") && (t.creator = n.convertToType(e.creator, "String")), e.hasOwnProperty("creatorId") && (t.creatorId = n.convertToType(e.creatorId, "String")), e.hasOwnProperty("deleterId") && (t.deleterId = n.convertToType(e.deleterId, "String")), e.hasOwnProperty("deletionTime") && (t.deletionTime = n.convertToType(e.deletionTime, "Date")), e.hasOwnProperty("flag") && (t.flag = n.convertToType(e.flag, "Number")), e.hasOwnProperty("id") && (t.id = n.convertToType(e.id, "String")), e.hasOwnProperty("isDeleted") && (t.isDeleted = n.convertToType(e.isDeleted, "Boolean")), e.hasOwnProperty("lastModificationTime") && (t.lastModificationTime = n.convertToType(e.lastModificationTime, "Date")), e.hasOwnProperty("lastModifierId") && (t.lastModifierId = n.convertToType(e.lastModifierId, "String")), e.hasOwnProperty("modelCode") && (t.modelCode = n.convertToType(e.modelCode, "String")), e.hasOwnProperty("modelName") && (t.modelName = n.convertToType(e.modelName, "String")), e.hasOwnProperty("modelType") && (t.modelType = n.convertToType(e.modelType, "String")), e.hasOwnProperty("name") && (t.name = n.convertToType(e.name, "String")), e.hasOwnProperty("rules") && (t.rules = n.convertToType(e.rules, [f])), e.hasOwnProperty("sceneId") && (t.sceneId = n.convertToType(e.sceneId, "String")), e.hasOwnProperty("status") && (t.status = n.convertToType(e.status, "Boolean")), e.hasOwnProperty("tagCode") && (t.tagCode = n.convertToType(e.tagCode, "String")), e.hasOwnProperty("tagId") && (t.tagId = n.convertToType(e.tagId, "String")), e.hasOwnProperty("tagName") && (t.tagName = n.convertToType(e.tagName, "String")), e.hasOwnProperty("tenantId") && (t.tenantId = n.convertToType(e.tenantId, "String"))), t;
      }
    }]);
  }();
  m.prototype.config = void 0, m.prototype.creationTime = void 0, m.prototype.creator = void 0, m.prototype.creatorId = void 0, m.prototype.deleterId = void 0, m.prototype.deletionTime = void 0, m.prototype.flag = void 0, m.prototype.id = void 0, m.prototype.isDeleted = void 0, m.prototype.lastModificationTime = void 0, m.prototype.lastModifierId = void 0, m.prototype.modelCode = void 0, m.prototype.modelName = void 0, m.prototype.modelType = void 0, m.prototype.name = void 0, m.prototype.rules = void 0, m.prototype.sceneId = void 0, m.prototype.status = void 0, m.prototype.tagCode = void 0, m.prototype.tagId = void 0, m.prototype.tagName = void 0, m.prototype.tenantId = void 0;
  var J = /*#__PURE__*/function () {
    function J() {
      _classCallCheck(this, J);
    }
    return _createClass(J, null, [{
      key: "constructFromObject",
      value: function constructFromObject(e, t) {
        return e && (t = t || new J(), e.hasOwnProperty("items") && (t.items = n.convertToType(e.items, [m])), e.hasOwnProperty("totalCount") && (t.totalCount = n.convertToType(e.totalCount, "Number"))), t;
      }
    }]);
  }();
  J.prototype.items = void 0, J.prototype.totalCount = void 0;
  var H = /*#__PURE__*/function () {
    function H() {
      _classCallCheck(this, H);
    }
    return _createClass(H, null, [{
      key: "constructFromObject",
      value: function constructFromObject(e, t) {
        return e && (t = t || new H(), e.hasOwnProperty("code") && (t.code = n.convertToType(e.code, "String")), e.hasOwnProperty("id") && (t.id = n.convertToType(e.id, "String")), e.hasOwnProperty("name") && (t.name = n.convertToType(e.name, "String")), e.hasOwnProperty("pointId") && (t.pointId = n.convertToType(e.pointId, "Number")), e.hasOwnProperty("unit") && (t.unit = n.convertToType(e.unit, "String"))), t;
      }
    }]);
  }();
  H.prototype.code = void 0, H.prototype.id = void 0, H.prototype.name = void 0, H.prototype.pointId = void 0, H.prototype.unit = void 0;
  var $ = /*#__PURE__*/function () {
    function $() {
      _classCallCheck(this, $);
    }
    return _createClass($, null, [{
      key: "constructFromObject",
      value: function constructFromObject(e, t) {
        return e && (t = t || new $(), e.hasOwnProperty("items") && (t.items = n.convertToType(e.items, [H])), e.hasOwnProperty("totalCount") && (t.totalCount = n.convertToType(e.totalCount, "Number"))), t;
      }
    }]);
  }();
  $.prototype.items = void 0, $.prototype.totalCount = void 0;
  var w = /*#__PURE__*/function () {
    function w() {
      _classCallCheck(this, w);
    }
    return _createClass(w, null, [{
      key: "constructFromObject",
      value: function constructFromObject(e, t) {
        return e && (t = t || new w(), e.hasOwnProperty("categoryId") && (t.categoryId = n.convertToType(e.categoryId, "String")), e.hasOwnProperty("categoryName") && (t.categoryName = n.convertToType(e.categoryName, "String")), e.hasOwnProperty("creationTime") && (t.creationTime = n.convertToType(e.creationTime, "Date")), e.hasOwnProperty("seqNo") && (t.seqNo = n.convertToType(e.seqNo, "Number")), e.hasOwnProperty("tagCode") && (t.tagCode = n.convertToType(e.tagCode, "String")), e.hasOwnProperty("tagId") && (t.tagId = n.convertToType(e.tagId, "String")), e.hasOwnProperty("tagName") && (t.tagName = n.convertToType(e.tagName, "String")), e.hasOwnProperty("virtualTagTreeId") && (t.virtualTagTreeId = n.convertToType(e.virtualTagTreeId, "String")), e.hasOwnProperty("virtualTagTreeName") && (t.virtualTagTreeName = n.convertToType(e.virtualTagTreeName, "String"))), t;
      }
    }]);
  }();
  w.prototype.categoryId = void 0, w.prototype.categoryName = void 0, w.prototype.creationTime = void 0, w.prototype.seqNo = void 0, w.prototype.tagCode = void 0, w.prototype.tagId = void 0, w.prototype.tagName = void 0, w.prototype.virtualTagTreeId = void 0, w.prototype.virtualTagTreeName = void 0;
  var y = /*#__PURE__*/function () {
    function y() {
      _classCallCheck(this, y);
    }
    return _createClass(y, null, [{
      key: "constructFromObject",
      value: function constructFromObject(e, t) {
        return e && (t = t || new y(), e.hasOwnProperty("creationTime") && (t.creationTime = n.convertToType(e.creationTime, "Date")), e.hasOwnProperty("creator") && (t.creator = n.convertToType(e.creator, "String")), e.hasOwnProperty("creatorId") && (t.creatorId = n.convertToType(e.creatorId, "String")), e.hasOwnProperty("deleterId") && (t.deleterId = n.convertToType(e.deleterId, "String")), e.hasOwnProperty("deletionTime") && (t.deletionTime = n.convertToType(e.deletionTime, "Date")), e.hasOwnProperty("description") && (t.description = n.convertToType(e.description, "String")), e.hasOwnProperty("id") && (t.id = n.convertToType(e.id, "String")), e.hasOwnProperty("isDeleted") && (t.isDeleted = n.convertToType(e.isDeleted, "Boolean")), e.hasOwnProperty("isDisplay") && (t.isDisplay = n.convertToType(e.isDisplay, "Boolean")), e.hasOwnProperty("isLeaf") && (t.isLeaf = n.convertToType(e.isLeaf, "Boolean")), e.hasOwnProperty("isTagAnimation") && (t.isTagAnimation = n.convertToType(e.isTagAnimation, "Boolean")), e.hasOwnProperty("lastModificationTime") && (t.lastModificationTime = n.convertToType(e.lastModificationTime, "Date")), e.hasOwnProperty("lastModifierId") && (t.lastModifierId = n.convertToType(e.lastModifierId, "String")), e.hasOwnProperty("name") && (t.name = n.convertToType(e.name, "String")), e.hasOwnProperty("parentId") && (t.parentId = n.convertToType(e.parentId, "String")), e.hasOwnProperty("path") && (t.path = n.convertToType(e.path, "String")), e.hasOwnProperty("perspective") && (t.perspective = n.convertToType(e.perspective, "String")), e.hasOwnProperty("sceneId") && (t.sceneId = n.convertToType(e.sceneId, "String")), e.hasOwnProperty("seqNo") && (t.seqNo = n.convertToType(e.seqNo, "Number")), e.hasOwnProperty("tagCount") && (t.tagCount = n.convertToType(e.tagCount, "Number")), e.hasOwnProperty("tags") && (t.tags = n.convertToType(e.tags, [w])), e.hasOwnProperty("xPoint") && (t.xPoint = n.convertToType(e.xPoint, "Number")), e.hasOwnProperty("yPoint") && (t.yPoint = n.convertToType(e.yPoint, "Number")), e.hasOwnProperty("zPoint") && (t.zPoint = n.convertToType(e.zPoint, "Number"))), t;
      }
    }]);
  }();
  y.prototype.creationTime = void 0, y.prototype.creator = void 0, y.prototype.creatorId = void 0, y.prototype.deleterId = void 0, y.prototype.deletionTime = void 0, y.prototype.description = void 0, y.prototype.id = void 0, y.prototype.isDeleted = void 0, y.prototype.isDisplay = void 0, y.prototype.isLeaf = void 0, y.prototype.isTagAnimation = void 0, y.prototype.lastModificationTime = void 0, y.prototype.lastModifierId = void 0, y.prototype.name = void 0, y.prototype.parentId = void 0, y.prototype.path = void 0, y.prototype.perspective = void 0, y.prototype.sceneId = void 0, y.prototype.seqNo = void 0, y.prototype.tagCount = void 0, y.prototype.tags = void 0, y.prototype.xPoint = void 0, y.prototype.yPoint = void 0, y.prototype.zPoint = void 0;
  var Q = /*#__PURE__*/function () {
    function Q() {
      _classCallCheck(this, Q);
    }
    return _createClass(Q, null, [{
      key: "constructFromObject",
      value: function constructFromObject(e, t) {
        return e && (t = t || new Q(), e.hasOwnProperty("items") && (t.items = n.convertToType(e.items, [y])), e.hasOwnProperty("totalCount") && (t.totalCount = n.convertToType(e.totalCount, "Number"))), t;
      }
    }]);
  }();
  Q.prototype.items = void 0, Q.prototype.totalCount = void 0;
  var T = /*#__PURE__*/function () {
    function T() {
      _classCallCheck(this, T);
    }
    return _createClass(T, null, [{
      key: "constructFromObject",
      value: function constructFromObject(e, t) {
        return e && (t = t || new T(), e.hasOwnProperty("content") && (t.content = n.convertToType(e.content, "String")), e.hasOwnProperty("creationTime") && (t.creationTime = n.convertToType(e.creationTime, "Date")), e.hasOwnProperty("creatorId") && (t.creatorId = n.convertToType(e.creatorId, "String")), e.hasOwnProperty("deleterId") && (t.deleterId = n.convertToType(e.deleterId, "String")), e.hasOwnProperty("deletionTime") && (t.deletionTime = n.convertToType(e.deletionTime, "Date")), e.hasOwnProperty("fileId") && (t.fileId = n.convertToType(e.fileId, "String")), e.hasOwnProperty("fileType") && (t.fileType = n.convertToType(e.fileType, "String")), e.hasOwnProperty("flag") && (t.flag = n.convertToType(e.flag, "Number")), e.hasOwnProperty("id") && (t.id = n.convertToType(e.id, "String")), e.hasOwnProperty("isDeleted") && (t.isDeleted = n.convertToType(e.isDeleted, "Boolean")), e.hasOwnProperty("lastModificationTime") && (t.lastModificationTime = n.convertToType(e.lastModificationTime, "Date")), e.hasOwnProperty("lastModifierId") && (t.lastModifierId = n.convertToType(e.lastModifierId, "String")), e.hasOwnProperty("name") && (t.name = n.convertToType(e.name, "String")), e.hasOwnProperty("tagId") && (t.tagId = n.convertToType(e.tagId, "String")), e.hasOwnProperty("tenantId") && (t.tenantId = n.convertToType(e.tenantId, "String")), e.hasOwnProperty("virtualTagTreeId") && (t.virtualTagTreeId = n.convertToType(e.virtualTagTreeId, "String"))), t;
      }
    }]);
  }();
  T.prototype.content = void 0, T.prototype.creationTime = void 0, T.prototype.creatorId = void 0, T.prototype.deleterId = void 0, T.prototype.deletionTime = void 0, T.prototype.fileId = void 0, T.prototype.fileType = void 0, T.prototype.flag = void 0, T.prototype.id = void 0, T.prototype.isDeleted = void 0, T.prototype.lastModificationTime = void 0, T.prototype.lastModifierId = void 0, T.prototype.name = void 0, T.prototype.tagId = void 0, T.prototype.tenantId = void 0, T.prototype.virtualTagTreeId = void 0;
  var X = /*#__PURE__*/function () {
    function X() {
      _classCallCheck(this, X);
    }
    return _createClass(X, null, [{
      key: "constructFromObject",
      value: function constructFromObject(e, t) {
        return e && (t = t || new X(), e.hasOwnProperty("items") && (t.items = n.convertToType(e.items, [T])), e.hasOwnProperty("totalCount") && (t.totalCount = n.convertToType(e.totalCount, "Number"))), t;
      }
    }]);
  }();
  X.prototype.items = void 0, X.prototype.totalCount = void 0;
  var W = /*#__PURE__*/function () {
    function W() {
      _classCallCheck(this, W);
    }
    return _createClass(W, null, [{
      key: "constructFromObject",
      value: function constructFromObject(e, t) {
        return e && (t = t || new W(), e.hasOwnProperty("fileName") && (t.fileName = n.convertToType(e.fileName, "String")), e.hasOwnProperty("fileType") && (t.fileType = n.convertToType(e.fileType, "String")), e.hasOwnProperty("modifyTime") && (t.modifyTime = n.convertToType(e.modifyTime, "Date")), e.hasOwnProperty("tagName") && (t.tagName = n.convertToType(e.tagName, "String")), e.hasOwnProperty("virtualTagTreeFileId") && (t.virtualTagTreeFileId = n.convertToType(e.virtualTagTreeFileId, "String"))), t;
      }
    }]);
  }();
  W.prototype.fileName = void 0, W.prototype.fileType = void 0, W.prototype.modifyTime = void 0, W.prototype.tagName = void 0, W.prototype.virtualTagTreeFileId = void 0;
  var Y = /*#__PURE__*/function () {
    function Y() {
      _classCallCheck(this, Y);
    }
    return _createClass(Y, null, [{
      key: "constructFromObject",
      value: function constructFromObject(e, t) {
        return e && (t = t || new Y(), e.hasOwnProperty("items") && (t.items = n.convertToType(e.items, [W])), e.hasOwnProperty("totalCount") && (t.totalCount = n.convertToType(e.totalCount, "Number"))), t;
      }
    }]);
  }();
  Y.prototype.items = void 0, Y.prototype.totalCount = void 0;
  var Z = /*#__PURE__*/function () {
    function Z() {
      _classCallCheck(this, Z);
    }
    return _createClass(Z, null, [{
      key: "constructFromObject",
      value: function constructFromObject(e, t) {
        return e && (t = t || new Z(), e.hasOwnProperty("items") && (t.items = n.convertToType(e.items, [w])), e.hasOwnProperty("totalCount") && (t.totalCount = n.convertToType(e.totalCount, "Number"))), t;
      }
    }]);
  }();
  Z.prototype.items = void 0, Z.prototype.totalCount = void 0;
  var g = /*#__PURE__*/function () {
    function g() {
      _classCallCheck(this, g);
    }
    return _createClass(g, null, [{
      key: "constructFromObject",
      value: function constructFromObject(e, t) {
        return e && (t = t || new g(), e.hasOwnProperty("cameraCount") && (t.cameraCount = n.convertToType(e.cameraCount, "Number")), e.hasOwnProperty("catagoryId") && (t.catagoryId = n.convertToType(e.catagoryId, "String")), e.hasOwnProperty("catagoryName") && (t.catagoryName = n.convertToType(e.catagoryName, "String")), e.hasOwnProperty("creationTime") && (t.creationTime = n.convertToType(e.creationTime, "Date")), e.hasOwnProperty("id") && (t.id = n.convertToType(e.id, "String")), e.hasOwnProperty("isDisplay") && (t.isDisplay = n.convertToType(e.isDisplay, "Boolean")), e.hasOwnProperty("isShow") && (t.isShow = n.convertToType(e.isShow, "Boolean")), e.hasOwnProperty("measurementPointCount") && (t.measurementPointCount = n.convertToType(e.measurementPointCount, "Number")), e.hasOwnProperty("panelCount") && (t.panelCount = n.convertToType(e.panelCount, "Number")), e.hasOwnProperty("seqNo") && (t.seqNo = n.convertToType(e.seqNo, "Number")), e.hasOwnProperty("tagCode") && (t.tagCode = n.convertToType(e.tagCode, "String")), e.hasOwnProperty("tagId") && (t.tagId = n.convertToType(e.tagId, "String")), e.hasOwnProperty("tagName") && (t.tagName = n.convertToType(e.tagName, "String")), e.hasOwnProperty("tagTreeId") && (t.tagTreeId = n.convertToType(e.tagTreeId, "String")), e.hasOwnProperty("virtualTagTreeId") && (t.virtualTagTreeId = n.convertToType(e.virtualTagTreeId, "String")), e.hasOwnProperty("virtualTagTreeName") && (t.virtualTagTreeName = n.convertToType(e.virtualTagTreeName, "String"))), t;
      }
    }]);
  }();
  g.prototype.cameraCount = void 0, g.prototype.catagoryId = void 0, g.prototype.catagoryName = void 0, g.prototype.creationTime = void 0, g.prototype.id = void 0, g.prototype.isDisplay = void 0, g.prototype.isShow = void 0, g.prototype.measurementPointCount = void 0, g.prototype.panelCount = void 0, g.prototype.seqNo = void 0, g.prototype.tagCode = void 0, g.prototype.tagId = void 0, g.prototype.tagName = void 0, g.prototype.tagTreeId = void 0, g.prototype.virtualTagTreeId = void 0, g.prototype.virtualTagTreeName = void 0;
  var _ = /*#__PURE__*/function () {
    function _() {
      _classCallCheck(this, _);
    }
    return _createClass(_, null, [{
      key: "constructFromObject",
      value: function constructFromObject(e, t) {
        return e && (t = t || new _(), e.hasOwnProperty("items") && (t.items = n.convertToType(e.items, [g])), e.hasOwnProperty("totalCount") && (t.totalCount = n.convertToType(e.totalCount, "Number"))), t;
      }
    }]);
  }();
  _.prototype.items = void 0, _.prototype.totalCount = void 0;
  var V = /*#__PURE__*/function () {
    function V() {
      _classCallCheck(this, V);
    }
    return _createClass(V, null, [{
      key: "constructFromObject",
      value: function constructFromObject(e, t) {
        return e && (t = t || new V(), e.hasOwnProperty("content") && (t.content = n.convertToType(e.content, "String")), e.hasOwnProperty("fileId") && (t.fileId = n.convertToType(e.fileId, "String")), e.hasOwnProperty("name") && (t.name = n.convertToType(e.name, "String"))), t;
      }
    }]);
  }();
  V.prototype.content = void 0, V.prototype.fileId = void 0, V.prototype.name = void 0;
  var A = /*#__PURE__*/function () {
    function A() {
      _classCallCheck(this, A);
    }
    return _createClass(A, null, [{
      key: "constructFromObject",
      value: function constructFromObject(e, t) {
        return e && (t = t || new A(), e.hasOwnProperty("code") && (t.code = n.convertToType(e.code, "String")), e.hasOwnProperty("deviceType") && (t.deviceType = n.convertToType(e.deviceType, "String")), e.hasOwnProperty("id") && (t.id = n.convertToType(e.id, "String")), e.hasOwnProperty("manufacturerCode") && (t.manufacturerCode = n.convertToType(e.manufacturerCode, "String")), e.hasOwnProperty("name") && (t.name = n.convertToType(e.name, "String")), e.hasOwnProperty("pIid") && (t.pIid = n.convertToType(e.pIid, "String"))), t;
      }
    }]);
  }();
  A.prototype.code = void 0, A.prototype.deviceType = void 0, A.prototype.id = void 0, A.prototype.manufacturerCode = void 0, A.prototype.name = void 0, A.prototype.pIid = void 0;
  var L = /*#__PURE__*/function () {
    function L() {
      _classCallCheck(this, L);
    }
    return _createClass(L, null, [{
      key: "constructFromObject",
      value: function constructFromObject(e, t) {
        return e && (t = t || new L(), e.hasOwnProperty("content") && (t.content = n.convertToType(e.content, "String")), e.hasOwnProperty("fileId") && (t.fileId = n.convertToType(e.fileId, "String")), e.hasOwnProperty("name") && (t.name = n.convertToType(e.name, "String"))), t;
      }
    }]);
  }();
  L.prototype.content = void 0, L.prototype.fileId = void 0, L.prototype.name = void 0;
  var G = /*#__PURE__*/function () {
    function G() {
      _classCallCheck(this, G);
    }
    return _createClass(G, null, [{
      key: "constructFromObject",
      value: function constructFromObject(e, t) {
        return e && (t = t || new G(), e.hasOwnProperty("content") && (t.content = n.convertToType(e.content, "String")), e.hasOwnProperty("fileId") && (t.fileId = n.convertToType(e.fileId, "String")), e.hasOwnProperty("name") && (t.name = n.convertToType(e.name, "String"))), t;
      }
    }]);
  }();
  G.prototype.content = void 0, G.prototype.fileId = void 0, G.prototype.name = void 0;
  var U = /*#__PURE__*/function () {
    function U() {
      _classCallCheck(this, U);
    }
    return _createClass(U, null, [{
      key: "constructFromObject",
      value: function constructFromObject(e, t) {
        return e && (t = t || new U(), e.hasOwnProperty("content") && (t.content = n.convertToType(e.content, "String")), e.hasOwnProperty("fileId") && (t.fileId = n.convertToType(e.fileId, "String")), e.hasOwnProperty("name") && (t.name = n.convertToType(e.name, "String"))), t;
      }
    }]);
  }();
  U.prototype.content = void 0, U.prototype.fileId = void 0, U.prototype.name = void 0;
  var j = /*#__PURE__*/function () {
    function j() {
      _classCallCheck(this, j);
    }
    return _createClass(j, null, [{
      key: "constructFromObject",
      value: function constructFromObject(e, t) {
        return e && (t = t || new j(), e.hasOwnProperty("animationCount") && (t.animationCount = n.convertToType(e.animationCount, "Number")), e.hasOwnProperty("tagId") && (t.tagId = n.convertToType(e.tagId, "String"))), t;
      }
    }]);
  }();
  j.prototype.animationCount = void 0, j.prototype.tagId = void 0;
  var se = /*#__PURE__*/function () {
    function se() {
      _classCallCheck(this, se);
    }
    return _createClass(se, null, [{
      key: "constructFromObject",
      value: function constructFromObject(e, t) {
        return e && (t = t || new se(), e.hasOwnProperty("tagIds") && (t.tagIds = n.convertToType(e.tagIds, ["String"]))), t;
      }
    }]);
  }();
  se.prototype.tagIds = void 0;
  var B = /*#__PURE__*/function () {
    function B() {
      _classCallCheck(this, B);
    }
    return _createClass(B, null, [{
      key: "constructFromObject",
      value: function constructFromObject(e, t) {
        return e && (t = t || new B(), e.hasOwnProperty("animationId") && (t.animationId = n.convertToType(e.animationId, "String")), e.hasOwnProperty("flag") && (t.flag = n.convertToType(e.flag, "Number")), e.hasOwnProperty("measurePointCode") && (t.measurePointCode = n.convertToType(e.measurePointCode, "String")), e.hasOwnProperty("measurePointValue") && (t.measurePointValue = n.convertToType(e.measurePointValue, "Number")), e.hasOwnProperty("operator") && (t.operator = n.convertToType(e.operator, "String"))), t;
      }
    }]);
  }();
  B.prototype.animationId = void 0, B.prototype.flag = void 0, B.prototype.measurePointCode = void 0, B.prototype.measurePointValue = void 0, B.prototype.operator = void 0;
  var O = /*#__PURE__*/function () {
    function O() {
      _classCallCheck(this, O);
    }
    return _createClass(O, null, [{
      key: "constructFromObject",
      value: function constructFromObject(e, t) {
        return e && (t = t || new O(), e.hasOwnProperty("config") && (t.config = n.convertToType(e.config, "String")), e.hasOwnProperty("creator") && (t.creator = n.convertToType(e.creator, "String")), e.hasOwnProperty("flag") && (t.flag = n.convertToType(e.flag, "Number")), e.hasOwnProperty("modelCode") && (t.modelCode = n.convertToType(e.modelCode, "String")), e.hasOwnProperty("modelName") && (t.modelName = n.convertToType(e.modelName, "String")), e.hasOwnProperty("modelType") && (t.modelType = n.convertToType(e.modelType, "String")), e.hasOwnProperty("name") && (t.name = n.convertToType(e.name, "String")), e.hasOwnProperty("rules") && (t.rules = n.convertToType(e.rules, [B])), e.hasOwnProperty("sceneId") && (t.sceneId = n.convertToType(e.sceneId, "String")), e.hasOwnProperty("status") && (t.status = n.convertToType(e.status, "Boolean")), e.hasOwnProperty("tagId") && (t.tagId = n.convertToType(e.tagId, "String"))), t;
      }
    }]);
  }();
  O.prototype.config = void 0, O.prototype.creator = void 0, O.prototype.flag = void 0, O.prototype.modelCode = void 0, O.prototype.modelName = void 0, O.prototype.modelType = void 0, O.prototype.name = void 0, O.prototype.rules = void 0, O.prototype.sceneId = void 0, O.prototype.status = void 0, O.prototype.tagId = void 0;
  var S = /*#__PURE__*/function () {
    function S() {
      _classCallCheck(this, S);
    }
    return _createClass(S, null, [{
      key: "constructFromObject",
      value: function constructFromObject(e, t) {
        return e && (t = t || new S(), e.hasOwnProperty("config") && (t.config = n.convertToType(e.config, "String")), e.hasOwnProperty("creator") && (t.creator = n.convertToType(e.creator, "String")), e.hasOwnProperty("flag") && (t.flag = n.convertToType(e.flag, "Number")), e.hasOwnProperty("modelCode") && (t.modelCode = n.convertToType(e.modelCode, "String")), e.hasOwnProperty("modelName") && (t.modelName = n.convertToType(e.modelName, "String")), e.hasOwnProperty("modelType") && (t.modelType = n.convertToType(e.modelType, "String")), e.hasOwnProperty("name") && (t.name = n.convertToType(e.name, "String")), e.hasOwnProperty("rules") && (t.rules = n.convertToType(e.rules, [B])), e.hasOwnProperty("sceneId") && (t.sceneId = n.convertToType(e.sceneId, "String")), e.hasOwnProperty("status") && (t.status = n.convertToType(e.status, "Boolean")), e.hasOwnProperty("tagId") && (t.tagId = n.convertToType(e.tagId, "String"))), t;
      }
    }]);
  }();
  S.prototype.config = void 0, S.prototype.creator = void 0, S.prototype.flag = void 0, S.prototype.modelCode = void 0, S.prototype.modelName = void 0, S.prototype.modelType = void 0, S.prototype.name = void 0, S.prototype.rules = void 0, S.prototype.sceneId = void 0, S.prototype.status = void 0, S.prototype.tagId = void 0;
  var R = /*#__PURE__*/function () {
    function R() {
      _classCallCheck(this, R);
    }
    return _createClass(R, null, [{
      key: "constructFromObject",
      value: function constructFromObject(e, t) {
        return e && (t = t || new R(), e.hasOwnProperty("categoryId") && (t.categoryId = n.convertToType(e.categoryId, "String")), e.hasOwnProperty("deviceList") && (t.deviceList = n.convertToType(e.deviceList, [A])), e.hasOwnProperty("seqNo") && (t.seqNo = n.convertToType(e.seqNo, "Number")), e.hasOwnProperty("tagCode") && (t.tagCode = n.convertToType(e.tagCode, "String")), e.hasOwnProperty("tagId") && (t.tagId = n.convertToType(e.tagId, "String")), e.hasOwnProperty("tagName") && (t.tagName = n.convertToType(e.tagName, "String"))), t;
      }
    }]);
  }();
  R.prototype.categoryId = void 0, R.prototype.deviceList = void 0, R.prototype.seqNo = void 0, R.prototype.tagCode = void 0, R.prototype.tagId = void 0, R.prototype.tagName = void 0;
  var D = /*#__PURE__*/function () {
    function D() {
      _classCallCheck(this, D);
    }
    return _createClass(D, null, [{
      key: "constructFromObject",
      value: function constructFromObject(e, t) {
        return e && (t = t || new D(), e.hasOwnProperty("measuringPointId") && (t.measuringPointId = n.convertToType(e.measuringPointId, "String")), e.hasOwnProperty("pointCode") && (t.pointCode = n.convertToType(e.pointCode, "String")), e.hasOwnProperty("pointName") && (t.pointName = n.convertToType(e.pointName, "String")), e.hasOwnProperty("shortName") && (t.shortName = n.convertToType(e.shortName, "String")), e.hasOwnProperty("unit") && (t.unit = n.convertToType(e.unit, "String")), e.hasOwnProperty("value") && (t.value = n.convertToType(e.value, "Number"))), t;
      }
    }]);
  }();
  D.prototype.measuringPointId = void 0, D.prototype.pointCode = void 0, D.prototype.pointName = void 0, D.prototype.shortName = void 0, D.prototype.unit = void 0, D.prototype.value = void 0;
  var I = /*#__PURE__*/function () {
    function I() {
      _classCallCheck(this, I);
    }
    return _createClass(I, null, [{
      key: "constructFromObject",
      value: function constructFromObject(e, t) {
        return e && (t = t || new I(), e.hasOwnProperty("creator") && (t.creator = n.convertToType(e.creator, "String")), e.hasOwnProperty("description") && (t.description = n.convertToType(e.description, "String")), e.hasOwnProperty("isDisplay") && (t.isDisplay = n.convertToType(e.isDisplay, "Boolean")), e.hasOwnProperty("isLeaf") && (t.isLeaf = n.convertToType(e.isLeaf, "Boolean")), e.hasOwnProperty("isTagAnimation") && (t.isTagAnimation = n.convertToType(e.isTagAnimation, "Boolean")), e.hasOwnProperty("name") && (t.name = n.convertToType(e.name, "String")), e.hasOwnProperty("parentId") && (t.parentId = n.convertToType(e.parentId, "String")), e.hasOwnProperty("perspective") && (t.perspective = n.convertToType(e.perspective, "String")), e.hasOwnProperty("sceneId") && (t.sceneId = n.convertToType(e.sceneId, "String")), e.hasOwnProperty("seqNo") && (t.seqNo = n.convertToType(e.seqNo, "Number")), e.hasOwnProperty("xPoint") && (t.xPoint = n.convertToType(e.xPoint, "Number")), e.hasOwnProperty("yPoint") && (t.yPoint = n.convertToType(e.yPoint, "Number")), e.hasOwnProperty("zPoint") && (t.zPoint = n.convertToType(e.zPoint, "Number"))), t;
      }
    }]);
  }();
  I.prototype.creator = void 0, I.prototype.description = void 0, I.prototype.isDisplay = void 0, I.prototype.isLeaf = void 0, I.prototype.isTagAnimation = void 0, I.prototype.name = void 0, I.prototype.parentId = void 0, I.prototype.perspective = void 0, I.prototype.sceneId = void 0, I.prototype.seqNo = void 0, I.prototype.xPoint = void 0, I.prototype.yPoint = void 0, I.prototype.zPoint = void 0;
  var C = /*#__PURE__*/function () {
    function C() {
      _classCallCheck(this, C);
    }
    return _createClass(C, null, [{
      key: "constructFromObject",
      value: function constructFromObject(e, t) {
        return e && (t = t || new C(), e.hasOwnProperty("children") && (t.children = n.convertToType(e.children, [C])), e.hasOwnProperty("deep") && (t.deep = n.convertToType(e.deep, "Number")), e.hasOwnProperty("id") && (t.id = n.convertToType(e.id, "String")), e.hasOwnProperty("isDisplay") && (t.isDisplay = n.convertToType(e.isDisplay, "Boolean")), e.hasOwnProperty("isLeaf") && (t.isLeaf = n.convertToType(e.isLeaf, "Boolean")), e.hasOwnProperty("name") && (t.name = n.convertToType(e.name, "String")), e.hasOwnProperty("parentId") && (t.parentId = n.convertToType(e.parentId, "String")), e.hasOwnProperty("sceneId") && (t.sceneId = n.convertToType(e.sceneId, "String")), e.hasOwnProperty("seqNo") && (t.seqNo = n.convertToType(e.seqNo, "Number"))), t;
      }
    }]);
  }();
  C.prototype.children = void 0, C.prototype.deep = void 0, C.prototype.id = void 0, C.prototype.isDisplay = void 0, C.prototype.isLeaf = void 0, C.prototype.name = void 0, C.prototype.parentId = void 0, C.prototype.sceneId = void 0, C.prototype.seqNo = void 0;
  var q = /*#__PURE__*/function () {
    function q(e, t) {
      _classCallCheck(this, q);
      this.fileType = e, this.virtualTagTreeId = t;
    }
    return _createClass(q, null, [{
      key: "constructFromObject",
      value: function constructFromObject(e, t) {
        return e && (t = t || new q(), e.hasOwnProperty("content") && (t.content = n.convertToType(e.content, "String")), e.hasOwnProperty("fileId") && (t.fileId = n.convertToType(e.fileId, "String")), e.hasOwnProperty("fileType") && (t.fileType = n.convertToType(e.fileType, "String")), e.hasOwnProperty("name") && (t.name = n.convertToType(e.name, "String")), e.hasOwnProperty("tagId") && (t.tagId = n.convertToType(e.tagId, "String")), e.hasOwnProperty("virtualTagTreeId") && (t.virtualTagTreeId = n.convertToType(e.virtualTagTreeId, "String"))), t;
      }
    }]);
  }();
  q.prototype.content = void 0, q.prototype.fileId = void 0, q.prototype.fileType = void 0, q.prototype.name = void 0, q.prototype.tagId = void 0, q.prototype.virtualTagTreeId = void 0;
  var ne = /*#__PURE__*/function () {
    function ne() {
      _classCallCheck(this, ne);
    }
    return _createClass(ne, null, [{
      key: "constructFromObject",
      value: function constructFromObject(e, t) {
        return e && (t = t || new ne(), e.hasOwnProperty("tagId") && (t.tagId = n.convertToType(e.tagId, "String")), e.hasOwnProperty("virtualTagTreeId") && (t.virtualTagTreeId = n.convertToType(e.virtualTagTreeId, "String"))), t;
      }
    }]);
  }();
  ne.prototype.tagId = void 0, ne.prototype.virtualTagTreeId = void 0;
  var M = /*#__PURE__*/function () {
    function M() {
      _classCallCheck(this, M);
    }
    return _createClass(M, null, [{
      key: "constructFromObject",
      value: function constructFromObject(e, t) {
        return e && (t = t || new M(), e.hasOwnProperty("accidentCaseAmount") && (t.accidentCaseAmount = n.convertToType(e.accidentCaseAmount, "Number")), e.hasOwnProperty("accidentCaseList") && (t.accidentCaseList = n.convertToType(e.accidentCaseList, [V])), e.hasOwnProperty("drawingAmount") && (t.drawingAmount = n.convertToType(e.drawingAmount, "Number")), e.hasOwnProperty("drawingList") && (t.drawingList = n.convertToType(e.drawingList, [L])), e.hasOwnProperty("exceptionHandleAmount") && (t.exceptionHandleAmount = n.convertToType(e.exceptionHandleAmount, "Number")), e.hasOwnProperty("exceptionHandleList") && (t.exceptionHandleList = n.convertToType(e.exceptionHandleList, [G])), e.hasOwnProperty("operationInstructionAmount") && (t.operationInstructionAmount = n.convertToType(e.operationInstructionAmount, "Number")), e.hasOwnProperty("operationInstructionList") && (t.operationInstructionList = n.convertToType(e.operationInstructionList, [U]))), t;
      }
    }]);
  }();
  M.prototype.accidentCaseAmount = void 0, M.prototype.accidentCaseList = void 0, M.prototype.drawingAmount = void 0, M.prototype.drawingList = void 0, M.prototype.exceptionHandleAmount = void 0, M.prototype.exceptionHandleList = void 0, M.prototype.operationInstructionAmount = void 0, M.prototype.operationInstructionList = void 0;
  var x = /*#__PURE__*/function () {
    function x(e, t) {
      _classCallCheck(this, x);
      this.fileType = e, this.virtualTagTreeId = t;
    }
    return _createClass(x, null, [{
      key: "constructFromObject",
      value: function constructFromObject(e, t) {
        return e && (t = t || new x(), e.hasOwnProperty("content") && (t.content = n.convertToType(e.content, "String")), e.hasOwnProperty("fileId") && (t.fileId = n.convertToType(e.fileId, "String")), e.hasOwnProperty("fileType") && (t.fileType = n.convertToType(e.fileType, "String")), e.hasOwnProperty("id") && (t.id = n.convertToType(e.id, "String")), e.hasOwnProperty("name") && (t.name = n.convertToType(e.name, "String")), e.hasOwnProperty("tagId") && (t.tagId = n.convertToType(e.tagId, "String")), e.hasOwnProperty("virtualTagTreeId") && (t.virtualTagTreeId = n.convertToType(e.virtualTagTreeId, "String"))), t;
      }
    }]);
  }();
  x.prototype.content = void 0, x.prototype.fileId = void 0, x.prototype.fileType = void 0, x.prototype.id = void 0, x.prototype.name = void 0, x.prototype.tagId = void 0, x.prototype.virtualTagTreeId = void 0;
  var F = /*#__PURE__*/function () {
    function F() {
      _classCallCheck(this, F);
    }
    return _createClass(F, null, [{
      key: "constructFromObject",
      value: function constructFromObject(e, t) {
        return e && (t = t || new F(), e.hasOwnProperty("measurePoints") && (t.measurePoints = n.convertToType(e.measurePoints, [D])), e.hasOwnProperty("panelCode") && (t.panelCode = n.convertToType(e.panelCode, "String")), e.hasOwnProperty("panelId") && (t.panelId = n.convertToType(e.panelId, "String")), e.hasOwnProperty("panelName") && (t.panelName = n.convertToType(e.panelName, "String"))), t;
      }
    }]);
  }();
  F.prototype.measurePoints = void 0, F.prototype.panelCode = void 0, F.prototype.panelId = void 0, F.prototype.panelName = void 0;
  var z = /*#__PURE__*/function () {
    function z() {
      _classCallCheck(this, z);
    }
    return _createClass(z, null, [{
      key: "constructFromObject",
      value: function constructFromObject(e, t) {
        return e && (t = t || new z(), e.hasOwnProperty("measurePoints") && (t.measurePoints = n.convertToType(e.measurePoints, [D])), e.hasOwnProperty("panels") && (t.panels = n.convertToType(e.panels, [F]))), t;
      }
    }]);
  }();
  z.prototype.measurePoints = void 0, z.prototype.panels = void 0;
  var b = /*#__PURE__*/function () {
    function b() {
      _classCallCheck(this, b);
    }
    return _createClass(b, null, [{
      key: "constructFromObject",
      value: function constructFromObject(e, t) {
        return e && (t = t || new b(), e.hasOwnProperty("tagId") && (t.tagId = n.convertToType(e.tagId, "String")), e.hasOwnProperty("tagPanelDto") && (t.tagPanelDto = z.constructFromObject(e.tagPanelDto))), t;
      }
    }]);
  }();
  b.prototype.tagId = void 0, b.prototype.tagPanelDto = void 0;
  var k = /*#__PURE__*/function () {
    function k() {
      _classCallCheck(this, k);
    }
    return _createClass(k, null, [{
      key: "constructFromObject",
      value: function constructFromObject(e, t) {
        return e && (t = t || new k(), e.hasOwnProperty("categoryId") && (t.categoryId = n.convertToType(e.categoryId, "String")), e.hasOwnProperty("datas") && (t.datas = n.convertToType(e.datas, [R])), e.hasOwnProperty("perspective") && (t.perspective = n.convertToType(e.perspective, "String"))), t;
      }
    }]);
  }();
  k.prototype.categoryId = void 0, k.prototype.datas = void 0, k.prototype.perspective = void 0;
  var h = /*#__PURE__*/function () {
    function h() {
      _classCallCheck(this, h);
    }
    return _createClass(h, null, [{
      key: "constructFromObject",
      value: function constructFromObject(e, t) {
        return e && (t = t || new h(), e.hasOwnProperty("creator") && (t.creator = n.convertToType(e.creator, "String")), e.hasOwnProperty("description") && (t.description = n.convertToType(e.description, "String")), e.hasOwnProperty("id") && (t.id = n.convertToType(e.id, "String")), e.hasOwnProperty("isDisplay") && (t.isDisplay = n.convertToType(e.isDisplay, "Boolean")), e.hasOwnProperty("isLeaf") && (t.isLeaf = n.convertToType(e.isLeaf, "Boolean")), e.hasOwnProperty("isTagAnimation") && (t.isTagAnimation = n.convertToType(e.isTagAnimation, "Boolean")), e.hasOwnProperty("name") && (t.name = n.convertToType(e.name, "String")), e.hasOwnProperty("parentId") && (t.parentId = n.convertToType(e.parentId, "String")), e.hasOwnProperty("perspective") && (t.perspective = n.convertToType(e.perspective, "String")), e.hasOwnProperty("sceneId") && (t.sceneId = n.convertToType(e.sceneId, "String")), e.hasOwnProperty("seqNo") && (t.seqNo = n.convertToType(e.seqNo, "Number")), e.hasOwnProperty("xPoint") && (t.xPoint = n.convertToType(e.xPoint, "Number")), e.hasOwnProperty("yPoint") && (t.yPoint = n.convertToType(e.yPoint, "Number")), e.hasOwnProperty("zPoint") && (t.zPoint = n.convertToType(e.zPoint, "Number"))), t;
      }
    }]);
  }();
  h.prototype.creator = void 0, h.prototype.description = void 0, h.prototype.id = void 0, h.prototype.isDisplay = void 0, h.prototype.isLeaf = void 0, h.prototype.isTagAnimation = void 0, h.prototype.name = void 0, h.prototype.parentId = void 0, h.prototype.perspective = void 0, h.prototype.sceneId = void 0, h.prototype.seqNo = void 0, h.prototype.xPoint = void 0, h.prototype.yPoint = void 0, h.prototype.zPoint = void 0;
  var ee = /*#__PURE__*/function () {
    function ee(e) {
      _classCallCheck(this, ee);
      this.virtualTagTreeId = e;
    }
    return _createClass(ee, null, [{
      key: "constructFromObject",
      value: function constructFromObject(e, t) {
        return e && (t = t || new ee(), e.hasOwnProperty("isDisplay") && (t.isDisplay = n.convertToType(e.isDisplay, "Boolean")), e.hasOwnProperty("tagId") && (t.tagId = n.convertToType(e.tagId, "String")), e.hasOwnProperty("virtualTagTreeId") && (t.virtualTagTreeId = n.convertToType(e.virtualTagTreeId, "String"))), t;
      }
    }]);
  }();
  ee.prototype.isDisplay = void 0, ee.prototype.tagId = void 0, ee.prototype.virtualTagTreeId = void 0;
  var re = /*#__PURE__*/function () {
    function re() {
      _classCallCheck(this, re);
    }
    return _createClass(re, null, [{
      key: "constructFromObject",
      value: function constructFromObject(e, t) {
        return e && (t = t || new re(), e.hasOwnProperty("tagIds") && (t.tagIds = n.convertToType(e.tagIds, ["String"])), e.hasOwnProperty("virtualTreeId") && (t.virtualTreeId = n.convertToType(e.virtualTreeId, "String"))), t;
      }
    }]);
  }();
  re.prototype.tagIds = void 0, re.prototype.virtualTreeId = void 0;
  var ue = /*#__PURE__*/function () {
    function ue(e) {
      _classCallCheck(this, ue);
      this.apiClient = e || n.GetInstance("tag-roam-sis-management", "TagAnimationApi");
    }
    return _createClass(ue, [{
      key: "callDeleteWithHttpInfo",
      value: function callDeleteWithHttpInfo(e) {
        var t = null;
        if (e == null) throw new Error("Missing the required parameter 'id' when calling callDelete");
        var i = {
            id: e
          },
          r = {},
          o = {},
          a = {},
          p = ["oauth2"],
          s = [],
          l = ["application/json", "text/json", "text/plain"],
          u = null;
        return this.apiClient.callApi("/api/tag-roam-sis-management/tag-animations/{id}", "DELETE", i, r, o, a, t, p, s, l, u);
      }
    }, {
      key: "callDelete",
      value: function callDelete(e) {
        return this.callDeleteWithHttpInfo(e);
      }
    }, {
      key: "createWithHttpInfo",
      value: function createWithHttpInfo(e) {
        e = e || {};
        var t = e.body,
          i = {},
          r = {},
          o = e.header || {},
          a = {},
          p = ["oauth2"],
          s = ["application/_*+json", "application/json", "text/json"],
          l = ["application/json", "text/json", "text/plain"],
          u = m;
        return this.apiClient.callApi("/api/tag-roam-sis-management/tag-animations", "POST", i, r, o, a, t, p, s, l, u);
      }
    }, {
      key: "create",
      value: function create(e) {
        return this.createWithHttpInfo(e);
      }
    }, {
      key: "deleteManyWithHttpInfo",
      value: function deleteManyWithHttpInfo(e) {
        e = e || {};
        var t = null,
          i = {},
          r = {
            ids: this.apiClient.buildCollectionParam(e.ids, "multi")
          },
          o = e.header || {},
          a = {},
          p = ["oauth2"],
          s = [],
          l = ["application/json", "text/json", "text/plain"],
          u = e.returnType || null;
        return this.apiClient.callApi("/api/tag-roam-sis-management/tag-animations/many", "DELETE", i, r, o, a, t, p, s, l, u);
      }
    }, {
      key: "deleteMany",
      value: function deleteMany(e) {
        return this.deleteManyWithHttpInfo(e);
      }
    }, {
      key: "getWithHttpInfo",
      value: function getWithHttpInfo(e) {
        var t = null;
        if (e == null) throw new Error("Missing the required parameter 'id' when calling get");
        var i = {
            id: e
          },
          r = {},
          o = {},
          a = {},
          p = ["oauth2"],
          s = [],
          l = ["application/json", "text/json", "text/plain"],
          u = m;
        return this.apiClient.callApi("/api/tag-roam-sis-management/tag-animations/{id}", "GET", i, r, o, a, t, p, s, l, u);
      }
    }, {
      key: "get",
      value: function get(e) {
        return this.getWithHttpInfo(e);
      }
    }, {
      key: "getListWithHttpInfo",
      value: function getListWithHttpInfo(e) {
        e = e || {};
        var t = null,
          i = {},
          r = {
            TagIds: this.apiClient.buildCollectionParam(e.tagIds, "multi"),
            ModelCode: e.modelCode,
            ModelName: e.modelName,
            ModelType: e.modelType,
            Sorting: e.sorting,
            SkipCount: e.skipCount,
            MaxResultCount: e.maxResultCount
          },
          o = e.header || {},
          a = {},
          p = ["oauth2"],
          s = [],
          l = ["application/json", "text/json", "text/plain"],
          u = J;
        return this.apiClient.callApi("/api/tag-roam-sis-management/tag-animations", "GET", i, r, o, a, t, p, s, l, u);
      }
    }, {
      key: "getList",
      value: function getList(e) {
        return this.getListWithHttpInfo(e);
      }
    }, {
      key: "getTagAnimationCountByTagIdWithHttpInfo",
      value: function getTagAnimationCountByTagIdWithHttpInfo(e) {
        e = e || {};
        var t = e.body,
          i = {},
          r = {},
          o = e.header || {},
          a = {},
          p = ["oauth2"],
          s = ["application/_*+json", "application/json", "text/json"],
          l = ["application/json", "text/json", "text/plain"],
          u = [j];
        return this.apiClient.callApi("/api/tag-roam-sis-management/tag-animations/tag-animation-count-by-tag-id", "POST", i, r, o, a, t, p, s, l, u);
      }
    }, {
      key: "getTagAnimationCountByTagId",
      value: function getTagAnimationCountByTagId(e) {
        return this.getTagAnimationCountByTagIdWithHttpInfo(e);
      }
    }, {
      key: "insertManyWithHttpInfo",
      value: function insertManyWithHttpInfo(e) {
        e = e || {};
        var t = e.body,
          i = {},
          r = {},
          o = e.header || {},
          a = {},
          p = ["oauth2"],
          s = ["application/_*+json", "application/json", "text/json"],
          l = ["application/json", "text/json", "text/plain"],
          u = e.returnType || null;
        return this.apiClient.callApi("/api/tag-roam-sis-management/tag-animations/many", "POST", i, r, o, a, t, p, s, l, u);
      }
    }, {
      key: "insertMany",
      value: function insertMany(e) {
        return this.insertManyWithHttpInfo(e);
      }
    }, {
      key: "updateWithHttpInfo",
      value: function updateWithHttpInfo(e, t) {
        t = t || {};
        var i = t.body;
        if (e == null) throw new Error("Missing the required parameter 'id' when calling update");
        var r = {
            id: e
          },
          o = {},
          a = t.header || {},
          p = {},
          s = ["oauth2"],
          l = ["application/_*+json", "application/json", "text/json"],
          u = ["application/json", "text/json", "text/plain"],
          N = m;
        return this.apiClient.callApi("/api/tag-roam-sis-management/tag-animations/{id}", "PUT", r, o, a, p, i, s, l, u, N);
      }
    }, {
      key: "update",
      value: function update(e, t) {
        return this.updateWithHttpInfo(e, t);
      }
    }, {
      key: "updateManyWithHttpInfo",
      value: function updateManyWithHttpInfo(e) {
        e = e || {};
        var t = e.body,
          i = {},
          r = {},
          o = e.header || {},
          a = {},
          p = ["oauth2"],
          s = ["application/_*+json", "application/json", "text/json"],
          l = ["application/json", "text/json", "text/plain"],
          u = e.returnType || null;
        return this.apiClient.callApi("/api/tag-roam-sis-management/tag-animations/many", "PUT", i, r, o, a, t, p, s, l, u);
      }
    }, {
      key: "updateMany",
      value: function updateMany(e) {
        return this.updateManyWithHttpInfo(e);
      }
    }]);
  }();
  ae(ue, "Methods", {
    callDelete: {
      method: "DELETE",
      path: "/api/tag-roam-sis-management/tag-animations/{id}"
    },
    create: {
      method: "POST",
      path: "/api/tag-roam-sis-management/tag-animations"
    },
    deleteMany: {
      method: "DELETE",
      path: "/api/tag-roam-sis-management/tag-animations/many"
    },
    get: {
      method: "GET",
      path: "/api/tag-roam-sis-management/tag-animations/{id}"
    },
    getList: {
      method: "GET",
      path: "/api/tag-roam-sis-management/tag-animations"
    },
    getTagAnimationCountByTagId: {
      desc: "获取设备动效数量",
      method: "POST",
      path: "/api/tag-roam-sis-management/tag-animations/tag-animation-count-by-tag-id"
    },
    insertMany: {
      method: "POST",
      path: "/api/tag-roam-sis-management/tag-animations/many"
    },
    update: {
      method: "PUT",
      path: "/api/tag-roam-sis-management/tag-animations/{id}"
    },
    updateMany: {
      method: "PUT",
      path: "/api/tag-roam-sis-management/tag-animations/many"
    }
  });
  var ce = /*#__PURE__*/function () {
    function ce(e) {
      _classCallCheck(this, ce);
      this.apiClient = e || n.GetInstance("tag-roam-sis-management", "VirtualTagTreeApi");
    }
    return _createClass(ce, [{
      key: "callDeleteWithHttpInfo",
      value: function callDeleteWithHttpInfo(e) {
        var t = null;
        if (e == null) throw new Error("Missing the required parameter 'id' when calling callDelete");
        var i = {
            id: e
          },
          r = {},
          o = {},
          a = {},
          p = ["oauth2"],
          s = [],
          l = ["application/json", "text/json", "text/plain"],
          u = null;
        return this.apiClient.callApi("/api/tag-roam-sis-management/virtual-tag-trees/{id}", "DELETE", i, r, o, a, t, p, s, l, u);
      }
    }, {
      key: "callDelete",
      value: function callDelete(e) {
        return this.callDeleteWithHttpInfo(e);
      }
    }, {
      key: "createWithHttpInfo",
      value: function createWithHttpInfo(e) {
        e = e || {};
        var t = e.body,
          i = {},
          r = {},
          o = e.header || {},
          a = {},
          p = ["oauth2"],
          s = ["application/_*+json", "application/json", "text/json"],
          l = ["application/json", "text/json", "text/plain"],
          u = y;
        return this.apiClient.callApi("/api/tag-roam-sis-management/virtual-tag-trees", "POST", i, r, o, a, t, p, s, l, u);
      }
    }, {
      key: "create",
      value: function create(e) {
        return this.createWithHttpInfo(e);
      }
    }, {
      key: "createVirtualTagTreeTagRelationManyWithHttpInfo",
      value: function createVirtualTagTreeTagRelationManyWithHttpInfo(e) {
        e = e || {};
        var t = e.body,
          i = {},
          r = {},
          o = e.header || {},
          a = {},
          p = ["oauth2"],
          s = ["application/_*+json", "application/json", "text/json"],
          l = ["application/json", "text/json", "text/plain"],
          u = e.returnType || null;
        return this.apiClient.callApi("/api/tag-roam-sis-management/virtual-tag-trees/virtual-tag-tree-tag-relation-many", "POST", i, r, o, a, t, p, s, l, u);
      }
    }, {
      key: "createVirtualTagTreeTagRelationMany",
      value: function createVirtualTagTreeTagRelationMany(e) {
        return this.createVirtualTagTreeTagRelationManyWithHttpInfo(e);
      }
    }, {
      key: "deleteManyWithHttpInfo",
      value: function deleteManyWithHttpInfo(e) {
        e = e || {};
        var t = null,
          i = {},
          r = {
            ids: this.apiClient.buildCollectionParam(e.ids, "multi")
          },
          o = e.header || {},
          a = {},
          p = ["oauth2"],
          s = [],
          l = ["application/json", "text/json", "text/plain"],
          u = e.returnType || null;
        return this.apiClient.callApi("/api/tag-roam-sis-management/virtual-tag-trees/many", "DELETE", i, r, o, a, t, p, s, l, u);
      }
    }, {
      key: "deleteMany",
      value: function deleteMany(e) {
        return this.deleteManyWithHttpInfo(e);
      }
    }, {
      key: "deleteVirtualTagTreeTagRelationManyWithHttpInfo",
      value: function deleteVirtualTagTreeTagRelationManyWithHttpInfo(e) {
        e = e || {};
        var t = e.body,
          i = {},
          r = {},
          o = e.header || {},
          a = {},
          p = ["oauth2"],
          s = ["application/_*+json", "application/json", "text/json"],
          l = ["application/json", "text/json", "text/plain"],
          u = e.returnType || null;
        return this.apiClient.callApi("/api/tag-roam-sis-management/virtual-tag-trees/delete-virtual-tag-tree-tag-relation-many", "POST", i, r, o, a, t, p, s, l, u);
      }
    }, {
      key: "deleteVirtualTagTreeTagRelationMany",
      value: function deleteVirtualTagTreeTagRelationMany(e) {
        return this.deleteVirtualTagTreeTagRelationManyWithHttpInfo(e);
      }
    }, {
      key: "getWithHttpInfo",
      value: function getWithHttpInfo(e) {
        var t = null;
        if (e == null) throw new Error("Missing the required parameter 'id' when calling get");
        var i = {
            id: e
          },
          r = {},
          o = {},
          a = {},
          p = ["oauth2"],
          s = [],
          l = ["application/json", "text/json", "text/plain"],
          u = y;
        return this.apiClient.callApi("/api/tag-roam-sis-management/virtual-tag-trees/{id}", "GET", i, r, o, a, t, p, s, l, u);
      }
    }, {
      key: "get",
      value: function get(e) {
        return this.getWithHttpInfo(e);
      }
    }, {
      key: "getAllRelationTagIdsWithVirtualTagTreeIdWithHttpInfo",
      value: function getAllRelationTagIdsWithVirtualTagTreeIdWithHttpInfo(e) {
        e = e || {};
        var t = null,
          i = {},
          r = {
            virtualTreeId: e.virtualTreeId
          },
          o = e.header || {},
          a = {},
          p = ["oauth2"],
          s = [],
          l = ["application/json", "text/json", "text/plain"],
          u = ["String"];
        return this.apiClient.callApi("/api/tag-roam-sis-management/virtual-tag-trees/all-relation-tag-ids-with-virtual-tag-tree-id", "GET", i, r, o, a, t, p, s, l, u);
      }
    }, {
      key: "getAllRelationTagIdsWithVirtualTagTreeId",
      value: function getAllRelationTagIdsWithVirtualTagTreeId(e) {
        return this.getAllRelationTagIdsWithVirtualTagTreeIdWithHttpInfo(e);
      }
    }, {
      key: "getDisplayVirtualTagTreeWithHttpInfo",
      value: function getDisplayVirtualTagTreeWithHttpInfo(e) {
        e = e || {};
        var t = null,
          i = {},
          r = {
            sceneId: e.sceneId
          },
          o = e.header || {},
          a = {},
          p = ["oauth2"],
          s = [],
          l = ["application/json", "text/json", "text/plain"],
          u = [C];
        return this.apiClient.callApi("/api/tag-roam-sis-management/virtual-tag-trees/display-virtual-tag-tree", "GET", i, r, o, a, t, p, s, l, u);
      }
    }, {
      key: "getDisplayVirtualTagTree",
      value: function getDisplayVirtualTagTree(e) {
        return this.getDisplayVirtualTagTreeWithHttpInfo(e);
      }
    }, {
      key: "getListWithHttpInfo",
      value: function getListWithHttpInfo(e) {
        e = e || {};
        var t = null,
          i = {},
          r = {
            Id: e.id,
            TagTreeId: e.tagTreeId,
            TagNameOrCode: e.tagNameOrCode,
            IsAnimationTag: e.isAnimationTag,
            KeyWord: e.keyWord,
            CategoryId: e.categoryId,
            Sorting: e.sorting,
            SkipCount: e.skipCount,
            MaxResultCount: e.maxResultCount
          },
          o = e.header || {},
          a = {},
          p = ["oauth2"],
          s = [],
          l = ["application/json", "text/json", "text/plain"],
          u = Q;
        return this.apiClient.callApi("/api/tag-roam-sis-management/virtual-tag-trees", "GET", i, r, o, a, t, p, s, l, u);
      }
    }, {
      key: "getList",
      value: function getList(e) {
        return this.getListWithHttpInfo(e);
      }
    }, {
      key: "getMeasurePointInfoByTagIdWithHttpInfo",
      value: function getMeasurePointInfoByTagIdWithHttpInfo(e) {
        e = e || {};
        var t = null,
          i = {},
          r = {
            TagId: e.tagId,
            NameOrCode: e.nameOrCode,
            Sorting: e.sorting,
            SkipCount: e.skipCount,
            MaxResultCount: e.maxResultCount
          },
          o = e.header || {},
          a = {},
          p = ["oauth2"],
          s = [],
          l = ["application/json", "text/json", "text/plain"],
          u = $;
        return this.apiClient.callApi("/api/tag-roam-sis-management/virtual-tag-trees/measure-point-info-by-tag-id", "GET", i, r, o, a, t, p, s, l, u);
      }
    }, {
      key: "getMeasurePointInfoByTagId",
      value: function getMeasurePointInfoByTagId(e) {
        return this.getMeasurePointInfoByTagIdWithHttpInfo(e);
      }
    }, {
      key: "getMeasurePointPanelInfoByTagIdWithHttpInfo",
      value: function getMeasurePointPanelInfoByTagIdWithHttpInfo(e) {
        e = e || {};
        var t = null,
          i = {},
          r = {
            tagId: e.tagId
          },
          o = e.header || {},
          a = {},
          p = ["oauth2"],
          s = [],
          l = ["application/json", "text/json", "text/plain"],
          u = z;
        return this.apiClient.callApi("/api/tag-roam-sis-management/virtual-tag-trees/measure-point-panel-info-by-tag-id", "GET", i, r, o, a, t, p, s, l, u);
      }
    }, {
      key: "getMeasurePointPanelInfoByTagId",
      value: function getMeasurePointPanelInfoByTagId(e) {
        return this.getMeasurePointPanelInfoByTagIdWithHttpInfo(e);
      }
    }, {
      key: "getMeasurePointPanelInfoByTagIdsWithHttpInfo",
      value: function getMeasurePointPanelInfoByTagIdsWithHttpInfo(e) {
        e = e || {};
        var t = e.body,
          i = {},
          r = {},
          o = e.header || {},
          a = {},
          p = ["oauth2"],
          s = ["application/_*+json", "application/json", "text/json"],
          l = ["application/json", "text/json", "text/plain"],
          u = [b];
        return this.apiClient.callApi("/api/tag-roam-sis-management/virtual-tag-trees/measure-point-panel-info-by-tag-ids", "POST", i, r, o, a, t, p, s, l, u);
      }
    }, {
      key: "getMeasurePointPanelInfoByTagIds",
      value: function getMeasurePointPanelInfoByTagIds(e) {
        return this.getMeasurePointPanelInfoByTagIdsWithHttpInfo(e);
      }
    }, {
      key: "getTagDetailInfoByCategoryIdWithHttpInfo",
      value: function getTagDetailInfoByCategoryIdWithHttpInfo(e) {
        e = e || {};
        var t = null,
          i = {},
          r = {
            CategoryId: e.categoryId
          },
          o = e.header || {},
          a = {},
          p = ["oauth2"],
          s = [],
          l = ["application/json", "text/json", "text/plain"],
          u = k;
        return this.apiClient.callApi("/api/tag-roam-sis-management/virtual-tag-trees/tag-detail-info-by-category-id", "GET", i, r, o, a, t, p, s, l, u);
      }
    }, {
      key: "getTagDetailInfoByCategoryId",
      value: function getTagDetailInfoByCategoryId(e) {
        return this.getTagDetailInfoByCategoryIdWithHttpInfo(e);
      }
    }, {
      key: "getTagListByVirtualTagTreeIdWithHttpInfo",
      value: function getTagListByVirtualTagTreeIdWithHttpInfo(e) {
        e = e || {};
        var t = null,
          i = {},
          r = {
            TagTreeId: e.tagTreeId,
            TagCodeOrName: e.tagCodeOrName,
            CategoryId: e.categoryId,
            Sorting: e.sorting,
            SkipCount: e.skipCount,
            MaxResultCount: e.maxResultCount
          },
          o = e.header || {},
          a = {},
          p = ["oauth2"],
          s = [],
          l = ["application/json", "text/json", "text/plain"],
          u = _;
        return this.apiClient.callApi("/api/tag-roam-sis-management/virtual-tag-trees/tag-list-by-virtual-tag-tree-id", "GET", i, r, o, a, t, p, s, l, u);
      }
    }, {
      key: "getTagListByVirtualTagTreeId",
      value: function getTagListByVirtualTagTreeId(e) {
        return this.getTagListByVirtualTagTreeIdWithHttpInfo(e);
      }
    }, {
      key: "getVirtualTagTreeLeafsWithHttpInfo",
      value: function getVirtualTagTreeLeafsWithHttpInfo() {
        var e = null,
          t = {},
          i = {},
          r = {},
          o = {},
          a = ["oauth2"],
          p = [],
          s = ["application/json", "text/json", "text/plain"],
          l = ["String"];
        return this.apiClient.callApi("/api/tag-roam-sis-management/virtual-tag-trees/virtual-tag-tree-leafs", "GET", t, i, r, o, e, a, p, s, l);
      }
    }, {
      key: "getVirtualTagTreeLeafs",
      value: function getVirtualTagTreeLeafs() {
        return this.getVirtualTagTreeLeafsWithHttpInfo();
      }
    }, {
      key: "getVirtualTagTreeTagListWithHttpInfo",
      value: function getVirtualTagTreeTagListWithHttpInfo(e) {
        e = e || {};
        var t = null,
          i = {},
          r = {
            Id: e.id,
            TagTreeId: e.tagTreeId,
            TagNameOrCode: e.tagNameOrCode,
            IsAnimationTag: e.isAnimationTag,
            KeyWord: e.keyWord,
            CategoryId: e.categoryId,
            Sorting: e.sorting,
            SkipCount: e.skipCount,
            MaxResultCount: e.maxResultCount
          },
          o = e.header || {},
          a = {},
          p = ["oauth2"],
          s = [],
          l = ["application/json", "text/json", "text/plain"],
          u = Z;
        return this.apiClient.callApi("/api/tag-roam-sis-management/virtual-tag-trees/virtual-tag-tree-tag-list", "GET", i, r, o, a, t, p, s, l, u);
      }
    }, {
      key: "getVirtualTagTreeTagList",
      value: function getVirtualTagTreeTagList(e) {
        return this.getVirtualTagTreeTagListWithHttpInfo(e);
      }
    }, {
      key: "insertManyWithHttpInfo",
      value: function insertManyWithHttpInfo(e) {
        e = e || {};
        var t = e.body,
          i = {},
          r = {},
          o = e.header || {},
          a = {},
          p = ["oauth2"],
          s = ["application/_*+json", "application/json", "text/json"],
          l = ["application/json", "text/json", "text/plain"],
          u = e.returnType || null;
        return this.apiClient.callApi("/api/tag-roam-sis-management/virtual-tag-trees/many", "POST", i, r, o, a, t, p, s, l, u);
      }
    }, {
      key: "insertMany",
      value: function insertMany(e) {
        return this.insertManyWithHttpInfo(e);
      }
    }, {
      key: "setVirtualTagTreeTagRelationTopWithHttpInfo",
      value: function setVirtualTagTreeTagRelationTopWithHttpInfo(e) {
        e = e || {};
        var t = e.body,
          i = {},
          r = {},
          o = e.header || {},
          a = {},
          p = ["oauth2"],
          s = ["application/_*+json", "application/json", "text/json"],
          l = ["application/json", "text/json", "text/plain"],
          u = e.returnType || null;
        return this.apiClient.callApi("/api/tag-roam-sis-management/virtual-tag-trees/set-virtual-tag-tree-tag-relation-topz", "POST", i, r, o, a, t, p, s, l, u);
      }
    }, {
      key: "setVirtualTagTreeTagRelationTop",
      value: function setVirtualTagTreeTagRelationTop(e) {
        return this.setVirtualTagTreeTagRelationTopWithHttpInfo(e);
      }
    }, {
      key: "updateWithHttpInfo",
      value: function updateWithHttpInfo(e, t) {
        t = t || {};
        var i = t.body;
        if (e == null) throw new Error("Missing the required parameter 'id' when calling update");
        var r = {
            id: e
          },
          o = {},
          a = t.header || {},
          p = {},
          s = ["oauth2"],
          l = ["application/_*+json", "application/json", "text/json"],
          u = ["application/json", "text/json", "text/plain"],
          N = y;
        return this.apiClient.callApi("/api/tag-roam-sis-management/virtual-tag-trees/{id}", "PUT", r, o, a, p, i, s, l, u, N);
      }
    }, {
      key: "update",
      value: function update(e, t) {
        return this.updateWithHttpInfo(e, t);
      }
    }, {
      key: "updateManyWithHttpInfo",
      value: function updateManyWithHttpInfo(e) {
        e = e || {};
        var t = e.body,
          i = {},
          r = {},
          o = e.header || {},
          a = {},
          p = ["oauth2"],
          s = ["application/_*+json", "application/json", "text/json"],
          l = ["application/json", "text/json", "text/plain"],
          u = e.returnType || null;
        return this.apiClient.callApi("/api/tag-roam-sis-management/virtual-tag-trees/many", "PUT", i, r, o, a, t, p, s, l, u);
      }
    }, {
      key: "updateMany",
      value: function updateMany(e) {
        return this.updateManyWithHttpInfo(e);
      }
    }, {
      key: "virtualTagTreeUpdateIsDisplayStatusWithHttpInfo",
      value: function virtualTagTreeUpdateIsDisplayStatusWithHttpInfo(e) {
        e = e || {};
        var t = e.body,
          i = {},
          r = {},
          o = e.header || {},
          a = {},
          p = ["oauth2"],
          s = ["application/_*+json", "application/json", "text/json"],
          l = ["application/json", "text/json", "text/plain"],
          u = "String";
        return this.apiClient.callApi("/api/tag-roam-sis-management/virtual-tag-trees/virtual-tag-tree-update-isdisplay-status", "POST", i, r, o, a, t, p, s, l, u);
      }
    }, {
      key: "virtualTagTreeUpdateIsDisplayStatus",
      value: function virtualTagTreeUpdateIsDisplayStatus(e) {
        return this.virtualTagTreeUpdateIsDisplayStatusWithHttpInfo(e);
      }
    }]);
  }();
  ae(ce, "Methods", {
    callDelete: {
      method: "DELETE",
      path: "/api/tag-roam-sis-management/virtual-tag-trees/{id}"
    },
    create: {
      method: "POST",
      path: "/api/tag-roam-sis-management/virtual-tag-trees"
    },
    createVirtualTagTreeTagRelationMany: {
      desc: "批量绑定设备到虚拟设备树",
      method: "POST",
      path: "/api/tag-roam-sis-management/virtual-tag-trees/virtual-tag-tree-tag-relation-many"
    },
    deleteMany: {
      method: "DELETE",
      path: "/api/tag-roam-sis-management/virtual-tag-trees/many"
    },
    deleteVirtualTagTreeTagRelationMany: {
      desc: "批量解绑虚拟设备树设备",
      method: "POST",
      path: "/api/tag-roam-sis-management/virtual-tag-trees/delete-virtual-tag-tree-tag-relation-many"
    },
    get: {
      method: "GET",
      path: "/api/tag-roam-sis-management/virtual-tag-trees/{id}"
    },
    getAllRelationTagIdsWithVirtualTagTreeId: {
      desc: "根据虚拟设备树Id获取所有关联子集设备Id",
      method: "GET",
      path: "/api/tag-roam-sis-management/virtual-tag-trees/all-relation-tag-ids-with-virtual-tag-tree-id"
    },
    getDisplayVirtualTagTree: {
      desc: "获取显示的虚拟设备树",
      method: "GET",
      path: "/api/tag-roam-sis-management/virtual-tag-trees/display-virtual-tag-tree"
    },
    getList: {
      method: "GET",
      path: "/api/tag-roam-sis-management/virtual-tag-trees"
    },
    getMeasurePointInfoByTagId: {
      desc: "通过设备Id获取测点信息集合",
      method: "GET",
      path: "/api/tag-roam-sis-management/virtual-tag-trees/measure-point-info-by-tag-id"
    },
    getMeasurePointPanelInfoByTagId: {
      desc: "通过设备Id获取测点面板信息集合",
      method: "GET",
      path: "/api/tag-roam-sis-management/virtual-tag-trees/measure-point-panel-info-by-tag-id"
    },
    getMeasurePointPanelInfoByTagIds: {
      desc: "通过设备Id获取测点面板信息集合",
      method: "POST",
      path: "/api/tag-roam-sis-management/virtual-tag-trees/measure-point-panel-info-by-tag-ids"
    },
    getTagDetailInfoByCategoryId: {
      desc: "通过设备树Id获取设备监控明细信息",
      method: "GET",
      path: "/api/tag-roam-sis-management/virtual-tag-trees/tag-detail-info-by-category-id"
    },
    getTagListByVirtualTagTreeId: {
      desc: "通过虚拟目录Id获取设备列表",
      method: "GET",
      path: "/api/tag-roam-sis-management/virtual-tag-trees/tag-list-by-virtual-tag-tree-id"
    },
    getVirtualTagTreeLeafs: {
      desc: "获取虚拟设备树叶子节点",
      method: "GET",
      path: "/api/tag-roam-sis-management/virtual-tag-trees/virtual-tag-tree-leafs"
    },
    getVirtualTagTreeTagList: {
      desc: "获取虚拟设备树关联设备列表",
      method: "GET",
      path: "/api/tag-roam-sis-management/virtual-tag-trees/virtual-tag-tree-tag-list"
    },
    insertMany: {
      method: "POST",
      path: "/api/tag-roam-sis-management/virtual-tag-trees/many"
    },
    setVirtualTagTreeTagRelationTop: {
      desc: "虚拟设备树设备置顶",
      method: "POST",
      path: "/api/tag-roam-sis-management/virtual-tag-trees/set-virtual-tag-tree-tag-relation-topz"
    },
    update: {
      method: "PUT",
      path: "/api/tag-roam-sis-management/virtual-tag-trees/{id}"
    },
    updateMany: {
      method: "PUT",
      path: "/api/tag-roam-sis-management/virtual-tag-trees/many"
    },
    virtualTagTreeUpdateIsDisplayStatus: {
      desc: "更新是否显示状态",
      method: "POST",
      path: "/api/tag-roam-sis-management/virtual-tag-trees/virtual-tag-tree-update-isdisplay-status"
    }
  });
  var ye = /*#__PURE__*/function () {
    function ye(e) {
      _classCallCheck(this, ye);
      this.apiClient = e || n.GetInstance("tag-roam-sis-management", "VirtualTagTreeFileApi");
    }
    return _createClass(ye, [{
      key: "callDeleteWithHttpInfo",
      value: function callDeleteWithHttpInfo(e) {
        var t = null;
        if (e == null) throw new Error("Missing the required parameter 'id' when calling callDelete");
        var i = {
            id: e
          },
          r = {},
          o = {},
          a = {},
          p = ["oauth2"],
          s = [],
          l = ["application/json", "text/json", "text/plain"],
          u = null;
        return this.apiClient.callApi("/api/tag-roam-sis-management/virtual-tag-tree-files/{id}", "DELETE", i, r, o, a, t, p, s, l, u);
      }
    }, {
      key: "callDelete",
      value: function callDelete(e) {
        return this.callDeleteWithHttpInfo(e);
      }
    }, {
      key: "createWithHttpInfo",
      value: function createWithHttpInfo(e) {
        e = e || {};
        var t = e.body,
          i = {},
          r = {},
          o = e.header || {},
          a = {},
          p = ["oauth2"],
          s = ["application/_*+json", "application/json", "text/json"],
          l = ["application/json", "text/json", "text/plain"],
          u = T;
        return this.apiClient.callApi("/api/tag-roam-sis-management/virtual-tag-tree-files", "POST", i, r, o, a, t, p, s, l, u);
      }
    }, {
      key: "create",
      value: function create(e) {
        return this.createWithHttpInfo(e);
      }
    }, {
      key: "deleteManyWithHttpInfo",
      value: function deleteManyWithHttpInfo(e) {
        e = e || {};
        var t = null,
          i = {},
          r = {
            ids: this.apiClient.buildCollectionParam(e.ids, "multi")
          },
          o = e.header || {},
          a = {},
          p = ["oauth2"],
          s = [],
          l = ["application/json", "text/json", "text/plain"],
          u = e.returnType || null;
        return this.apiClient.callApi("/api/tag-roam-sis-management/virtual-tag-tree-files/many", "DELETE", i, r, o, a, t, p, s, l, u);
      }
    }, {
      key: "deleteMany",
      value: function deleteMany(e) {
        return this.deleteManyWithHttpInfo(e);
      }
    }, {
      key: "getWithHttpInfo",
      value: function getWithHttpInfo(e) {
        var t = null;
        if (e == null) throw new Error("Missing the required parameter 'id' when calling get");
        var i = {
            id: e
          },
          r = {},
          o = {},
          a = {},
          p = ["oauth2"],
          s = [],
          l = ["application/json", "text/json", "text/plain"],
          u = T;
        return this.apiClient.callApi("/api/tag-roam-sis-management/virtual-tag-tree-files/{id}", "GET", i, r, o, a, t, p, s, l, u);
      }
    }, {
      key: "get",
      value: function get(e) {
        return this.getWithHttpInfo(e);
      }
    }, {
      key: "getFileInformationWithHttpInfo",
      value: function getFileInformationWithHttpInfo(e) {
        e = e || {};
        var t = e.body,
          i = {},
          r = {},
          o = e.header || {},
          a = {},
          p = ["oauth2"],
          s = ["application/_*+json", "application/json", "text/json"],
          l = ["application/json", "text/json", "text/plain"],
          u = M;
        return this.apiClient.callApi("/api/tag-roam-sis-management/virtual-tag-tree-files/get-file-information", "POST", i, r, o, a, t, p, s, l, u);
      }
    }, {
      key: "getFileInformation",
      value: function getFileInformation(e) {
        return this.getFileInformationWithHttpInfo(e);
      }
    }, {
      key: "getListWithHttpInfo",
      value: function getListWithHttpInfo(e, t) {
        t = t || {};
        var i = null;
        if (e == null) throw new Error("Missing the required parameter 'virtualTagTreeId' when calling getList");
        var r = {},
          o = {
            VirtualTagTreeId: e,
            FileType: t.fileType,
            TagName: t.tagName,
            Name: t.name,
            Sorting: t.sorting,
            SkipCount: t.skipCount,
            MaxResultCount: t.maxResultCount
          },
          a = t.header || {},
          p = {},
          s = ["oauth2"],
          l = [],
          u = ["application/json", "text/json", "text/plain"],
          N = X;
        return this.apiClient.callApi("/api/tag-roam-sis-management/virtual-tag-tree-files", "GET", r, o, a, p, i, s, l, u, N);
      }
    }, {
      key: "getList",
      value: function getList(e, t) {
        return this.getListWithHttpInfo(e, t);
      }
    }, {
      key: "getVirtualTagTreeFilePagedAndSortedWithHttpInfo",
      value: function getVirtualTagTreeFilePagedAndSortedWithHttpInfo(e, t) {
        t = t || {};
        var i = null;
        if (e == null) throw new Error("Missing the required parameter 'virtualTagTreeId' when calling getVirtualTagTreeFilePagedAndSorted");
        var r = {},
          o = {
            VirtualTagTreeId: e,
            FileType: t.fileType,
            TagName: t.tagName,
            Name: t.name,
            Sorting: t.sorting,
            SkipCount: t.skipCount,
            MaxResultCount: t.maxResultCount
          },
          a = t.header || {},
          p = {},
          s = ["oauth2"],
          l = [],
          u = ["application/json", "text/json", "text/plain"],
          N = Y;
        return this.apiClient.callApi("/api/tag-roam-sis-management/virtual-tag-tree-files/get-virtual-tag-tree-file-paged-and-sorted", "GET", r, o, a, p, i, s, l, u, N);
      }
    }, {
      key: "getVirtualTagTreeFilePagedAndSorted",
      value: function getVirtualTagTreeFilePagedAndSorted(e, t) {
        return this.getVirtualTagTreeFilePagedAndSortedWithHttpInfo(e, t);
      }
    }, {
      key: "insertManyWithHttpInfo",
      value: function insertManyWithHttpInfo(e) {
        e = e || {};
        var t = e.body,
          i = {},
          r = {},
          o = e.header || {},
          a = {},
          p = ["oauth2"],
          s = ["application/_*+json", "application/json", "text/json"],
          l = ["application/json", "text/json", "text/plain"],
          u = e.returnType || null;
        return this.apiClient.callApi("/api/tag-roam-sis-management/virtual-tag-tree-files/many", "POST", i, r, o, a, t, p, s, l, u);
      }
    }, {
      key: "insertMany",
      value: function insertMany(e) {
        return this.insertManyWithHttpInfo(e);
      }
    }, {
      key: "updateWithHttpInfo",
      value: function updateWithHttpInfo(e, t) {
        t = t || {};
        var i = t.body;
        if (e == null) throw new Error("Missing the required parameter 'id' when calling update");
        var r = {
            id: e
          },
          o = {},
          a = t.header || {},
          p = {},
          s = ["oauth2"],
          l = ["application/_*+json", "application/json", "text/json"],
          u = ["application/json", "text/json", "text/plain"],
          N = T;
        return this.apiClient.callApi("/api/tag-roam-sis-management/virtual-tag-tree-files/{id}", "PUT", r, o, a, p, i, s, l, u, N);
      }
    }, {
      key: "update",
      value: function update(e, t) {
        return this.updateWithHttpInfo(e, t);
      }
    }, {
      key: "updateManyWithHttpInfo",
      value: function updateManyWithHttpInfo(e) {
        e = e || {};
        var t = e.body,
          i = {},
          r = {},
          o = e.header || {},
          a = {},
          p = ["oauth2"],
          s = ["application/_*+json", "application/json", "text/json"],
          l = ["application/json", "text/json", "text/plain"],
          u = e.returnType || null;
        return this.apiClient.callApi("/api/tag-roam-sis-management/virtual-tag-tree-files/many", "PUT", i, r, o, a, t, p, s, l, u);
      }
    }, {
      key: "updateMany",
      value: function updateMany(e) {
        return this.updateManyWithHttpInfo(e);
      }
    }]);
  }();
  ae(ye, "Methods", {
    callDelete: {
      method: "DELETE",
      path: "/api/tag-roam-sis-management/virtual-tag-tree-files/{id}"
    },
    create: {
      method: "POST",
      path: "/api/tag-roam-sis-management/virtual-tag-tree-files"
    },
    deleteMany: {
      method: "DELETE",
      path: "/api/tag-roam-sis-management/virtual-tag-tree-files/many"
    },
    get: {
      method: "GET",
      path: "/api/tag-roam-sis-management/virtual-tag-tree-files/{id}"
    },
    getFileInformation: {
      desc: "获取文件信息",
      method: "POST",
      path: "/api/tag-roam-sis-management/virtual-tag-tree-files/get-file-information"
    },
    getList: {
      method: "GET",
      path: "/api/tag-roam-sis-management/virtual-tag-tree-files"
    },
    getVirtualTagTreeFilePagedAndSorted: {
      desc: "获取虚拟设备树文件关联信息列表",
      method: "GET",
      path: "/api/tag-roam-sis-management/virtual-tag-tree-files/get-virtual-tag-tree-file-paged-and-sorted"
    },
    insertMany: {
      method: "POST",
      path: "/api/tag-roam-sis-management/virtual-tag-tree-files/many"
    },
    update: {
      method: "PUT",
      path: "/api/tag-roam-sis-management/virtual-tag-tree-files/{id}"
    },
    updateMany: {
      method: "PUT",
      path: "/api/tag-roam-sis-management/virtual-tag-tree-files/many"
    }
  }), c.AbpRemoteServiceErrorInfo = E, c.AbpRemoteServiceErrorResponse = pe, c.AbpRemoteServiceValidationErrorInfo = K, c.ApiClient = n, c.PagedResultDtoTagRoamSisManagementTagAnimationDto = J, c.PagedResultDtoTagRoamSisManagementTagMeasurePointSimpleOutputDto = $, c.PagedResultDtoTagRoamSisManagementVirtualTagTreeDto = Q, c.PagedResultDtoTagRoamSisManagementVirtualTagTreeFileDto = X, c.PagedResultDtoTagRoamSisManagementVirtualTagTreeFilePagedAndSortedOutputDto = Y, c.PagedResultDtoTagRoamSisManagementVirtualTagTreeTagDto = Z, c.PagedResultDtoTagRoamSisManagementVirtualTagTreeTagRelationDto = _, c.TagAnimationApi = ue, c.TagRoamSisManagementAccidentCase = V, c.TagRoamSisManagementDeviceDto = A, c.TagRoamSisManagementDrawing = L, c.TagRoamSisManagementExceptionHandle = G, c.TagRoamSisManagementOperationInstruction = U, c.TagRoamSisManagementTagAnimationCountResultDto = j, c.TagRoamSisManagementTagAnimationCountSearchDto = se, c.TagRoamSisManagementTagAnimationCreateInputDto = O, c.TagRoamSisManagementTagAnimationDto = m, c.TagRoamSisManagementTagAnimationRuleCreateInputDto = B, c.TagRoamSisManagementTagAnimationRuleDto = f, c.TagRoamSisManagementTagAnimationUpdateInputDto = S, c.TagRoamSisManagementTagCameraDetailOutputDto = R, c.TagRoamSisManagementTagMeasurePointSimpleOutputDto = H, c.TagRoamSisManagementTagMeasurementPointOutputDto = D, c.TagRoamSisManagementVirtualTagTreeCreateInputDto = I, c.TagRoamSisManagementVirtualTagTreeDto = y, c.TagRoamSisManagementVirtualTagTreeElementDto = C, c.TagRoamSisManagementVirtualTagTreeFileCreateInputDto = q, c.TagRoamSisManagementVirtualTagTreeFileDto = T, c.TagRoamSisManagementVirtualTagTreeFilePagedAndSortedOutputDto = W, c.TagRoamSisManagementVirtualTagTreeFileSearchFileInputDto = ne, c.TagRoamSisManagementVirtualTagTreeFileSearchFileOutputDto = M, c.TagRoamSisManagementVirtualTagTreeFileUpdateInputDto = x, c.TagRoamSisManagementVirtualTagTreeMeasurePointPanelBulkDto = b, c.TagRoamSisManagementVirtualTagTreeMeasurePointPanelDto = z, c.TagRoamSisManagementVirtualTagTreePointPanel = F, c.TagRoamSisManagementVirtualTagTreeTagCameraInfoOutputDto = k, c.TagRoamSisManagementVirtualTagTreeTagDto = w, c.TagRoamSisManagementVirtualTagTreeTagRelationDto = g, c.TagRoamSisManagementVirtualTagTreeUpdateInputDto = h, c.TagRoamSisManagementVirtualTagTreeUpdateIsDisplayStatusInputDto = ee, c.TagRoamSisManagementVirtualTreeTagDto = re, c.VirtualTagTreeApi = ce, c.VirtualTagTreeFileApi = ye, Object.defineProperty(c, Symbol.toStringTag, {
    value: "Module"
  });
});
/* WEBPACK VAR INJECTION */}.call(this, __webpack_require__("b639").Buffer, __webpack_require__("62e4")(module)))

/***/ }),

/***/ "f953":
/***/ (function(module, exports, __webpack_require__) {

"use strict";


__webpack_require__("a4d3");
__webpack_require__("e01a");
__webpack_require__("d28b");
__webpack_require__("e260");
__webpack_require__("d3b7");
__webpack_require__("3ca3");
__webpack_require__("ddb0");
function _typeof(obj) {
  "@babel/helpers - typeof";

  if (typeof Symbol === "function" && typeof Symbol.iterator === "symbol") {
    _typeof = function _typeof(obj) {
      return typeof obj;
    };
  } else {
    _typeof = function _typeof(obj) {
      return obj && typeof Symbol === "function" && obj.constructor === Symbol && obj !== Symbol.prototype ? "symbol" : typeof obj;
    };
  }
  return _typeof(obj);
}

/**
 * Check if `obj` is an object.
 *
 * @param {Object} obj
 * @return {Boolean}
 * @api private
 */
function isObject(obj) {
  return obj !== null && _typeof(obj) === 'object';
}
module.exports = isObject;

/***/ })

}]);
//# sourceMappingURL=visualization-cockpit.umd.20.js.map