((typeof self !== 'undefined' ? self : this)["webpackJsonpvisualization_cockpit"] = (typeof self !== 'undefined' ? self : this)["webpackJsonpvisualization_cockpit"] || []).push([[6],{

/***/ "174a":
/***/ (function(module, exports, __webpack_require__) {

"use strict";


/**
 * Return the mime type for the given `str`.
 *
 * @param {String} str
 * @return {String}
 * @api private
 */
__webpack_require__("fb6a");
__webpack_require__("d3b7");
__webpack_require__("ac1f");
__webpack_require__("1276");
exports.type = function (str) {
  return str.split(/ *; */).shift();
};
/**
 * Return header field parameters.
 *
 * @param {String} str
 * @return {Object}
 * @api private
 */

exports.params = function (str) {
  return str.split(/ *; */).reduce(function (obj, str) {
    var parts = str.split(/ *= */);
    var key = parts.shift();
    var val = parts.shift();
    if (key && val) obj[key] = val;
    return obj;
  }, {});
};
/**
 * Parse Link header fields.
 *
 * @param {String} str
 * @return {Object}
 * @api private
 */

exports.parseLinks = function (str) {
  return str.split(/ *, */).reduce(function (obj, str) {
    var parts = str.split(/ *; */);
    var url = parts[0].slice(1, -1);
    var rel = parts[1].split(/ *= */)[1].slice(1, -1);
    obj[rel] = url;
    return obj;
  }, {});
};
/**
 * Strip content related fields from `header`.
 *
 * @param {Object} header
 * @return {Object} header
 * @api private
 */

exports.cleanHeader = function (header, changesOrigin) {
  delete header['content-type'];
  delete header['content-length'];
  delete header['transfer-encoding'];
  delete header.host; // secuirty

  if (changesOrigin) {
    delete header.authorization;
    delete header.cookie;
  }
  return header;
};

/***/ }),

/***/ "3bf7":
/***/ (function(module, exports, __webpack_require__) {

"use strict";


__webpack_require__("a4d3");
__webpack_require__("e01a");
__webpack_require__("d28b");
__webpack_require__("e260");
__webpack_require__("d3b7");
__webpack_require__("3ca3");
__webpack_require__("ddb0");
function _typeof(obj) {
  "@babel/helpers - typeof";

  if (typeof Symbol === "function" && typeof Symbol.iterator === "symbol") {
    _typeof = function _typeof(obj) {
      return typeof obj;
    };
  } else {
    _typeof = function _typeof(obj) {
      return obj && typeof Symbol === "function" && obj.constructor === Symbol && obj !== Symbol.prototype ? "symbol" : typeof obj;
    };
  }
  return _typeof(obj);
}

/**
 * Check if `obj` is an object.
 *
 * @param {Object} obj
 * @return {Boolean}
 * @api private
 */
function isObject(obj) {
  return obj !== null && _typeof(obj) === 'object';
}
module.exports = isObject;

/***/ }),

/***/ "8f97":
/***/ (function(module, exports, __webpack_require__) {

/* WEBPACK VAR INJECTION */(function(Buffer, module) {var __WEBPACK_AMD_DEFINE_FACTORY__, __WEBPACK_AMD_DEFINE_ARRAY__, __WEBPACK_AMD_DEFINE_RESULT__;var _classCallCheck = __webpack_require__("970b").default;
var _createClass = __webpack_require__("5bc3").default;
var _typeof = __webpack_require__("7037").default;
__webpack_require__("a4d3");
__webpack_require__("e01a");
__webpack_require__("944a");
__webpack_require__("d9e2");
__webpack_require__("4de4");
__webpack_require__("caad");
__webpack_require__("a15b");
__webpack_require__("d81d");
__webpack_require__("b0c0");
__webpack_require__("6c57");
__webpack_require__("0c47");
__webpack_require__("23dc");
__webpack_require__("b64b");
__webpack_require__("d3b7");
__webpack_require__("e6cf");
__webpack_require__("ac1f");
__webpack_require__("25f0");
__webpack_require__("466d");
__webpack_require__("5319");
__webpack_require__("159b");
__webpack_require__("c73d");
(function (u, x) {
  ( false ? undefined : _typeof(exports)) == "object" && ( false ? undefined : _typeof(module)) < "u" ? x(exports, __webpack_require__("9dcd")) :  true ? !(__WEBPACK_AMD_DEFINE_ARRAY__ = [exports, __webpack_require__("9dcd")], __WEBPACK_AMD_DEFINE_FACTORY__ = (x),
				__WEBPACK_AMD_DEFINE_RESULT__ = (typeof __WEBPACK_AMD_DEFINE_FACTORY__ === 'function' ?
				(__WEBPACK_AMD_DEFINE_FACTORY__.apply(exports, __WEBPACK_AMD_DEFINE_ARRAY__)) : __WEBPACK_AMD_DEFINE_FACTORY__),
				__WEBPACK_AMD_DEFINE_RESULT__ !== undefined && (module.exports = __WEBPACK_AMD_DEFINE_RESULT__)) : (undefined);
})(this, function (u, x) {
  "use strict";

  var Ne = Object.defineProperty;
  var Re = function Re(u, x, n) {
    return x in u ? Ne(u, x, {
      enumerable: !0,
      configurable: !0,
      writable: !0,
      value: n
    }) : u[x] = n;
  };
  var ae = function ae(u, x, n) {
    return Re(u, _typeof(x) != "symbol" ? x + "" : x, n), n;
  };
  var S = /*#__PURE__*/function () {
    function S() {
      _classCallCheck(this, S);
      this.basePath = "/".replace(/\/+$/, ""), this.authentications = {
        oauth2: {
          type: "oauth2"
        }
      }, this.defaultHeaders = {}, this.timeout = 6e4, this.cache = !0, this.enableCookies = !1, (typeof window === "undefined" ? "undefined" : _typeof(window)) > "u" && (this.agent = new x.agent()), this.requestAgent = null;
    }
    return _createClass(S, [{
      key: "paramToString",
      value: function paramToString(e) {
        return e == null || e == null ? "" : e instanceof Date ? e.toJSON() : e.toString();
      }
    }, {
      key: "buildUrl",
      value: function buildUrl(e, t) {
        var _this = this;
        e.match(/^\//) || (e = "/" + e);
        var i = this.basePath + e;
        return i = i.replace(/\{([\w-]+)\}/g, function (r, o) {
          var p;
          return t.hasOwnProperty(o) ? p = _this.paramToString(t[o]) : p = r, encodeURIComponent(p);
        }), i;
      }
    }, {
      key: "isJsonMime",
      value: function isJsonMime(e) {
        return !!(e != null && e.match(/^application\/json(;.*)?$/i));
      }
    }, {
      key: "jsonPreferredMime",
      value: function jsonPreferredMime(e) {
        for (var t = 0; t < e.length; t++) if (this.isJsonMime(e[t])) return e[t];
        return e[0];
      }
    }, {
      key: "isFileParam",
      value: function isFileParam(e) {
        if (true) {
          var t;
          try {
            t = __webpack_require__(11);
          } catch (_unused) {}
          if (t && t.ReadStream && e instanceof t.ReadStream) return !0;
        }
        return typeof Buffer == "function" && e instanceof Buffer || typeof Blob == "function" && e instanceof Blob || typeof File == "function" && e instanceof File;
      }
    }, {
      key: "normalizeParams",
      value: function normalizeParams(e) {
        var t = {};
        for (var i in e) if (e.hasOwnProperty(i) && e[i] != null && e[i] != null) {
          var r = e[i];
          this.isFileParam(r) || Array.isArray(r) ? t[i] = r : t[i] = this.paramToString(r);
        }
        return t;
      }
    }, {
      key: "buildCollectionParam",
      value: function buildCollectionParam(e, t) {
        if (e == null) return null;
        switch (t) {
          case "csv":
            return e.map(this.paramToString).join(",");
          case "ssv":
            return e.map(this.paramToString).join(" ");
          case "tsv":
            return e.map(this.paramToString).join("	");
          case "pipes":
            return e.map(this.paramToString).join("|");
          case "multi":
            return e.map(this.paramToString);
          default:
            throw new Error("Unknown collection format: " + t);
        }
      }
    }, {
      key: "applyAuthToRequest",
      value: function applyAuthToRequest(e, t) {
        var _this2 = this;
        t.forEach(function (i) {
          var r = _this2.authentications[i];
          switch (r.type) {
            case "basic":
              (r.username || r.password) && e.auth(r.username || "", r.password || "");
              break;
            case "apiKey":
              if (r.apiKey) {
                var o = {};
                r.apiKeyPrefix ? o[r.name] = r.apiKeyPrefix + " " + r.apiKey : o[r.name] = r.apiKey, r.in === "header" ? e.set(o) : e.query(o);
              }
              break;
            case "oauth2":
              r.accessToken && e.set({
                Authorization: "Bearer " + r.accessToken
              });
              break;
            default:
              throw new Error("Unknown authentication type: " + r.type);
          }
        });
      }
    }, {
      key: "deserialize",
      value: function deserialize(e, t) {
        if (e == null || e.status == 204) return null;
        var i = e.body;
        if ((i == null || _typeof(i) == "object" && _typeof(i.length) > "u" && !Object.keys(i).length) && (i = e.text), t == null && ["easc3"].includes("roam-inspect-management")) return {
          data: i
        };
        var r = S.convertToType(i.data, t);
        return {
          code: i.code,
          data: r
        };
      }
    }, {
      key: "callApi",
      value: function callApi(e, t, i, r, o, p, s, a, c, l, L) {
        var _this3 = this;
        var ve = this.buildUrl(e, i),
          I = x(t, ve);
        this.applyAuthToRequest(I, a), t.toUpperCase() === "GET" && this.cache === !1 && (r._ = new Date().getTime()), I.query(this.normalizeParams(r)), I.set(this.defaultHeaders).set(this.normalizeParams(o)), this.requestAgent && I.agent(this.requestAgent), I.timeout(this.timeout);
        var le = this.jsonPreferredMime(c);
        if (le ? le != "multipart/form-data" && I.type(le) : I.header["Content-Type"] || I.type("application/json"), le === "application/x-www-form-urlencoded") I.send(S.stringify(this.normalizeParams(p)));else if (le == "multipart/form-data") {
          var ue = this.normalizeParams(p);
          for (var se in ue) ue.hasOwnProperty(se) && (this.isFileParam(ue[se]) ? I.attach(se, ue[se]) : I.field(se, ue[se]));
        } else s && I.send(s);
        var ge = this.jsonPreferredMime(l);
        return ge && I.accept(ge), L === "Blob" ? I.responseType("blob") : L === "String" && I.responseType("string"), this.enableCookies && ((typeof window === "undefined" ? "undefined" : _typeof(window)) > "u" ? this.agent.attachCookies(I) : I.withCredentials()), new Promise(function (Oe, Ie) {
          I.end(function (we, de) {
            if (we) Ie(we);else try {
              var Se = _this3.deserialize(de, L);
              _this3.enableCookies && (typeof window === "undefined" ? "undefined" : _typeof(window)) > "u" && _this3.agent.saveCookies(de), Oe({
                data: Se,
                response: de
              });
            } catch (Ce) {
              Ie(Ce);
            }
          });
        });
      }
    }], [{
      key: "parseDate",
      value: function parseDate(e) {
        return new Date(e);
      }
    }, {
      key: "convertToType",
      value: function convertToType(e, t) {
        if (e == null) return e;
        switch (t) {
          case "Boolean":
            return !!e;
          case "Integer":
            return parseInt(e, 10);
          case "Number":
            return parseFloat(e);
          case "String":
            return String(e);
          case "Date":
            return S.parseDate(String(e));
          case "Blob":
            return e;
          default:
            if (t === Object) return e;
            if (typeof t == "function") return t.constructFromObject(e);
            if (Array.isArray(t)) {
              var i = t[0];
              return e.map(function (l) {
                return S.convertToType(l, i);
              });
            } else if (_typeof(t) == "object") {
              var r, o;
              for (var p in t) if (t.hasOwnProperty(p)) {
                r = p, o = t[p];
                break;
              }
              var s = {};
              for (var p in e) if (e.hasOwnProperty(p)) {
                var a = S.convertToType(p, r),
                  c = S.convertToType(e[p], o);
                s[a] = c;
              }
              return s;
            } else return e;
        }
      }
    }, {
      key: "constructFromObject",
      value: function constructFromObject(e, t, i) {
        if (Array.isArray(e)) for (var r = 0; r < e.length; r++) e.hasOwnProperty(r) && (t[r] = S.convertToType(e[r], i));else for (var o in e) e.hasOwnProperty(o) && (t[o] = S.convertToType(e[o], i));
      }
    }, {
      key: "GetInstance",
      value: function GetInstance(e, t) {
        return Wiz ? Wiz.GetApiClientInstance(e, t) : new S();
      }
    }, {
      key: "stringifyPrimitive",
      value: function stringifyPrimitive(e) {
        switch (_typeof(e)) {
          case "string":
            return e;
          case "boolean":
            return e ? "true" : "false";
          case "number":
            return isFinite(e) ? e : "";
          default:
            return "";
        }
      }
    }, {
      key: "stringify",
      value: function stringify(e, t, i, r) {
        return t = t || "&", i = i || "=", e === null && (e = void 0), _typeof(e) == "object" ? Object.keys(e).map(function (o) {
          var p = encodeURIComponent(S.stringifyPrimitive(o)) + i;
          return Array.isArray(e[o]) ? e[o].map(function (s) {
            return p + encodeURIComponent(S.stringifyPrimitive(s));
          }).join(t) : p + encodeURIComponent(S.stringifyPrimitive(e[o]));
        }).filter(Boolean).join(t) : r ? encodeURIComponent(S.stringifyPrimitive(r)) + i + encodeURIComponent(S.stringifyPrimitive(e)) : "";
      }
    }]);
  }();
  ae(S, "CollectionFormatEnum", {
    CSV: ",",
    SSV: " ",
    TSV: "	",
    PIPES: "|",
    MULTI: "multi"
  });
  var n = S;
  var _ = /*#__PURE__*/function () {
    function _() {
      _classCallCheck(this, _);
    }
    return _createClass(_, null, [{
      key: "constructFromObject",
      value: function constructFromObject(e, t) {
        return e && (t = t || new _(), e.hasOwnProperty("members") && (t.members = n.convertToType(e.members, ["String"])), e.hasOwnProperty("message") && (t.message = n.convertToType(e.message, "String"))), t;
      }
    }]);
  }();
  _.prototype.members = void 0, _.prototype.message = void 0;
  var V = /*#__PURE__*/function () {
    function V() {
      _classCallCheck(this, V);
    }
    return _createClass(V, null, [{
      key: "constructFromObject",
      value: function constructFromObject(e, t) {
        return e && (t = t || new V(), e.hasOwnProperty("code") && (t.code = n.convertToType(e.code, "String")), e.hasOwnProperty("data") && (t.data = n.convertToType(e.data, {
          String: Object
        })), e.hasOwnProperty("details") && (t.details = n.convertToType(e.details, "String")), e.hasOwnProperty("message") && (t.message = n.convertToType(e.message, "String")), e.hasOwnProperty("validationErrors") && (t.validationErrors = n.convertToType(e.validationErrors, [_]))), t;
      }
    }]);
  }();
  V.prototype.code = void 0, V.prototype.data = void 0, V.prototype.details = void 0, V.prototype.message = void 0, V.prototype.validationErrors = void 0;
  var me = /*#__PURE__*/function () {
    function me() {
      _classCallCheck(this, me);
    }
    return _createClass(me, null, [{
      key: "constructFromObject",
      value: function constructFromObject(e, t) {
        return e && (t = t || new me(), e.hasOwnProperty("error") && (t.error = V.constructFromObject(e.error))), t;
      }
    }]);
  }();
  me.prototype.error = void 0;
  var w = /*#__PURE__*/function () {
    function w() {
      _classCallCheck(this, w);
    }
    return _createClass(w, null, [{
      key: "constructFromObject",
      value: function constructFromObject(e, t) {
        return e && (t = t || new w(), e.hasOwnProperty("creationTime") && (t.creationTime = n.convertToType(e.creationTime, "Date")), e.hasOwnProperty("creatorId") && (t.creatorId = n.convertToType(e.creatorId, "String")), e.hasOwnProperty("deleterId") && (t.deleterId = n.convertToType(e.deleterId, "String")), e.hasOwnProperty("deletionTime") && (t.deletionTime = n.convertToType(e.deletionTime, "Date")), e.hasOwnProperty("did") && (t.did = n.convertToType(e.did, "String")), e.hasOwnProperty("flag") && (t.flag = n.convertToType(e.flag, "Number")), e.hasOwnProperty("id") && (t.id = n.convertToType(e.id, "String")), e.hasOwnProperty("isDeleted") && (t.isDeleted = n.convertToType(e.isDeleted, "Boolean")), e.hasOwnProperty("lastModificationTime") && (t.lastModificationTime = n.convertToType(e.lastModificationTime, "Date")), e.hasOwnProperty("lastModifierId") && (t.lastModifierId = n.convertToType(e.lastModifierId, "String")), e.hasOwnProperty("tFid") && (t.tFid = n.convertToType(e.tFid, "String")), e.hasOwnProperty("tenantId") && (t.tenantId = n.convertToType(e.tenantId, "String")), e.hasOwnProperty("value") && (t.value = n.convertToType(e.value, "String"))), t;
      }
    }]);
  }();
  w.prototype.creationTime = void 0, w.prototype.creatorId = void 0, w.prototype.deleterId = void 0, w.prototype.deletionTime = void 0, w.prototype.did = void 0, w.prototype.flag = void 0, w.prototype.id = void 0, w.prototype.isDeleted = void 0, w.prototype.lastModificationTime = void 0, w.prototype.lastModifierId = void 0, w.prototype.tFid = void 0, w.prototype.tenantId = void 0, w.prototype.value = void 0;
  var P = /*#__PURE__*/function () {
    function P() {
      _classCallCheck(this, P);
    }
    return _createClass(P, null, [{
      key: "constructFromObject",
      value: function constructFromObject(e, t) {
        return e && (t = t || new P(), e.hasOwnProperty("areaCode") && (t.areaCode = n.convertToType(e.areaCode, "String")), e.hasOwnProperty("code") && (t.code = n.convertToType(e.code, "String")), e.hasOwnProperty("creationTime") && (t.creationTime = n.convertToType(e.creationTime, "Date")), e.hasOwnProperty("creatorId") && (t.creatorId = n.convertToType(e.creatorId, "String")), e.hasOwnProperty("deleterId") && (t.deleterId = n.convertToType(e.deleterId, "String")), e.hasOwnProperty("deletionTime") && (t.deletionTime = n.convertToType(e.deletionTime, "Date")), e.hasOwnProperty("externalId") && (t.externalId = n.convertToType(e.externalId, "String")), e.hasOwnProperty("flag") && (t.flag = n.convertToType(e.flag, "Number")), e.hasOwnProperty("id") && (t.id = n.convertToType(e.id, "String")), e.hasOwnProperty("iotDeviceTemplateFieldValues") && (t.iotDeviceTemplateFieldValues = n.convertToType(e.iotDeviceTemplateFieldValues, [w])), e.hasOwnProperty("isDeleted") && (t.isDeleted = n.convertToType(e.isDeleted, "Boolean")), e.hasOwnProperty("lastModificationTime") && (t.lastModificationTime = n.convertToType(e.lastModificationTime, "Date")), e.hasOwnProperty("lastModifierId") && (t.lastModifierId = n.convertToType(e.lastModifierId, "String")), e.hasOwnProperty("name") && (t.name = n.convertToType(e.name, "String")), e.hasOwnProperty("pIid") && (t.pIid = n.convertToType(e.pIid, "String")), e.hasOwnProperty("status") && (t.status = n.convertToType(e.status, "Number")), e.hasOwnProperty("tenantId") && (t.tenantId = n.convertToType(e.tenantId, "String"))), t;
      }
    }]);
  }();
  P.prototype.areaCode = void 0, P.prototype.code = void 0, P.prototype.creationTime = void 0, P.prototype.creatorId = void 0, P.prototype.deleterId = void 0, P.prototype.deletionTime = void 0, P.prototype.externalId = void 0, P.prototype.flag = void 0, P.prototype.id = void 0, P.prototype.iotDeviceTemplateFieldValues = void 0, P.prototype.isDeleted = void 0, P.prototype.lastModificationTime = void 0, P.prototype.lastModifierId = void 0, P.prototype.name = void 0, P.prototype.pIid = void 0, P.prototype.status = void 0, P.prototype.tenantId = void 0;
  var ye = {
    _0: 0,
    _1: 1,
    _2: 2,
    _3: 3,
    constructFromObject: function constructFromObject(ce) {
      return ce;
    }
  };
  var d = /*#__PURE__*/function () {
    function d() {
      _classCallCheck(this, d);
    }
    return _createClass(d, null, [{
      key: "constructFromObject",
      value: function constructFromObject(e, t) {
        return e && (t = t || new d(), e.hasOwnProperty("alarmLevel") && (t.alarmLevel = n.convertToType(e.alarmLevel, "String")), e.hasOwnProperty("alarmLevelName") && (t.alarmLevelName = n.convertToType(e.alarmLevelName, "String")), e.hasOwnProperty("alarmNo") && (t.alarmNo = n.convertToType(e.alarmNo, "String")), e.hasOwnProperty("alarmStatus") && (t.alarmStatus = ye.constructFromObject(e.alarmStatus)), e.hasOwnProperty("alarmType") && (t.alarmType = n.convertToType(e.alarmType, "String")), e.hasOwnProperty("alarmValue") && (t.alarmValue = n.convertToType(e.alarmValue, "Number")), e.hasOwnProperty("creationTime") && (t.creationTime = n.convertToType(e.creationTime, "Date")), e.hasOwnProperty("creatorId") && (t.creatorId = n.convertToType(e.creatorId, "String")), e.hasOwnProperty("deleterId") && (t.deleterId = n.convertToType(e.deleterId, "String")), e.hasOwnProperty("deletionTime") && (t.deletionTime = n.convertToType(e.deletionTime, "Date")), e.hasOwnProperty("description") && (t.description = n.convertToType(e.description, "String")), e.hasOwnProperty("endTime") && (t.endTime = n.convertToType(e.endTime, "Date")), e.hasOwnProperty("flag") && (t.flag = n.convertToType(e.flag, "Number")), e.hasOwnProperty("id") && (t.id = n.convertToType(e.id, "String")), e.hasOwnProperty("inspectPointName") && (t.inspectPointName = n.convertToType(e.inspectPointName, "String")), e.hasOwnProperty("isDeleted") && (t.isDeleted = n.convertToType(e.isDeleted, "Boolean")), e.hasOwnProperty("lastModificationTime") && (t.lastModificationTime = n.convertToType(e.lastModificationTime, "Date")), e.hasOwnProperty("lastModifierId") && (t.lastModifierId = n.convertToType(e.lastModifierId, "String")), e.hasOwnProperty("measuringPointCode") && (t.measuringPointCode = n.convertToType(e.measuringPointCode, "String")), e.hasOwnProperty("measuringPointId") && (t.measuringPointId = n.convertToType(e.measuringPointId, "String")), e.hasOwnProperty("sourceId") && (t.sourceId = n.convertToType(e.sourceId, "String")), e.hasOwnProperty("startTime") && (t.startTime = n.convertToType(e.startTime, "Date")), e.hasOwnProperty("tagCode") && (t.tagCode = n.convertToType(e.tagCode, "String")), e.hasOwnProperty("tagId") && (t.tagId = n.convertToType(e.tagId, "String")), e.hasOwnProperty("tagName") && (t.tagName = n.convertToType(e.tagName, "String")), e.hasOwnProperty("tenantId") && (t.tenantId = n.convertToType(e.tenantId, "String"))), t;
      }
    }]);
  }();
  d.prototype.alarmLevel = void 0, d.prototype.alarmLevelName = void 0, d.prototype.alarmNo = void 0, d.prototype.alarmStatus = void 0, d.prototype.alarmType = void 0, d.prototype.alarmValue = void 0, d.prototype.creationTime = void 0, d.prototype.creatorId = void 0, d.prototype.deleterId = void 0, d.prototype.deletionTime = void 0, d.prototype.description = void 0, d.prototype.endTime = void 0, d.prototype.flag = void 0, d.prototype.id = void 0, d.prototype.inspectPointName = void 0, d.prototype.isDeleted = void 0, d.prototype.lastModificationTime = void 0, d.prototype.lastModifierId = void 0, d.prototype.measuringPointCode = void 0, d.prototype.measuringPointId = void 0, d.prototype.sourceId = void 0, d.prototype.startTime = void 0, d.prototype.tagCode = void 0, d.prototype.tagId = void 0, d.prototype.tagName = void 0, d.prototype.tenantId = void 0;
  var j = /*#__PURE__*/function () {
    function j() {
      _classCallCheck(this, j);
    }
    return _createClass(j, null, [{
      key: "constructFromObject",
      value: function constructFromObject(e, t) {
        return e && (t = t || new j(), e.hasOwnProperty("items") && (t.items = n.convertToType(e.items, [d])), e.hasOwnProperty("totalCount") && (t.totalCount = n.convertToType(e.totalCount, "Number"))), t;
      }
    }]);
  }();
  j.prototype.items = void 0, j.prototype.totalCount = void 0;
  var v = /*#__PURE__*/function () {
    function v() {
      _classCallCheck(this, v);
    }
    return _createClass(v, null, [{
      key: "constructFromObject",
      value: function constructFromObject(e, t) {
        return e && (t = t || new v(), e.hasOwnProperty("cameraCode") && (t.cameraCode = n.convertToType(e.cameraCode, "String")), e.hasOwnProperty("cameraId") && (t.cameraId = n.convertToType(e.cameraId, "String")), e.hasOwnProperty("cameraName") && (t.cameraName = n.convertToType(e.cameraName, "String")), e.hasOwnProperty("cruiseIndex") && (t.cruiseIndex = n.convertToType(e.cruiseIndex, "Number")), e.hasOwnProperty("cruisePath") && (t.cruisePath = n.convertToType(e.cruisePath, "String")), e.hasOwnProperty("flag") && (t.flag = n.convertToType(e.flag, "Number")), e.hasOwnProperty("id") && (t.id = n.convertToType(e.id, "String")), e.hasOwnProperty("inspectPointId") && (t.inspectPointId = n.convertToType(e.inspectPointId, "String")), e.hasOwnProperty("isCruising") && (t.isCruising = n.convertToType(e.isCruising, "Boolean")), e.hasOwnProperty("piId") && (t.piId = n.convertToType(e.piId, "String")), e.hasOwnProperty("tenantId") && (t.tenantId = n.convertToType(e.tenantId, "String"))), t;
      }
    }]);
  }();
  v.prototype.cameraCode = void 0, v.prototype.cameraId = void 0, v.prototype.cameraName = void 0, v.prototype.cruiseIndex = void 0, v.prototype.cruisePath = void 0, v.prototype.flag = void 0, v.prototype.id = void 0, v.prototype.inspectPointId = void 0, v.prototype.isCruising = void 0, v.prototype.piId = void 0, v.prototype.tenantId = void 0;
  var b = /*#__PURE__*/function () {
    function b() {
      _classCallCheck(this, b);
    }
    return _createClass(b, null, [{
      key: "constructFromObject",
      value: function constructFromObject(e, t) {
        return e && (t = t || new b(), e.hasOwnProperty("items") && (t.items = n.convertToType(e.items, [v])), e.hasOwnProperty("totalCount") && (t.totalCount = n.convertToType(e.totalCount, "Number"))), t;
      }
    }]);
  }();
  b.prototype.items = void 0, b.prototype.totalCount = void 0;
  var k = /*#__PURE__*/function () {
    function k() {
      _classCallCheck(this, k);
    }
    return _createClass(k, null, [{
      key: "constructFromObject",
      value: function constructFromObject(e, t) {
        return e && (t = t || new k(), e.hasOwnProperty("tagCode") && (t.tagCode = n.convertToType(e.tagCode, "String")), e.hasOwnProperty("tagId") && (t.tagId = n.convertToType(e.tagId, "String")), e.hasOwnProperty("tagName") && (t.tagName = n.convertToType(e.tagName, "String"))), t;
      }
    }]);
  }();
  k.prototype.tagCode = void 0, k.prototype.tagId = void 0, k.prototype.tagName = void 0;
  var m = /*#__PURE__*/function () {
    function m() {
      _classCallCheck(this, m);
    }
    return _createClass(m, null, [{
      key: "constructFromObject",
      value: function constructFromObject(e, t) {
        return e && (t = t || new m(), e.hasOwnProperty("actionSystem") && (t.actionSystem = n.convertToType(e.actionSystem, "String")), e.hasOwnProperty("areaId") && (t.areaId = n.convertToType(e.areaId, "String")), e.hasOwnProperty("cameraCount") && (t.cameraCount = n.convertToType(e.cameraCount, "Number")), e.hasOwnProperty("cameras") && (t.cameras = n.convertToType(e.cameras, [v])), e.hasOwnProperty("code") && (t.code = n.convertToType(e.code, "String")), e.hasOwnProperty("creationTime") && (t.creationTime = n.convertToType(e.creationTime, "Date")), e.hasOwnProperty("creatorId") && (t.creatorId = n.convertToType(e.creatorId, "String")), e.hasOwnProperty("creatorName") && (t.creatorName = n.convertToType(e.creatorName, "String")), e.hasOwnProperty("deleterId") && (t.deleterId = n.convertToType(e.deleterId, "String")), e.hasOwnProperty("deletionTime") && (t.deletionTime = n.convertToType(e.deletionTime, "Date")), e.hasOwnProperty("description") && (t.description = n.convertToType(e.description, "String")), e.hasOwnProperty("flag") && (t.flag = n.convertToType(e.flag, "Number")), e.hasOwnProperty("id") && (t.id = n.convertToType(e.id, "String")), e.hasOwnProperty("isDeleted") && (t.isDeleted = n.convertToType(e.isDeleted, "Boolean")), e.hasOwnProperty("lastModificationTime") && (t.lastModificationTime = n.convertToType(e.lastModificationTime, "Date")), e.hasOwnProperty("lastModifierId") && (t.lastModifierId = n.convertToType(e.lastModifierId, "String")), e.hasOwnProperty("measurementPointCount") && (t.measurementPointCount = n.convertToType(e.measurementPointCount, "Number")), e.hasOwnProperty("name") && (t.name = n.convertToType(e.name, "String")), e.hasOwnProperty("perspective") && (t.perspective = n.convertToType(e.perspective, "String")), e.hasOwnProperty("sceneId") && (t.sceneId = n.convertToType(e.sceneId, "String")), e.hasOwnProperty("seqNo") && (t.seqNo = n.convertToType(e.seqNo, "Number")), e.hasOwnProperty("status") && (t.status = n.convertToType(e.status, "Boolean")), e.hasOwnProperty("stayTime") && (t.stayTime = n.convertToType(e.stayTime, "Number")), e.hasOwnProperty("tagCount") && (t.tagCount = n.convertToType(e.tagCount, "Number")), e.hasOwnProperty("tags") && (t.tags = n.convertToType(e.tags, [k])), e.hasOwnProperty("tenantId") && (t.tenantId = n.convertToType(e.tenantId, "String")), e.hasOwnProperty("towards") && (t.towards = n.convertToType(e.towards, "Number")), e.hasOwnProperty("xPoint") && (t.xPoint = n.convertToType(e.xPoint, "Number")), e.hasOwnProperty("yPoint") && (t.yPoint = n.convertToType(e.yPoint, "Number")), e.hasOwnProperty("zPoint") && (t.zPoint = n.convertToType(e.zPoint, "Number"))), t;
      }
    }]);
  }();
  m.prototype.actionSystem = void 0, m.prototype.areaId = void 0, m.prototype.cameraCount = void 0, m.prototype.cameras = void 0, m.prototype.code = void 0, m.prototype.creationTime = void 0, m.prototype.creatorId = void 0, m.prototype.creatorName = void 0, m.prototype.deleterId = void 0, m.prototype.deletionTime = void 0, m.prototype.description = void 0, m.prototype.flag = void 0, m.prototype.id = void 0, m.prototype.isDeleted = void 0, m.prototype.lastModificationTime = void 0, m.prototype.lastModifierId = void 0, m.prototype.measurementPointCount = void 0, m.prototype.name = void 0, m.prototype.perspective = void 0, m.prototype.sceneId = void 0, m.prototype.seqNo = void 0, m.prototype.status = void 0, m.prototype.stayTime = void 0, m.prototype.tagCount = void 0, m.prototype.tags = void 0, m.prototype.tenantId = void 0, m.prototype.towards = void 0, m.prototype.xPoint = void 0, m.prototype.yPoint = void 0, m.prototype.zPoint = void 0;
  var ee = /*#__PURE__*/function () {
    function ee() {
      _classCallCheck(this, ee);
    }
    return _createClass(ee, null, [{
      key: "constructFromObject",
      value: function constructFromObject(e, t) {
        return e && (t = t || new ee(), e.hasOwnProperty("items") && (t.items = n.convertToType(e.items, [m])), e.hasOwnProperty("totalCount") && (t.totalCount = n.convertToType(e.totalCount, "Number"))), t;
      }
    }]);
  }();
  ee.prototype.items = void 0, ee.prototype.totalCount = void 0;
  var W = /*#__PURE__*/function () {
    function W() {
      _classCallCheck(this, W);
    }
    return _createClass(W, null, [{
      key: "constructFromObject",
      value: function constructFromObject(e, t) {
        return e && (t = t || new W(), e.hasOwnProperty("flag") && (t.flag = n.convertToType(e.flag, "Number")), e.hasOwnProperty("id") && (t.id = n.convertToType(e.id, "String")), e.hasOwnProperty("inspectPointId") && (t.inspectPointId = n.convertToType(e.inspectPointId, "String")), e.hasOwnProperty("measuringPointCode") && (t.measuringPointCode = n.convertToType(e.measuringPointCode, "String")), e.hasOwnProperty("measuringPointId") && (t.measuringPointId = n.convertToType(e.measuringPointId, "String")), e.hasOwnProperty("measuringPointName") && (t.measuringPointName = n.convertToType(e.measuringPointName, "String")), e.hasOwnProperty("tenantId") && (t.tenantId = n.convertToType(e.tenantId, "String"))), t;
      }
    }]);
  }();
  W.prototype.flag = void 0, W.prototype.id = void 0, W.prototype.inspectPointId = void 0, W.prototype.measuringPointCode = void 0, W.prototype.measuringPointId = void 0, W.prototype.measuringPointName = void 0, W.prototype.tenantId = void 0;
  var te = /*#__PURE__*/function () {
    function te() {
      _classCallCheck(this, te);
    }
    return _createClass(te, null, [{
      key: "constructFromObject",
      value: function constructFromObject(e, t) {
        return e && (t = t || new te(), e.hasOwnProperty("items") && (t.items = n.convertToType(e.items, [W])), e.hasOwnProperty("totalCount") && (t.totalCount = n.convertToType(e.totalCount, "Number"))), t;
      }
    }]);
  }();
  te.prototype.items = void 0, te.prototype.totalCount = void 0;
  var D = /*#__PURE__*/function () {
    function D() {
      _classCallCheck(this, D);
    }
    return _createClass(D, null, [{
      key: "constructFromObject",
      value: function constructFromObject(e, t) {
        return e && (t = t || new D(), e.hasOwnProperty("flag") && (t.flag = n.convertToType(e.flag, "Number")), e.hasOwnProperty("id") && (t.id = n.convertToType(e.id, "String")), e.hasOwnProperty("inspectPointId") && (t.inspectPointId = n.convertToType(e.inspectPointId, "String")), e.hasOwnProperty("measurementPointCount") && (t.measurementPointCount = n.convertToType(e.measurementPointCount, "Number")), e.hasOwnProperty("tagCode") && (t.tagCode = n.convertToType(e.tagCode, "String")), e.hasOwnProperty("tagId") && (t.tagId = n.convertToType(e.tagId, "String")), e.hasOwnProperty("tagName") && (t.tagName = n.convertToType(e.tagName, "String")), e.hasOwnProperty("tagType") && (t.tagType = n.convertToType(e.tagType, "String")), e.hasOwnProperty("tagTypeId") && (t.tagTypeId = n.convertToType(e.tagTypeId, "String")), e.hasOwnProperty("tenantId") && (t.tenantId = n.convertToType(e.tenantId, "String"))), t;
      }
    }]);
  }();
  D.prototype.flag = void 0, D.prototype.id = void 0, D.prototype.inspectPointId = void 0, D.prototype.measurementPointCount = void 0, D.prototype.tagCode = void 0, D.prototype.tagId = void 0, D.prototype.tagName = void 0, D.prototype.tagType = void 0, D.prototype.tagTypeId = void 0, D.prototype.tenantId = void 0;
  var ne = /*#__PURE__*/function () {
    function ne() {
      _classCallCheck(this, ne);
    }
    return _createClass(ne, null, [{
      key: "constructFromObject",
      value: function constructFromObject(e, t) {
        return e && (t = t || new ne(), e.hasOwnProperty("items") && (t.items = n.convertToType(e.items, [D])), e.hasOwnProperty("totalCount") && (t.totalCount = n.convertToType(e.totalCount, "Number"))), t;
      }
    }]);
  }();
  ne.prototype.items = void 0, ne.prototype.totalCount = void 0;
  var T = /*#__PURE__*/function () {
    function T() {
      _classCallCheck(this, T);
    }
    return _createClass(T, null, [{
      key: "constructFromObject",
      value: function constructFromObject(e, t) {
        return e && (t = t || new T(), e.hasOwnProperty("actionSystem") && (t.actionSystem = n.convertToType(e.actionSystem, "String")), e.hasOwnProperty("cameraCount") && (t.cameraCount = n.convertToType(e.cameraCount, "Number")), e.hasOwnProperty("code") && (t.code = n.convertToType(e.code, "String")), e.hasOwnProperty("flag") && (t.flag = n.convertToType(e.flag, "Number")), e.hasOwnProperty("id") && (t.id = n.convertToType(e.id, "String")), e.hasOwnProperty("inspectPointId") && (t.inspectPointId = n.convertToType(e.inspectPointId, "String")), e.hasOwnProperty("inspectRouteId") && (t.inspectRouteId = n.convertToType(e.inspectRouteId, "String")), e.hasOwnProperty("name") && (t.name = n.convertToType(e.name, "String")), e.hasOwnProperty("perspective") && (t.perspective = n.convertToType(e.perspective, "String")), e.hasOwnProperty("pointCount") && (t.pointCount = n.convertToType(e.pointCount, "Number")), e.hasOwnProperty("sceneId") && (t.sceneId = n.convertToType(e.sceneId, "String")), e.hasOwnProperty("seqNo") && (t.seqNo = n.convertToType(e.seqNo, "Number")), e.hasOwnProperty("stayTime") && (t.stayTime = n.convertToType(e.stayTime, "Number")), e.hasOwnProperty("tagCount") && (t.tagCount = n.convertToType(e.tagCount, "Number")), e.hasOwnProperty("tenantId") && (t.tenantId = n.convertToType(e.tenantId, "String")), e.hasOwnProperty("xPoint") && (t.xPoint = n.convertToType(e.xPoint, "Number")), e.hasOwnProperty("yPoint") && (t.yPoint = n.convertToType(e.yPoint, "Number")), e.hasOwnProperty("zPoint") && (t.zPoint = n.convertToType(e.zPoint, "Number"))), t;
      }
    }]);
  }();
  T.prototype.actionSystem = void 0, T.prototype.cameraCount = void 0, T.prototype.code = void 0, T.prototype.flag = void 0, T.prototype.id = void 0, T.prototype.inspectPointId = void 0, T.prototype.inspectRouteId = void 0, T.prototype.name = void 0, T.prototype.perspective = void 0, T.prototype.pointCount = void 0, T.prototype.sceneId = void 0, T.prototype.seqNo = void 0, T.prototype.stayTime = void 0, T.prototype.tagCount = void 0, T.prototype.tenantId = void 0, T.prototype.xPoint = void 0, T.prototype.yPoint = void 0, T.prototype.zPoint = void 0;
  var f = /*#__PURE__*/function () {
    function f() {
      _classCallCheck(this, f);
    }
    return _createClass(f, null, [{
      key: "constructFromObject",
      value: function constructFromObject(e, t) {
        return e && (t = t || new f(), e.hasOwnProperty("code") && (t.code = n.convertToType(e.code, "String")), e.hasOwnProperty("creationTime") && (t.creationTime = n.convertToType(e.creationTime, "Date")), e.hasOwnProperty("creatorId") && (t.creatorId = n.convertToType(e.creatorId, "String")), e.hasOwnProperty("creatorName") && (t.creatorName = n.convertToType(e.creatorName, "String")), e.hasOwnProperty("deleterId") && (t.deleterId = n.convertToType(e.deleterId, "String")), e.hasOwnProperty("deletionTime") && (t.deletionTime = n.convertToType(e.deletionTime, "Date")), e.hasOwnProperty("description") && (t.description = n.convertToType(e.description, "String")), e.hasOwnProperty("flag") && (t.flag = n.convertToType(e.flag, "Number")), e.hasOwnProperty("id") && (t.id = n.convertToType(e.id, "String")), e.hasOwnProperty("inspectPoints") && (t.inspectPoints = n.convertToType(e.inspectPoints, [T])), e.hasOwnProperty("isDeleted") && (t.isDeleted = n.convertToType(e.isDeleted, "Boolean")), e.hasOwnProperty("lastModificationTime") && (t.lastModificationTime = n.convertToType(e.lastModificationTime, "Date")), e.hasOwnProperty("lastModifierId") && (t.lastModifierId = n.convertToType(e.lastModifierId, "String")), e.hasOwnProperty("name") && (t.name = n.convertToType(e.name, "String")), e.hasOwnProperty("routeId") && (t.routeId = n.convertToType(e.routeId, "String")), e.hasOwnProperty("sceneId") && (t.sceneId = n.convertToType(e.sceneId, "String")), e.hasOwnProperty("seqNo") && (t.seqNo = n.convertToType(e.seqNo, "Number")), e.hasOwnProperty("speed") && (t.speed = n.convertToType(e.speed, "Number")), e.hasOwnProperty("status") && (t.status = n.convertToType(e.status, "Boolean")), e.hasOwnProperty("tenantId") && (t.tenantId = n.convertToType(e.tenantId, "String"))), t;
      }
    }]);
  }();
  f.prototype.code = void 0, f.prototype.creationTime = void 0, f.prototype.creatorId = void 0, f.prototype.creatorName = void 0, f.prototype.deleterId = void 0, f.prototype.deletionTime = void 0, f.prototype.description = void 0, f.prototype.flag = void 0, f.prototype.id = void 0, f.prototype.inspectPoints = void 0, f.prototype.isDeleted = void 0, f.prototype.lastModificationTime = void 0, f.prototype.lastModifierId = void 0, f.prototype.name = void 0, f.prototype.routeId = void 0, f.prototype.sceneId = void 0, f.prototype.seqNo = void 0, f.prototype.speed = void 0, f.prototype.status = void 0, f.prototype.tenantId = void 0;
  var re = /*#__PURE__*/function () {
    function re() {
      _classCallCheck(this, re);
    }
    return _createClass(re, null, [{
      key: "constructFromObject",
      value: function constructFromObject(e, t) {
        return e && (t = t || new re(), e.hasOwnProperty("items") && (t.items = n.convertToType(e.items, [f])), e.hasOwnProperty("totalCount") && (t.totalCount = n.convertToType(e.totalCount, "Number"))), t;
      }
    }]);
  }();
  re.prototype.items = void 0, re.prototype.totalCount = void 0;
  var B = /*#__PURE__*/function () {
    function B() {
      _classCallCheck(this, B);
    }
    return _createClass(B, null, [{
      key: "constructFromObject",
      value: function constructFromObject(e, t) {
        return e && (t = t || new B(), e.hasOwnProperty("endTime") && (t.endTime = n.convertToType(e.endTime, "Date")), e.hasOwnProperty("id") && (t.id = n.convertToType(e.id, "String")), e.hasOwnProperty("inspectRouteIds") && (t.inspectRouteIds = n.convertToType(e.inspectRouteIds, "String")), e.hasOwnProperty("inspectRouteName") && (t.inspectRouteName = n.convertToType(e.inspectRouteName, "String")), e.hasOwnProperty("inspectUserName") && (t.inspectUserName = n.convertToType(e.inspectUserName, "String")), e.hasOwnProperty("startTime") && (t.startTime = n.convertToType(e.startTime, "Date"))), t;
      }
    }]);
  }();
  B.prototype.endTime = void 0, B.prototype.id = void 0, B.prototype.inspectRouteIds = void 0, B.prototype.inspectRouteName = void 0, B.prototype.inspectUserName = void 0, B.prototype.startTime = void 0;
  var ie = /*#__PURE__*/function () {
    function ie() {
      _classCallCheck(this, ie);
    }
    return _createClass(ie, null, [{
      key: "constructFromObject",
      value: function constructFromObject(e, t) {
        return e && (t = t || new ie(), e.hasOwnProperty("items") && (t.items = n.convertToType(e.items, [B])), e.hasOwnProperty("totalCount") && (t.totalCount = n.convertToType(e.totalCount, "Number"))), t;
      }
    }]);
  }();
  ie.prototype.items = void 0, ie.prototype.totalCount = void 0;
  var oe = /*#__PURE__*/function () {
    function oe() {
      _classCallCheck(this, oe);
    }
    return _createClass(oe, null, [{
      key: "constructFromObject",
      value: function constructFromObject(e, t) {
        return e && (t = t || new oe(), e.hasOwnProperty("items") && (t.items = n.convertToType(e.items, [T])), e.hasOwnProperty("totalCount") && (t.totalCount = n.convertToType(e.totalCount, "Number"))), t;
      }
    }]);
  }();
  oe.prototype.items = void 0, oe.prototype.totalCount = void 0;
  var h = /*#__PURE__*/function () {
    function h() {
      _classCallCheck(this, h);
    }
    return _createClass(h, null, [{
      key: "constructFromObject",
      value: function constructFromObject(e, t) {
        return e && (t = t || new h(), e.hasOwnProperty("creationTime") && (t.creationTime = n.convertToType(e.creationTime, "Date")), e.hasOwnProperty("creatorId") && (t.creatorId = n.convertToType(e.creatorId, "String")), e.hasOwnProperty("deleterId") && (t.deleterId = n.convertToType(e.deleterId, "String")), e.hasOwnProperty("deletionTime") && (t.deletionTime = n.convertToType(e.deletionTime, "Date")), e.hasOwnProperty("flag") && (t.flag = n.convertToType(e.flag, "Number")), e.hasOwnProperty("id") && (t.id = n.convertToType(e.id, "String")), e.hasOwnProperty("inspectPointId") && (t.inspectPointId = n.convertToType(e.inspectPointId, "String")), e.hasOwnProperty("inspectRouteId") && (t.inspectRouteId = n.convertToType(e.inspectRouteId, "String")), e.hasOwnProperty("isDeleted") && (t.isDeleted = n.convertToType(e.isDeleted, "Boolean")), e.hasOwnProperty("lastModificationTime") && (t.lastModificationTime = n.convertToType(e.lastModificationTime, "Date")), e.hasOwnProperty("lastModifierId") && (t.lastModifierId = n.convertToType(e.lastModifierId, "String")), e.hasOwnProperty("seq") && (t.seq = n.convertToType(e.seq, "Number")), e.hasOwnProperty("tenantId") && (t.tenantId = n.convertToType(e.tenantId, "String")), e.hasOwnProperty("xPoint") && (t.xPoint = n.convertToType(e.xPoint, "Number")), e.hasOwnProperty("yPoint") && (t.yPoint = n.convertToType(e.yPoint, "Number")), e.hasOwnProperty("zPoint") && (t.zPoint = n.convertToType(e.zPoint, "Number"))), t;
      }
    }]);
  }();
  h.prototype.creationTime = void 0, h.prototype.creatorId = void 0, h.prototype.deleterId = void 0, h.prototype.deletionTime = void 0, h.prototype.flag = void 0, h.prototype.id = void 0, h.prototype.inspectPointId = void 0, h.prototype.inspectRouteId = void 0, h.prototype.isDeleted = void 0, h.prototype.lastModificationTime = void 0, h.prototype.lastModifierId = void 0, h.prototype.seq = void 0, h.prototype.tenantId = void 0, h.prototype.xPoint = void 0, h.prototype.yPoint = void 0, h.prototype.zPoint = void 0;
  var pe = /*#__PURE__*/function () {
    function pe() {
      _classCallCheck(this, pe);
    }
    return _createClass(pe, null, [{
      key: "constructFromObject",
      value: function constructFromObject(e, t) {
        return e && (t = t || new pe(), e.hasOwnProperty("items") && (t.items = n.convertToType(e.items, [h])), e.hasOwnProperty("totalCount") && (t.totalCount = n.convertToType(e.totalCount, "Number"))), t;
      }
    }]);
  }();
  pe.prototype.items = void 0, pe.prototype.totalCount = void 0;
  var F = /*#__PURE__*/function () {
    function F() {
      _classCallCheck(this, F);
    }
    return _createClass(F, null, [{
      key: "constructFromObject",
      value: function constructFromObject(e, t) {
        return e && (t = t || new F(), e.hasOwnProperty("code") && (t.code = n.convertToType(e.code, "String")), e.hasOwnProperty("id") && (t.id = n.convertToType(e.id, "String")), e.hasOwnProperty("inspectPoints") && (t.inspectPoints = n.convertToType(e.inspectPoints, [m])), e.hasOwnProperty("name") && (t.name = n.convertToType(e.name, "String")), e.hasOwnProperty("seqNo") && (t.seqNo = n.convertToType(e.seqNo, "Number")), e.hasOwnProperty("speed") && (t.speed = n.convertToType(e.speed, "Number"))), t;
      }
    }]);
  }();
  F.prototype.code = void 0, F.prototype.id = void 0, F.prototype.inspectPoints = void 0, F.prototype.name = void 0, F.prototype.seqNo = void 0, F.prototype.speed = void 0;
  var y = /*#__PURE__*/function () {
    function y() {
      _classCallCheck(this, y);
    }
    return _createClass(y, null, [{
      key: "constructFromObject",
      value: function constructFromObject(e, t) {
        return e && (t = t || new y(), e.hasOwnProperty("actionSystem") && (t.actionSystem = n.convertToType(e.actionSystem, "String")), e.hasOwnProperty("areaId") && (t.areaId = n.convertToType(e.areaId, "String")), e.hasOwnProperty("cameraCount") && (t.cameraCount = n.convertToType(e.cameraCount, "Number")), e.hasOwnProperty("cameras") && (t.cameras = n.convertToType(e.cameras, [v])), e.hasOwnProperty("code") && (t.code = n.convertToType(e.code, "String")), e.hasOwnProperty("creationTime") && (t.creationTime = n.convertToType(e.creationTime, "Date")), e.hasOwnProperty("creatorId") && (t.creatorId = n.convertToType(e.creatorId, "String")), e.hasOwnProperty("creatorName") && (t.creatorName = n.convertToType(e.creatorName, "String")), e.hasOwnProperty("deleterId") && (t.deleterId = n.convertToType(e.deleterId, "String")), e.hasOwnProperty("deletionTime") && (t.deletionTime = n.convertToType(e.deletionTime, "Date")), e.hasOwnProperty("description") && (t.description = n.convertToType(e.description, "String")), e.hasOwnProperty("flag") && (t.flag = n.convertToType(e.flag, "Number")), e.hasOwnProperty("id") && (t.id = n.convertToType(e.id, "String")), e.hasOwnProperty("isDeleted") && (t.isDeleted = n.convertToType(e.isDeleted, "Boolean")), e.hasOwnProperty("lastModificationTime") && (t.lastModificationTime = n.convertToType(e.lastModificationTime, "Date")), e.hasOwnProperty("lastModifierId") && (t.lastModifierId = n.convertToType(e.lastModifierId, "String")), e.hasOwnProperty("measurementPointCount") && (t.measurementPointCount = n.convertToType(e.measurementPointCount, "Number")), e.hasOwnProperty("name") && (t.name = n.convertToType(e.name, "String")), e.hasOwnProperty("perspective") && (t.perspective = n.convertToType(e.perspective, "String")), e.hasOwnProperty("sceneId") && (t.sceneId = n.convertToType(e.sceneId, "String")), e.hasOwnProperty("seqNo") && (t.seqNo = n.convertToType(e.seqNo, "Number")), e.hasOwnProperty("status") && (t.status = n.convertToType(e.status, "Boolean")), e.hasOwnProperty("stayTime") && (t.stayTime = n.convertToType(e.stayTime, "Number")), e.hasOwnProperty("tagCount") && (t.tagCount = n.convertToType(e.tagCount, "Number")), e.hasOwnProperty("tagName") && (t.tagName = n.convertToType(e.tagName, "String")), e.hasOwnProperty("tags") && (t.tags = n.convertToType(e.tags, [k])), e.hasOwnProperty("tenantId") && (t.tenantId = n.convertToType(e.tenantId, "String")), e.hasOwnProperty("towards") && (t.towards = n.convertToType(e.towards, "Number")), e.hasOwnProperty("xPoint") && (t.xPoint = n.convertToType(e.xPoint, "Number")), e.hasOwnProperty("xyzPoint") && (t.xyzPoint = n.convertToType(e.xyzPoint, "String")), e.hasOwnProperty("yPoint") && (t.yPoint = n.convertToType(e.yPoint, "Number")), e.hasOwnProperty("zPoint") && (t.zPoint = n.convertToType(e.zPoint, "Number"))), t;
      }
    }]);
  }();
  y.prototype.actionSystem = void 0, y.prototype.areaId = void 0, y.prototype.cameraCount = void 0, y.prototype.cameras = void 0, y.prototype.code = void 0, y.prototype.creationTime = void 0, y.prototype.creatorId = void 0, y.prototype.creatorName = void 0, y.prototype.deleterId = void 0, y.prototype.deletionTime = void 0, y.prototype.description = void 0, y.prototype.flag = void 0, y.prototype.id = void 0, y.prototype.isDeleted = void 0, y.prototype.lastModificationTime = void 0, y.prototype.lastModifierId = void 0, y.prototype.measurementPointCount = void 0, y.prototype.name = void 0, y.prototype.perspective = void 0, y.prototype.sceneId = void 0, y.prototype.seqNo = void 0, y.prototype.status = void 0, y.prototype.stayTime = void 0, y.prototype.tagCount = void 0, y.prototype.tagName = void 0, y.prototype.tags = void 0, y.prototype.tenantId = void 0, y.prototype.towards = void 0, y.prototype.xPoint = void 0, y.prototype.xyzPoint = void 0, y.prototype.yPoint = void 0, y.prototype.zPoint = void 0;
  var C = /*#__PURE__*/function () {
    function C() {
      _classCallCheck(this, C);
    }
    return _createClass(C, null, [{
      key: "constructFromObject",
      value: function constructFromObject(e, t) {
        return e && (t = t || new C(), e.hasOwnProperty("alarmLevel") && (t.alarmLevel = n.convertToType(e.alarmLevel, "String")), e.hasOwnProperty("alarmNo") && (t.alarmNo = n.convertToType(e.alarmNo, "String")), e.hasOwnProperty("alarmStatus") && (t.alarmStatus = ye.constructFromObject(e.alarmStatus)), e.hasOwnProperty("alarmType") && (t.alarmType = n.convertToType(e.alarmType, "String")), e.hasOwnProperty("alarmValue") && (t.alarmValue = n.convertToType(e.alarmValue, "Number")), e.hasOwnProperty("description") && (t.description = n.convertToType(e.description, "String")), e.hasOwnProperty("endTime") && (t.endTime = n.convertToType(e.endTime, "Date")), e.hasOwnProperty("flag") && (t.flag = n.convertToType(e.flag, "Number")), e.hasOwnProperty("measuringPointCode") && (t.measuringPointCode = n.convertToType(e.measuringPointCode, "String")), e.hasOwnProperty("measuringPointId") && (t.measuringPointId = n.convertToType(e.measuringPointId, "String")), e.hasOwnProperty("sourceId") && (t.sourceId = n.convertToType(e.sourceId, "String")), e.hasOwnProperty("startTime") && (t.startTime = n.convertToType(e.startTime, "Date")), e.hasOwnProperty("tagId") && (t.tagId = n.convertToType(e.tagId, "String"))), t;
      }
    }]);
  }();
  C.prototype.alarmLevel = void 0, C.prototype.alarmNo = void 0, C.prototype.alarmStatus = void 0, C.prototype.alarmType = void 0, C.prototype.alarmValue = void 0, C.prototype.description = void 0, C.prototype.endTime = void 0, C.prototype.flag = void 0, C.prototype.measuringPointCode = void 0, C.prototype.measuringPointId = void 0, C.prototype.sourceId = void 0, C.prototype.startTime = void 0, C.prototype.tagId = void 0;
  var Q = /*#__PURE__*/function () {
    function Q() {
      _classCallCheck(this, Q);
    }
    return _createClass(Q, null, [{
      key: "constructFromObject",
      value: function constructFromObject(e, t) {
        return e && (t = t || new Q(), e.hasOwnProperty("alarmCount") && (t.alarmCount = n.convertToType(e.alarmCount, "Number")), e.hasOwnProperty("alarmLevelId") && (t.alarmLevelId = n.convertToType(e.alarmLevelId, "String")), e.hasOwnProperty("alarmLevelName") && (t.alarmLevelName = n.convertToType(e.alarmLevelName, "String")), e.hasOwnProperty("percentage") && (t.percentage = n.convertToType(e.percentage, "String"))), t;
      }
    }]);
  }();
  Q.prototype.alarmCount = void 0, Q.prototype.alarmLevelId = void 0, Q.prototype.alarmLevelName = void 0, Q.prototype.percentage = void 0;
  var O = /*#__PURE__*/function () {
    function O() {
      _classCallCheck(this, O);
    }
    return _createClass(O, null, [{
      key: "constructFromObject",
      value: function constructFromObject(e, t) {
        return e && (t = t || new O(), e.hasOwnProperty("alarmLevel") && (t.alarmLevel = n.convertToType(e.alarmLevel, "String")), e.hasOwnProperty("alarmNo") && (t.alarmNo = n.convertToType(e.alarmNo, "String")), e.hasOwnProperty("alarmStatus") && (t.alarmStatus = ye.constructFromObject(e.alarmStatus)), e.hasOwnProperty("alarmType") && (t.alarmType = n.convertToType(e.alarmType, "String")), e.hasOwnProperty("alarmValue") && (t.alarmValue = n.convertToType(e.alarmValue, "Number")), e.hasOwnProperty("description") && (t.description = n.convertToType(e.description, "String")), e.hasOwnProperty("endTime") && (t.endTime = n.convertToType(e.endTime, "Date")), e.hasOwnProperty("flag") && (t.flag = n.convertToType(e.flag, "Number")), e.hasOwnProperty("id") && (t.id = n.convertToType(e.id, "String")), e.hasOwnProperty("measuringPointCode") && (t.measuringPointCode = n.convertToType(e.measuringPointCode, "String")), e.hasOwnProperty("measuringPointId") && (t.measuringPointId = n.convertToType(e.measuringPointId, "String")), e.hasOwnProperty("sourceId") && (t.sourceId = n.convertToType(e.sourceId, "String")), e.hasOwnProperty("startTime") && (t.startTime = n.convertToType(e.startTime, "Date")), e.hasOwnProperty("tagId") && (t.tagId = n.convertToType(e.tagId, "String"))), t;
      }
    }]);
  }();
  O.prototype.alarmLevel = void 0, O.prototype.alarmNo = void 0, O.prototype.alarmStatus = void 0, O.prototype.alarmType = void 0, O.prototype.alarmValue = void 0, O.prototype.description = void 0, O.prototype.endTime = void 0, O.prototype.flag = void 0, O.prototype.id = void 0, O.prototype.measuringPointCode = void 0, O.prototype.measuringPointId = void 0, O.prototype.sourceId = void 0, O.prototype.startTime = void 0, O.prototype.tagId = void 0;
  var G = /*#__PURE__*/function () {
    function G() {
      _classCallCheck(this, G);
    }
    return _createClass(G, null, [{
      key: "constructFromObject",
      value: function constructFromObject(e, t) {
        return e && (t = t || new G(), e.hasOwnProperty("cameraId") && (t.cameraId = n.convertToType(e.cameraId, "String")), e.hasOwnProperty("cameraIdQuery") && (t.cameraIdQuery = n.convertToType(e.cameraIdQuery, ["String"])), e.hasOwnProperty("cruiseIndex") && (t.cruiseIndex = n.convertToType(e.cruiseIndex, "Number")), e.hasOwnProperty("cruisePath") && (t.cruisePath = n.convertToType(e.cruisePath, "String")), e.hasOwnProperty("flag") && (t.flag = n.convertToType(e.flag, "Number")), e.hasOwnProperty("inspectPointId") && (t.inspectPointId = n.convertToType(e.inspectPointId, "String")), e.hasOwnProperty("isCruising") && (t.isCruising = n.convertToType(e.isCruising, "Boolean"))), t;
      }
    }]);
  }();
  G.prototype.cameraId = void 0, G.prototype.cameraIdQuery = void 0, G.prototype.cruiseIndex = void 0, G.prototype.cruisePath = void 0, G.prototype.flag = void 0, G.prototype.inspectPointId = void 0, G.prototype.isCruising = void 0;
  var z = /*#__PURE__*/function () {
    function z() {
      _classCallCheck(this, z);
    }
    return _createClass(z, null, [{
      key: "constructFromObject",
      value: function constructFromObject(e, t) {
        return e && (t = t || new z(), e.hasOwnProperty("cameraId") && (t.cameraId = n.convertToType(e.cameraId, "String")), e.hasOwnProperty("cruiseIndex") && (t.cruiseIndex = n.convertToType(e.cruiseIndex, "Number")), e.hasOwnProperty("cruisePath") && (t.cruisePath = n.convertToType(e.cruisePath, "String")), e.hasOwnProperty("flag") && (t.flag = n.convertToType(e.flag, "Number")), e.hasOwnProperty("id") && (t.id = n.convertToType(e.id, "String")), e.hasOwnProperty("inspectPointId") && (t.inspectPointId = n.convertToType(e.inspectPointId, "String")), e.hasOwnProperty("isCruising") && (t.isCruising = n.convertToType(e.isCruising, "Boolean"))), t;
      }
    }]);
  }();
  z.prototype.cameraId = void 0, z.prototype.cruiseIndex = void 0, z.prototype.cruisePath = void 0, z.prototype.flag = void 0, z.prototype.id = void 0, z.prototype.inspectPointId = void 0, z.prototype.isCruising = void 0;
  var R = /*#__PURE__*/function () {
    function R() {
      _classCallCheck(this, R);
    }
    return _createClass(R, null, [{
      key: "constructFromObject",
      value: function constructFromObject(e, t) {
        return e && (t = t || new R(), e.hasOwnProperty("code") && (t.code = n.convertToType(e.code, "String")), e.hasOwnProperty("creatorName") && (t.creatorName = n.convertToType(e.creatorName, "String")), e.hasOwnProperty("description") && (t.description = n.convertToType(e.description, "String")), e.hasOwnProperty("flag") && (t.flag = n.convertToType(e.flag, "Number")), e.hasOwnProperty("name") && (t.name = n.convertToType(e.name, "String")), e.hasOwnProperty("perspective") && (t.perspective = n.convertToType(e.perspective, "String")), e.hasOwnProperty("sceneId") && (t.sceneId = n.convertToType(e.sceneId, "String")), e.hasOwnProperty("status") && (t.status = n.convertToType(e.status, "Boolean")), e.hasOwnProperty("towards") && (t.towards = n.convertToType(e.towards, "Number")), e.hasOwnProperty("xPoint") && (t.xPoint = n.convertToType(e.xPoint, "Number")), e.hasOwnProperty("yPoint") && (t.yPoint = n.convertToType(e.yPoint, "Number")), e.hasOwnProperty("zPoint") && (t.zPoint = n.convertToType(e.zPoint, "Number"))), t;
      }
    }]);
  }();
  R.prototype.code = void 0, R.prototype.creatorName = void 0, R.prototype.description = void 0, R.prototype.flag = void 0, R.prototype.name = void 0, R.prototype.perspective = void 0, R.prototype.sceneId = void 0, R.prototype.status = void 0, R.prototype.towards = void 0, R.prototype.xPoint = void 0, R.prototype.yPoint = void 0, R.prototype.zPoint = void 0;
  var g = /*#__PURE__*/function () {
    function g() {
      _classCallCheck(this, g);
    }
    return _createClass(g, null, [{
      key: "constructFromObject",
      value: function constructFromObject(e, t) {
        return e && (t = t || new g(), e.hasOwnProperty("flag") && (t.flag = n.convertToType(e.flag, "Number")), e.hasOwnProperty("id") && (t.id = n.convertToType(e.id, "String")), e.hasOwnProperty("inspectEndTime") && (t.inspectEndTime = n.convertToType(e.inspectEndTime, "Date")), e.hasOwnProperty("inspectPointId") && (t.inspectPointId = n.convertToType(e.inspectPointId, "String")), e.hasOwnProperty("inspectPointName") && (t.inspectPointName = n.convertToType(e.inspectPointName, "String")), e.hasOwnProperty("inspectRouteId") && (t.inspectRouteId = n.convertToType(e.inspectRouteId, "String")), e.hasOwnProperty("inspectRouteRecordId") && (t.inspectRouteRecordId = n.convertToType(e.inspectRouteRecordId, "String")), e.hasOwnProperty("inspectTime") && (t.inspectTime = n.convertToType(e.inspectTime, "Date")), e.hasOwnProperty("measuringPointId") && (t.measuringPointId = n.convertToType(e.measuringPointId, "String")), e.hasOwnProperty("pointValue") && (t.pointValue = n.convertToType(e.pointValue, "Number")), e.hasOwnProperty("tagCode") && (t.tagCode = n.convertToType(e.tagCode, "String")), e.hasOwnProperty("tagId") && (t.tagId = n.convertToType(e.tagId, "String")), e.hasOwnProperty("tagName") && (t.tagName = n.convertToType(e.tagName, "String")), e.hasOwnProperty("tenantId") && (t.tenantId = n.convertToType(e.tenantId, "String"))), t;
      }
    }]);
  }();
  g.prototype.flag = void 0, g.prototype.id = void 0, g.prototype.inspectEndTime = void 0, g.prototype.inspectPointId = void 0, g.prototype.inspectPointName = void 0, g.prototype.inspectRouteId = void 0, g.prototype.inspectRouteRecordId = void 0, g.prototype.inspectTime = void 0, g.prototype.measuringPointId = void 0, g.prototype.pointValue = void 0, g.prototype.tagCode = void 0, g.prototype.tagId = void 0, g.prototype.tagName = void 0, g.prototype.tenantId = void 0;
  var X = /*#__PURE__*/function () {
    function X() {
      _classCallCheck(this, X);
    }
    return _createClass(X, null, [{
      key: "constructFromObject",
      value: function constructFromObject(e, t) {
        return e && (t = t || new X(), e.hasOwnProperty("flag") && (t.flag = n.convertToType(e.flag, "Number")), e.hasOwnProperty("inspectPointId") && (t.inspectPointId = n.convertToType(e.inspectPointId, "String")), e.hasOwnProperty("measuringPointId") && (t.measuringPointId = n.convertToType(e.measuringPointId, "String")), e.hasOwnProperty("measuringPointIdQuery") && (t.measuringPointIdQuery = n.convertToType(e.measuringPointIdQuery, ["String"]))), t;
      }
    }]);
  }();
  X.prototype.flag = void 0, X.prototype.inspectPointId = void 0, X.prototype.measuringPointId = void 0, X.prototype.measuringPointIdQuery = void 0;
  var Y = /*#__PURE__*/function () {
    function Y() {
      _classCallCheck(this, Y);
    }
    return _createClass(Y, null, [{
      key: "constructFromObject",
      value: function constructFromObject(e, t) {
        return e && (t = t || new Y(), e.hasOwnProperty("inspectPointId") && (t.inspectPointId = n.convertToType(e.inspectPointId, "String")), e.hasOwnProperty("inspectRouteId") && (t.inspectRouteId = n.convertToType(e.inspectRouteId, "String")), e.hasOwnProperty("inspectRouteRecordId") && (t.inspectRouteRecordId = n.convertToType(e.inspectRouteRecordId, "String")), e.hasOwnProperty("lastInspectPointId") && (t.lastInspectPointId = n.convertToType(e.lastInspectPointId, "String"))), t;
      }
    }]);
  }();
  Y.prototype.inspectPointId = void 0, Y.prototype.inspectRouteId = void 0, Y.prototype.inspectRouteRecordId = void 0, Y.prototype.lastInspectPointId = void 0;
  var Z = /*#__PURE__*/function () {
    function Z() {
      _classCallCheck(this, Z);
    }
    return _createClass(Z, null, [{
      key: "constructFromObject",
      value: function constructFromObject(e, t) {
        return e && (t = t || new Z(), e.hasOwnProperty("flag") && (t.flag = n.convertToType(e.flag, "Number")), e.hasOwnProperty("inspectPointId") && (t.inspectPointId = n.convertToType(e.inspectPointId, "String")), e.hasOwnProperty("tagId") && (t.tagId = n.convertToType(e.tagId, "String")), e.hasOwnProperty("tagIdQuery") && (t.tagIdQuery = n.convertToType(e.tagIdQuery, ["String"]))), t;
      }
    }]);
  }();
  Z.prototype.flag = void 0, Z.prototype.inspectPointId = void 0, Z.prototype.tagId = void 0, Z.prototype.tagIdQuery = void 0;
  var N = /*#__PURE__*/function () {
    function N() {
      _classCallCheck(this, N);
    }
    return _createClass(N, null, [{
      key: "constructFromObject",
      value: function constructFromObject(e, t) {
        return e && (t = t || new N(), e.hasOwnProperty("code") && (t.code = n.convertToType(e.code, "String")), e.hasOwnProperty("creatorName") && (t.creatorName = n.convertToType(e.creatorName, "String")), e.hasOwnProperty("description") && (t.description = n.convertToType(e.description, "String")), e.hasOwnProperty("flag") && (t.flag = n.convertToType(e.flag, "Number")), e.hasOwnProperty("id") && (t.id = n.convertToType(e.id, "String")), e.hasOwnProperty("name") && (t.name = n.convertToType(e.name, "String")), e.hasOwnProperty("perspective") && (t.perspective = n.convertToType(e.perspective, "String")), e.hasOwnProperty("sceneId") && (t.sceneId = n.convertToType(e.sceneId, "String")), e.hasOwnProperty("status") && (t.status = n.convertToType(e.status, "Boolean")), e.hasOwnProperty("towards") && (t.towards = n.convertToType(e.towards, "Number")), e.hasOwnProperty("xPoint") && (t.xPoint = n.convertToType(e.xPoint, "Number")), e.hasOwnProperty("yPoint") && (t.yPoint = n.convertToType(e.yPoint, "Number")), e.hasOwnProperty("zPoint") && (t.zPoint = n.convertToType(e.zPoint, "Number"))), t;
      }
    }]);
  }();
  N.prototype.code = void 0, N.prototype.creatorName = void 0, N.prototype.description = void 0, N.prototype.flag = void 0, N.prototype.id = void 0, N.prototype.name = void 0, N.prototype.perspective = void 0, N.prototype.sceneId = void 0, N.prototype.status = void 0, N.prototype.towards = void 0, N.prototype.xPoint = void 0, N.prototype.yPoint = void 0, N.prototype.zPoint = void 0;
  var J = /*#__PURE__*/function () {
    function J() {
      _classCallCheck(this, J);
    }
    return _createClass(J, null, [{
      key: "constructFromObject",
      value: function constructFromObject(e, t) {
        return e && (t = t || new J(), e.hasOwnProperty("actionSystem") && (t.actionSystem = n.convertToType(e.actionSystem, "String")), e.hasOwnProperty("inspectPointId") && (t.inspectPointId = n.convertToType(e.inspectPointId, "String")), e.hasOwnProperty("seqNo") && (t.seqNo = n.convertToType(e.seqNo, "Number")), e.hasOwnProperty("stayTime") && (t.stayTime = n.convertToType(e.stayTime, "Number"))), t;
      }
    }]);
  }();
  J.prototype.actionSystem = void 0, J.prototype.inspectPointId = void 0, J.prototype.seqNo = void 0, J.prototype.stayTime = void 0;
  var E = /*#__PURE__*/function () {
    function E() {
      _classCallCheck(this, E);
    }
    return _createClass(E, null, [{
      key: "constructFromObject",
      value: function constructFromObject(e, t) {
        return e && (t = t || new E(), e.hasOwnProperty("code") && (t.code = n.convertToType(e.code, "String")), e.hasOwnProperty("creatorName") && (t.creatorName = n.convertToType(e.creatorName, "String")), e.hasOwnProperty("description") && (t.description = n.convertToType(e.description, "String")), e.hasOwnProperty("flag") && (t.flag = n.convertToType(e.flag, "Number")), e.hasOwnProperty("inspectPoints") && (t.inspectPoints = n.convertToType(e.inspectPoints, [J])), e.hasOwnProperty("name") && (t.name = n.convertToType(e.name, "String")), e.hasOwnProperty("routeId") && (t.routeId = n.convertToType(e.routeId, "String")), e.hasOwnProperty("sceneId") && (t.sceneId = n.convertToType(e.sceneId, "String")), e.hasOwnProperty("seqNo") && (t.seqNo = n.convertToType(e.seqNo, "Number")), e.hasOwnProperty("speed") && (t.speed = n.convertToType(e.speed, "Number")), e.hasOwnProperty("status") && (t.status = n.convertToType(e.status, "Boolean"))), t;
      }
    }]);
  }();
  E.prototype.code = void 0, E.prototype.creatorName = void 0, E.prototype.description = void 0, E.prototype.flag = void 0, E.prototype.inspectPoints = void 0, E.prototype.name = void 0, E.prototype.routeId = void 0, E.prototype.sceneId = void 0, E.prototype.seqNo = void 0, E.prototype.speed = void 0, E.prototype.status = void 0;
  var M = /*#__PURE__*/function () {
    function M() {
      _classCallCheck(this, M);
    }
    return _createClass(M, null, [{
      key: "constructFromObject",
      value: function constructFromObject(e, t) {
        return e && (t = t || new M(), e.hasOwnProperty("code") && (t.code = n.convertToType(e.code, "String")), e.hasOwnProperty("creatorName") && (t.creatorName = n.convertToType(e.creatorName, "String")), e.hasOwnProperty("description") && (t.description = n.convertToType(e.description, "String")), e.hasOwnProperty("flag") && (t.flag = n.convertToType(e.flag, "Number")), e.hasOwnProperty("id") && (t.id = n.convertToType(e.id, "String")), e.hasOwnProperty("inspectPoints") && (t.inspectPoints = n.convertToType(e.inspectPoints, [T])), e.hasOwnProperty("name") && (t.name = n.convertToType(e.name, "String")), e.hasOwnProperty("routeId") && (t.routeId = n.convertToType(e.routeId, "String")), e.hasOwnProperty("sceneId") && (t.sceneId = n.convertToType(e.sceneId, "String")), e.hasOwnProperty("seqNo") && (t.seqNo = n.convertToType(e.seqNo, "Number")), e.hasOwnProperty("speed") && (t.speed = n.convertToType(e.speed, "Number")), e.hasOwnProperty("status") && (t.status = n.convertToType(e.status, "Boolean"))), t;
      }
    }]);
  }();
  M.prototype.code = void 0, M.prototype.creatorName = void 0, M.prototype.description = void 0, M.prototype.flag = void 0, M.prototype.id = void 0, M.prototype.inspectPoints = void 0, M.prototype.name = void 0, M.prototype.routeId = void 0, M.prototype.sceneId = void 0, M.prototype.seqNo = void 0, M.prototype.speed = void 0, M.prototype.status = void 0;
  var H = /*#__PURE__*/function () {
    function H() {
      _classCallCheck(this, H);
    }
    return _createClass(H, null, [{
      key: "constructFromObject",
      value: function constructFromObject(e, t) {
        return e && (t = t || new H(), e.hasOwnProperty("alarmLevel") && (t.alarmLevel = n.convertToType(e.alarmLevel, "String")), e.hasOwnProperty("measuringPointId") && (t.measuringPointId = n.convertToType(e.measuringPointId, "String")), e.hasOwnProperty("pointCode") && (t.pointCode = n.convertToType(e.pointCode, "String")), e.hasOwnProperty("pointName") && (t.pointName = n.convertToType(e.pointName, "String")), e.hasOwnProperty("shortName") && (t.shortName = n.convertToType(e.shortName, "String")), e.hasOwnProperty("unit") && (t.unit = n.convertToType(e.unit, "String")), e.hasOwnProperty("value") && (t.value = n.convertToType(e.value, "Number"))), t;
      }
    }]);
  }();
  H.prototype.alarmLevel = void 0, H.prototype.measuringPointId = void 0, H.prototype.pointCode = void 0, H.prototype.pointName = void 0, H.prototype.shortName = void 0, H.prototype.unit = void 0, H.prototype.value = void 0;
  var $ = /*#__PURE__*/function () {
    function $() {
      _classCallCheck(this, $);
    }
    return _createClass($, null, [{
      key: "constructFromObject",
      value: function constructFromObject(e, t) {
        return e && (t = t || new $(), e.hasOwnProperty("measurePoints") && (t.measurePoints = n.convertToType(e.measurePoints, [H])), e.hasOwnProperty("panelCode") && (t.panelCode = n.convertToType(e.panelCode, "String")), e.hasOwnProperty("panelId") && (t.panelId = n.convertToType(e.panelId, "String")), e.hasOwnProperty("panelName") && (t.panelName = n.convertToType(e.panelName, "String"))), t;
      }
    }]);
  }();
  $.prototype.measurePoints = void 0, $.prototype.panelCode = void 0, $.prototype.panelId = void 0, $.prototype.panelName = void 0;
  var K = /*#__PURE__*/function () {
    function K() {
      _classCallCheck(this, K);
    }
    return _createClass(K, null, [{
      key: "constructFromObject",
      value: function constructFromObject(e, t) {
        return e && (t = t || new K(), e.hasOwnProperty("measurePoints") && (t.measurePoints = n.convertToType(e.measurePoints, [H])), e.hasOwnProperty("panels") && (t.panels = n.convertToType(e.panels, [$])), e.hasOwnProperty("tagCode") && (t.tagCode = n.convertToType(e.tagCode, "String")), e.hasOwnProperty("tagId") && (t.tagId = n.convertToType(e.tagId, "String")), e.hasOwnProperty("tagName") && (t.tagName = n.convertToType(e.tagName, "String"))), t;
      }
    }]);
  }();
  K.prototype.measurePoints = void 0, K.prototype.panels = void 0, K.prototype.tagCode = void 0, K.prototype.tagId = void 0, K.prototype.tagName = void 0;
  var q = /*#__PURE__*/function () {
    function q() {
      _classCallCheck(this, q);
    }
    return _createClass(q, null, [{
      key: "constructFromObject",
      value: function constructFromObject(e, t) {
        return e && (t = t || new q(), e.hasOwnProperty("endTime") && (t.endTime = n.convertToType(e.endTime, "Date")), e.hasOwnProperty("inspectRouteIds") && (t.inspectRouteIds = n.convertToType(e.inspectRouteIds, ["String"])), e.hasOwnProperty("inspectUserName") && (t.inspectUserName = n.convertToType(e.inspectUserName, "String")), e.hasOwnProperty("maxResultCount") && (t.maxResultCount = n.convertToType(e.maxResultCount, "Number")), e.hasOwnProperty("selectedIds") && (t.selectedIds = n.convertToType(e.selectedIds, ["String"])), e.hasOwnProperty("skipCount") && (t.skipCount = n.convertToType(e.skipCount, "Number")), e.hasOwnProperty("sorting") && (t.sorting = n.convertToType(e.sorting, "String")), e.hasOwnProperty("startTime") && (t.startTime = n.convertToType(e.startTime, "Date"))), t;
      }
    }]);
  }();
  q.prototype.endTime = void 0, q.prototype.inspectRouteIds = void 0, q.prototype.inspectUserName = void 0, q.prototype.maxResultCount = void 0, q.prototype.selectedIds = void 0, q.prototype.skipCount = void 0, q.prototype.sorting = void 0, q.prototype.startTime = void 0;
  var U = /*#__PURE__*/function () {
    function U() {
      _classCallCheck(this, U);
    }
    return _createClass(U, null, [{
      key: "constructFromObject",
      value: function constructFromObject(e, t) {
        return e && (t = t || new U(), e.hasOwnProperty("flag") && (t.flag = n.convertToType(e.flag, "Number")), e.hasOwnProperty("inspectPointId") && (t.inspectPointId = n.convertToType(e.inspectPointId, "String")), e.hasOwnProperty("inspectRouteId") && (t.inspectRouteId = n.convertToType(e.inspectRouteId, "String")), e.hasOwnProperty("seq") && (t.seq = n.convertToType(e.seq, "Number")), e.hasOwnProperty("xPoint") && (t.xPoint = n.convertToType(e.xPoint, "Number")), e.hasOwnProperty("yPoint") && (t.yPoint = n.convertToType(e.yPoint, "Number")), e.hasOwnProperty("zPoint") && (t.zPoint = n.convertToType(e.zPoint, "Number"))), t;
      }
    }]);
  }();
  U.prototype.flag = void 0, U.prototype.inspectPointId = void 0, U.prototype.inspectRouteId = void 0, U.prototype.seq = void 0, U.prototype.xPoint = void 0, U.prototype.yPoint = void 0, U.prototype.zPoint = void 0;
  var A = /*#__PURE__*/function () {
    function A() {
      _classCallCheck(this, A);
    }
    return _createClass(A, null, [{
      key: "constructFromObject",
      value: function constructFromObject(e, t) {
        return e && (t = t || new A(), e.hasOwnProperty("flag") && (t.flag = n.convertToType(e.flag, "Number")), e.hasOwnProperty("id") && (t.id = n.convertToType(e.id, "String")), e.hasOwnProperty("inspectPointId") && (t.inspectPointId = n.convertToType(e.inspectPointId, "String")), e.hasOwnProperty("inspectRouteId") && (t.inspectRouteId = n.convertToType(e.inspectRouteId, "String")), e.hasOwnProperty("seq") && (t.seq = n.convertToType(e.seq, "Number")), e.hasOwnProperty("xPoint") && (t.xPoint = n.convertToType(e.xPoint, "Number")), e.hasOwnProperty("yPoint") && (t.yPoint = n.convertToType(e.yPoint, "Number")), e.hasOwnProperty("zPoint") && (t.zPoint = n.convertToType(e.zPoint, "Number"))), t;
      }
    }]);
  }();
  A.prototype.flag = void 0, A.prototype.id = void 0, A.prototype.inspectPointId = void 0, A.prototype.inspectRouteId = void 0, A.prototype.seq = void 0, A.prototype.xPoint = void 0, A.prototype.yPoint = void 0, A.prototype.zPoint = void 0;
  var fe = /*#__PURE__*/function () {
    function fe(e) {
      _classCallCheck(this, fe);
      this.apiClient = e || n.GetInstance("roam-inspect-management", "InspectAlarmRecordApi");
    }
    return _createClass(fe, [{
      key: "callDeleteWithHttpInfo",
      value: function callDeleteWithHttpInfo(e) {
        var t = null;
        if (e == null) throw new Error("Missing the required parameter 'id' when calling callDelete");
        var i = {
            id: e
          },
          r = {},
          o = {},
          p = {},
          s = ["oauth2"],
          a = [],
          c = ["application/json", "text/json", "text/plain"],
          l = null;
        return this.apiClient.callApi("/api/roam-inspect-management/inspect-alarm-records/{id}", "DELETE", i, r, o, p, t, s, a, c, l);
      }
    }, {
      key: "callDelete",
      value: function callDelete(e) {
        return this.callDeleteWithHttpInfo(e);
      }
    }, {
      key: "createWithHttpInfo",
      value: function createWithHttpInfo(e) {
        e = e || {};
        var t = e.body,
          i = {},
          r = {},
          o = e.header || {},
          p = {},
          s = ["oauth2"],
          a = ["application/_*+json", "application/json", "text/json"],
          c = ["application/json", "text/json", "text/plain"],
          l = d;
        return this.apiClient.callApi("/api/roam-inspect-management/inspect-alarm-records", "POST", i, r, o, p, t, s, a, c, l);
      }
    }, {
      key: "create",
      value: function create(e) {
        return this.createWithHttpInfo(e);
      }
    }, {
      key: "deleteManyWithHttpInfo",
      value: function deleteManyWithHttpInfo(e) {
        e = e || {};
        var t = null,
          i = {},
          r = {
            ids: this.apiClient.buildCollectionParam(e.ids, "multi")
          },
          o = e.header || {},
          p = {},
          s = ["oauth2"],
          a = [],
          c = ["application/json", "text/json", "text/plain"],
          l = e.returnType || null;
        return this.apiClient.callApi("/api/roam-inspect-management/inspect-alarm-records/many", "DELETE", i, r, o, p, t, s, a, c, l);
      }
    }, {
      key: "deleteMany",
      value: function deleteMany(e) {
        return this.deleteManyWithHttpInfo(e);
      }
    }, {
      key: "getWithHttpInfo",
      value: function getWithHttpInfo(e) {
        var t = null;
        if (e == null) throw new Error("Missing the required parameter 'id' when calling get");
        var i = {
            id: e
          },
          r = {},
          o = {},
          p = {},
          s = ["oauth2"],
          a = [],
          c = ["application/json", "text/json", "text/plain"],
          l = d;
        return this.apiClient.callApi("/api/roam-inspect-management/inspect-alarm-records/{id}", "GET", i, r, o, p, t, s, a, c, l);
      }
    }, {
      key: "get",
      value: function get(e) {
        return this.getWithHttpInfo(e);
      }
    }, {
      key: "getAlarmRecordListByTagIdWithHttpInfo",
      value: function getAlarmRecordListByTagIdWithHttpInfo(e) {
        e = e || {};
        var t = null,
          i = {},
          r = {
            tagId: e.tagId
          },
          o = e.header || {},
          p = {},
          s = ["oauth2"],
          a = [],
          c = ["application/json", "text/json", "text/plain"],
          l = [d];
        return this.apiClient.callApi("/api/roam-inspect-management/inspect-alarm-records/alarm-record-list-by-tag-id", "GET", i, r, o, p, t, s, a, c, l);
      }
    }, {
      key: "getAlarmRecordListByTagId",
      value: function getAlarmRecordListByTagId(e) {
        return this.getAlarmRecordListByTagIdWithHttpInfo(e);
      }
    }, {
      key: "getAlarmRecordStaticsListWithHttpInfo",
      value: function getAlarmRecordStaticsListWithHttpInfo(e) {
        e = e || {};
        var t = null,
          i = {},
          r = {
            inspectPointId: e.inspectPointId
          },
          o = e.header || {},
          p = {},
          s = ["oauth2"],
          a = [],
          c = ["application/json", "text/json", "text/plain"],
          l = [Q];
        return this.apiClient.callApi("/api/roam-inspect-management/inspect-alarm-records/alarm-record-statistics-list", "GET", i, r, o, p, t, s, a, c, l);
      }
    }, {
      key: "getAlarmRecordStaticsList",
      value: function getAlarmRecordStaticsList(e) {
        return this.getAlarmRecordStaticsListWithHttpInfo(e);
      }
    }, {
      key: "getInspectAlarmStaticsByTagIdWithHttpInfo",
      value: function getInspectAlarmStaticsByTagIdWithHttpInfo(e) {
        e = e || {};
        var t = null,
          i = {},
          r = {
            tagId: e.tagId
          },
          o = e.header || {},
          p = {},
          s = ["oauth2"],
          a = [],
          c = ["application/json", "text/json", "text/plain"],
          l = [Q];
        return this.apiClient.callApi("/api/roam-inspect-management/inspect-alarm-records/inspect-alarm-statics-by-tag-id", "GET", i, r, o, p, t, s, a, c, l);
      }
    }, {
      key: "getInspectAlarmStaticsByTagId",
      value: function getInspectAlarmStaticsByTagId(e) {
        return this.getInspectAlarmStaticsByTagIdWithHttpInfo(e);
      }
    }, {
      key: "getListWithHttpInfo",
      value: function getListWithHttpInfo(e) {
        e = e || {};
        var t = null,
          i = {},
          r = {
            AlarmType: e.alarmType,
            AlarmStartTime: e.alarmStartTime,
            AlarmEndTime: e.alarmEndTime,
            TagNameOrCode: e.tagNameOrCode,
            AlarmStatus: e.alarmStatus,
            AlarmLevelId: e.alarmLevelId,
            InspectRouteRecordId: e.inspectRouteRecordId,
            InspectPointIds: this.apiClient.buildCollectionParam(e.inspectPointIds, "multi"),
            Sorting: e.sorting,
            SkipCount: e.skipCount,
            MaxResultCount: e.maxResultCount
          },
          o = e.header || {},
          p = {},
          s = ["oauth2"],
          a = [],
          c = ["application/json", "text/json", "text/plain"],
          l = j;
        return this.apiClient.callApi("/api/roam-inspect-management/inspect-alarm-records", "GET", i, r, o, p, t, s, a, c, l);
      }
    }, {
      key: "getList",
      value: function getList(e) {
        return this.getListWithHttpInfo(e);
      }
    }, {
      key: "insertManyWithHttpInfo",
      value: function insertManyWithHttpInfo(e) {
        e = e || {};
        var t = e.body,
          i = {},
          r = {},
          o = e.header || {},
          p = {},
          s = ["oauth2"],
          a = ["application/_*+json", "application/json", "text/json"],
          c = ["application/json", "text/json", "text/plain"],
          l = e.returnType || null;
        return this.apiClient.callApi("/api/roam-inspect-management/inspect-alarm-records/many", "POST", i, r, o, p, t, s, a, c, l);
      }
    }, {
      key: "insertMany",
      value: function insertMany(e) {
        return this.insertManyWithHttpInfo(e);
      }
    }, {
      key: "updateWithHttpInfo",
      value: function updateWithHttpInfo(e, t) {
        t = t || {};
        var i = t.body;
        if (e == null) throw new Error("Missing the required parameter 'id' when calling update");
        var r = {
            id: e
          },
          o = {},
          p = t.header || {},
          s = {},
          a = ["oauth2"],
          c = ["application/_*+json", "application/json", "text/json"],
          l = ["application/json", "text/json", "text/plain"],
          L = d;
        return this.apiClient.callApi("/api/roam-inspect-management/inspect-alarm-records/{id}", "PUT", r, o, p, s, i, a, c, l, L);
      }
    }, {
      key: "update",
      value: function update(e, t) {
        return this.updateWithHttpInfo(e, t);
      }
    }, {
      key: "updateManyWithHttpInfo",
      value: function updateManyWithHttpInfo(e) {
        e = e || {};
        var t = e.body,
          i = {},
          r = {},
          o = e.header || {},
          p = {},
          s = ["oauth2"],
          a = ["application/_*+json", "application/json", "text/json"],
          c = ["application/json", "text/json", "text/plain"],
          l = e.returnType || null;
        return this.apiClient.callApi("/api/roam-inspect-management/inspect-alarm-records/many", "PUT", i, r, o, p, t, s, a, c, l);
      }
    }, {
      key: "updateMany",
      value: function updateMany(e) {
        return this.updateManyWithHttpInfo(e);
      }
    }]);
  }();
  ae(fe, "Methods", {
    callDelete: {
      method: "DELETE",
      path: "/api/roam-inspect-management/inspect-alarm-records/{id}"
    },
    create: {
      method: "POST",
      path: "/api/roam-inspect-management/inspect-alarm-records"
    },
    deleteMany: {
      method: "DELETE",
      path: "/api/roam-inspect-management/inspect-alarm-records/many"
    },
    get: {
      method: "GET",
      path: "/api/roam-inspect-management/inspect-alarm-records/{id}"
    },
    getAlarmRecordListByTagId: {
      desc: "通过设备Id获取报警列表",
      method: "GET",
      path: "/api/roam-inspect-management/inspect-alarm-records/alarm-record-list-by-tag-id"
    },
    getAlarmRecordStaticsList: {
      desc: "获取报警统计列表",
      method: "GET",
      path: "/api/roam-inspect-management/inspect-alarm-records/alarm-record-statistics-list"
    },
    getInspectAlarmStaticsByTagId: {
      desc: "通过设备Id获取报警统计列表",
      method: "GET",
      path: "/api/roam-inspect-management/inspect-alarm-records/inspect-alarm-statics-by-tag-id"
    },
    getList: {
      method: "GET",
      path: "/api/roam-inspect-management/inspect-alarm-records"
    },
    insertMany: {
      method: "POST",
      path: "/api/roam-inspect-management/inspect-alarm-records/many"
    },
    update: {
      method: "PUT",
      path: "/api/roam-inspect-management/inspect-alarm-records/{id}"
    },
    updateMany: {
      method: "PUT",
      path: "/api/roam-inspect-management/inspect-alarm-records/many"
    }
  });
  var Te = /*#__PURE__*/function () {
    function Te(e) {
      _classCallCheck(this, Te);
      this.apiClient = e || n.GetInstance("roam-inspect-management", "InspectPointApi");
    }
    return _createClass(Te, [{
      key: "callDeleteWithHttpInfo",
      value: function callDeleteWithHttpInfo(e) {
        var t = null;
        if (e == null) throw new Error("Missing the required parameter 'id' when calling callDelete");
        var i = {
            id: e
          },
          r = {},
          o = {},
          p = {},
          s = ["oauth2"],
          a = [],
          c = ["application/json", "text/json", "text/plain"],
          l = null;
        return this.apiClient.callApi("/api/roam-inspect-management/inspect-points/{id}", "DELETE", i, r, o, p, t, s, a, c, l);
      }
    }, {
      key: "callDelete",
      value: function callDelete(e) {
        return this.callDeleteWithHttpInfo(e);
      }
    }, {
      key: "createWithHttpInfo",
      value: function createWithHttpInfo(e) {
        e = e || {};
        var t = e.body,
          i = {},
          r = {},
          o = e.header || {},
          p = {},
          s = ["oauth2"],
          a = ["application/_*+json", "application/json", "text/json"],
          c = ["application/json", "text/json", "text/plain"],
          l = m;
        return this.apiClient.callApi("/api/roam-inspect-management/inspect-points", "POST", i, r, o, p, t, s, a, c, l);
      }
    }, {
      key: "create",
      value: function create(e) {
        return this.createWithHttpInfo(e);
      }
    }, {
      key: "createInspectPointCameraRelationWithHttpInfo",
      value: function createInspectPointCameraRelationWithHttpInfo(e) {
        e = e || {};
        var t = e.body,
          i = {},
          r = {},
          o = e.header || {},
          p = {},
          s = ["oauth2"],
          a = ["application/_*+json", "application/json", "text/json"],
          c = ["application/json", "text/json", "text/plain"],
          l = e.returnType || null;
        return this.apiClient.callApi("/api/roam-inspect-management/inspect-points/create-inspect-point-camera-relation", "POST", i, r, o, p, t, s, a, c, l);
      }
    }, {
      key: "createInspectPointCameraRelation",
      value: function createInspectPointCameraRelation(e) {
        return this.createInspectPointCameraRelationWithHttpInfo(e);
      }
    }, {
      key: "createInspectPointMeasuringPointRelationWithHttpInfo",
      value: function createInspectPointMeasuringPointRelationWithHttpInfo(e) {
        e = e || {};
        var t = e.body,
          i = {},
          r = {},
          o = e.header || {},
          p = {},
          s = ["oauth2"],
          a = ["application/_*+json", "application/json", "text/json"],
          c = ["application/json", "text/json", "text/plain"],
          l = e.returnType || null;
        return this.apiClient.callApi("/api/roam-inspect-management/inspect-points/create-inspect-point-measuring-point-relation", "POST", i, r, o, p, t, s, a, c, l);
      }
    }, {
      key: "createInspectPointMeasuringPointRelation",
      value: function createInspectPointMeasuringPointRelation(e) {
        return this.createInspectPointMeasuringPointRelationWithHttpInfo(e);
      }
    }, {
      key: "createInspectPointTagRelationWithHttpInfo",
      value: function createInspectPointTagRelationWithHttpInfo(e) {
        e = e || {};
        var t = e.body,
          i = {},
          r = {},
          o = e.header || {},
          p = {},
          s = ["oauth2"],
          a = ["application/_*+json", "application/json", "text/json"],
          c = ["application/json", "text/json", "text/plain"],
          l = e.returnType || null;
        return this.apiClient.callApi("/api/roam-inspect-management/inspect-points/create-inspect-point-tag-relation", "POST", i, r, o, p, t, s, a, c, l);
      }
    }, {
      key: "createInspectPointTagRelation",
      value: function createInspectPointTagRelation(e) {
        return this.createInspectPointTagRelationWithHttpInfo(e);
      }
    }, {
      key: "deleteManyWithHttpInfo",
      value: function deleteManyWithHttpInfo(e) {
        e = e || {};
        var t = null,
          i = {},
          r = {
            ids: this.apiClient.buildCollectionParam(e.ids, "multi")
          },
          o = e.header || {},
          p = {},
          s = ["oauth2"],
          a = [],
          c = ["application/json", "text/json", "text/plain"],
          l = e.returnType || null;
        return this.apiClient.callApi("/api/roam-inspect-management/inspect-points/many", "DELETE", i, r, o, p, t, s, a, c, l);
      }
    }, {
      key: "deleteMany",
      value: function deleteMany(e) {
        return this.deleteManyWithHttpInfo(e);
      }
    }, {
      key: "deleteManyInspectPointCameraRelationWithHttpInfo",
      value: function deleteManyInspectPointCameraRelationWithHttpInfo(e) {
        e = e || {};
        var t = null,
          i = {},
          r = {
            pointId: e.pointId,
            cameraIds: this.apiClient.buildCollectionParam(e.cameraIds, "multi")
          },
          o = e.header || {},
          p = {},
          s = ["oauth2"],
          a = [],
          c = ["application/json", "text/json", "text/plain"],
          l = e.returnType || null;
        return this.apiClient.callApi("/api/roam-inspect-management/inspect-points/many-inspect-point-camera-relation", "DELETE", i, r, o, p, t, s, a, c, l);
      }
    }, {
      key: "deleteManyInspectPointCameraRelation",
      value: function deleteManyInspectPointCameraRelation(e) {
        return this.deleteManyInspectPointCameraRelationWithHttpInfo(e);
      }
    }, {
      key: "deleteManyInspectPointMeasuringPointRelationWithHttpInfo",
      value: function deleteManyInspectPointMeasuringPointRelationWithHttpInfo(e) {
        e = e || {};
        var t = null,
          i = {},
          r = {
            pointId: e.pointId,
            measuringPointIds: this.apiClient.buildCollectionParam(e.measuringPointIds, "multi")
          },
          o = e.header || {},
          p = {},
          s = ["oauth2"],
          a = [],
          c = ["application/json", "text/json", "text/plain"],
          l = e.returnType || null;
        return this.apiClient.callApi("/api/roam-inspect-management/inspect-points/many-inspect-point-measuring-point-relation", "DELETE", i, r, o, p, t, s, a, c, l);
      }
    }, {
      key: "deleteManyInspectPointMeasuringPointRelation",
      value: function deleteManyInspectPointMeasuringPointRelation(e) {
        return this.deleteManyInspectPointMeasuringPointRelationWithHttpInfo(e);
      }
    }, {
      key: "deleteManyInspectPointTagRelationWithHttpInfo",
      value: function deleteManyInspectPointTagRelationWithHttpInfo(e) {
        e = e || {};
        var t = null,
          i = {},
          r = {
            pointId: e.pointId,
            tagIds: this.apiClient.buildCollectionParam(e.tagIds, "multi")
          },
          o = e.header || {},
          p = {},
          s = ["oauth2"],
          a = [],
          c = ["application/json", "text/json", "text/plain"],
          l = e.returnType || null;
        return this.apiClient.callApi("/api/roam-inspect-management/inspect-points/many-inspect-point-tag-relation", "DELETE", i, r, o, p, t, s, a, c, l);
      }
    }, {
      key: "deleteManyInspectPointTagRelation",
      value: function deleteManyInspectPointTagRelation(e) {
        return this.deleteManyInspectPointTagRelationWithHttpInfo(e);
      }
    }, {
      key: "getWithHttpInfo",
      value: function getWithHttpInfo(e) {
        var t = null;
        if (e == null) throw new Error("Missing the required parameter 'id' when calling get");
        var i = {
            id: e
          },
          r = {},
          o = {},
          p = {},
          s = ["oauth2"],
          a = [],
          c = ["application/json", "text/json", "text/plain"],
          l = m;
        return this.apiClient.callApi("/api/roam-inspect-management/inspect-points/{id}", "GET", i, r, o, p, t, s, a, c, l);
      }
    }, {
      key: "get",
      value: function get(e) {
        return this.getWithHttpInfo(e);
      }
    }, {
      key: "getInspectPointCameraIdsWithHttpInfo",
      value: function getInspectPointCameraIdsWithHttpInfo(e) {
        e = e || {};
        var t = null,
          i = {},
          r = {
            id: e.id
          },
          o = e.header || {},
          p = {},
          s = ["oauth2"],
          a = [],
          c = ["application/json", "text/json", "text/plain"],
          l = ["String"];
        return this.apiClient.callApi("/api/roam-inspect-management/inspect-points/inspect-point-camera-ids", "GET", i, r, o, p, t, s, a, c, l);
      }
    }, {
      key: "getInspectPointCameraIds",
      value: function getInspectPointCameraIds(e) {
        return this.getInspectPointCameraIdsWithHttpInfo(e);
      }
    }, {
      key: "getInspectPointCameraRelationWithHttpInfo",
      value: function getInspectPointCameraRelationWithHttpInfo(e) {
        e = e || {};
        var t = null,
          i = {},
          r = {
            id: e.id,
            NameOrCode: e.nameOrCode,
            TagCategoryId: e.tagCategoryId,
            Sorting: e.sorting,
            SkipCount: e.skipCount,
            MaxResultCount: e.maxResultCount
          },
          o = e.header || {},
          p = {},
          s = ["oauth2"],
          a = [],
          c = ["application/json", "text/json", "text/plain"],
          l = b;
        return this.apiClient.callApi("/api/roam-inspect-management/inspect-points/inspect-point-camera-relation", "GET", i, r, o, p, t, s, a, c, l);
      }
    }, {
      key: "getInspectPointCameraRelation",
      value: function getInspectPointCameraRelation(e) {
        return this.getInspectPointCameraRelationWithHttpInfo(e);
      }
    }, {
      key: "getInspectPointMeasuringPointIdsWithHttpInfo",
      value: function getInspectPointMeasuringPointIdsWithHttpInfo(e) {
        e = e || {};
        var t = null,
          i = {},
          r = {
            id: e.id
          },
          o = e.header || {},
          p = {},
          s = ["oauth2"],
          a = [],
          c = ["application/json", "text/json", "text/plain"],
          l = ["String"];
        return this.apiClient.callApi("/api/roam-inspect-management/inspect-points/inspect-point-measuring-point-ids", "GET", i, r, o, p, t, s, a, c, l);
      }
    }, {
      key: "getInspectPointMeasuringPointIds",
      value: function getInspectPointMeasuringPointIds(e) {
        return this.getInspectPointMeasuringPointIdsWithHttpInfo(e);
      }
    }, {
      key: "getInspectPointMeasuringPointRelationWithHttpInfo",
      value: function getInspectPointMeasuringPointRelationWithHttpInfo(e) {
        e = e || {};
        var t = null,
          i = {},
          r = {
            id: e.id,
            NameOrCode: e.nameOrCode,
            TagCategoryId: e.tagCategoryId,
            Sorting: e.sorting,
            SkipCount: e.skipCount,
            MaxResultCount: e.maxResultCount
          },
          o = e.header || {},
          p = {},
          s = ["oauth2"],
          a = [],
          c = ["application/json", "text/json", "text/plain"],
          l = te;
        return this.apiClient.callApi("/api/roam-inspect-management/inspect-points/inspect-point-measuring-point-relation", "GET", i, r, o, p, t, s, a, c, l);
      }
    }, {
      key: "getInspectPointMeasuringPointRelation",
      value: function getInspectPointMeasuringPointRelation(e) {
        return this.getInspectPointMeasuringPointRelationWithHttpInfo(e);
      }
    }, {
      key: "getInspectPointTagIdListWithHttpInfo",
      value: function getInspectPointTagIdListWithHttpInfo(e) {
        e = e || {};
        var t = null,
          i = {},
          r = {
            id: e.id
          },
          o = e.header || {},
          p = {},
          s = ["oauth2"],
          a = [],
          c = ["application/json", "text/json", "text/plain"],
          l = ["String"];
        return this.apiClient.callApi("/api/roam-inspect-management/inspect-points/inspect-point-tag-id-list", "GET", i, r, o, p, t, s, a, c, l);
      }
    }, {
      key: "getInspectPointTagIdList",
      value: function getInspectPointTagIdList(e) {
        return this.getInspectPointTagIdListWithHttpInfo(e);
      }
    }, {
      key: "getInspectPointTagRelationListWithHttpInfo",
      value: function getInspectPointTagRelationListWithHttpInfo(e) {
        e = e || {};
        var t = null,
          i = {},
          r = {
            id: e.id,
            NameOrCode: e.nameOrCode,
            TagCategoryId: e.tagCategoryId,
            Sorting: e.sorting,
            SkipCount: e.skipCount,
            MaxResultCount: e.maxResultCount
          },
          o = e.header || {},
          p = {},
          s = ["oauth2"],
          a = [],
          c = ["application/json", "text/json", "text/plain"],
          l = ne;
        return this.apiClient.callApi("/api/roam-inspect-management/inspect-points/inspect-point-tag-relation-list", "GET", i, r, o, p, t, s, a, c, l);
      }
    }, {
      key: "getInspectPointTagRelationList",
      value: function getInspectPointTagRelationList(e) {
        return this.getInspectPointTagRelationListWithHttpInfo(e);
      }
    }, {
      key: "getIotDeviceInfoByCameraIdsWithHttpInfo",
      value: function getIotDeviceInfoByCameraIdsWithHttpInfo(e) {
        e = e || {};
        var t = null,
          i = {},
          r = {
            cameraIds: this.apiClient.buildCollectionParam(e.cameraIds, "multi")
          },
          o = e.header || {},
          p = {},
          s = ["oauth2"],
          a = [],
          c = ["application/json", "text/json", "text/plain"],
          l = [P];
        return this.apiClient.callApi("/api/roam-inspect-management/inspect-points/iot-device-info-by-camera-Ids", "GET", i, r, o, p, t, s, a, c, l);
      }
    }, {
      key: "getIotDeviceInfoByCameraIds",
      value: function getIotDeviceInfoByCameraIds(e) {
        return this.getIotDeviceInfoByCameraIdsWithHttpInfo(e);
      }
    }, {
      key: "getListWithHttpInfo",
      value: function getListWithHttpInfo(e) {
        e = e || {};
        var t = null,
          i = {},
          r = {
            NameOrCode: e.nameOrCode,
            CreatorName: e.creatorName,
            CreateStartTime: e.createStartTime,
            CreateEndTime: e.createEndTime,
            Status: e.status,
            SceneId: e.sceneId,
            Sorting: e.sorting,
            SkipCount: e.skipCount,
            MaxResultCount: e.maxResultCount
          },
          o = e.header || {},
          p = {},
          s = ["oauth2"],
          a = [],
          c = ["application/json", "text/json", "text/plain"],
          l = ee;
        return this.apiClient.callApi("/api/roam-inspect-management/inspect-points", "GET", i, r, o, p, t, s, a, c, l);
      }
    }, {
      key: "getList",
      value: function getList(e) {
        return this.getListWithHttpInfo(e);
      }
    }, {
      key: "getTagCodeIsExistsWithHttpInfo",
      value: function getTagCodeIsExistsWithHttpInfo(e) {
        e = e || {};
        var t = null,
          i = {},
          r = {
            tagCode: e.tagCode
          },
          o = e.header || {},
          p = {},
          s = ["oauth2"],
          a = [],
          c = ["application/json", "text/json", "text/plain"],
          l = k;
        return this.apiClient.callApi("/api/roam-inspect-management/inspect-points/tag-code-is-exists", "GET", i, r, o, p, t, s, a, c, l);
      }
    }, {
      key: "getTagCodeIsExists",
      value: function getTagCodeIsExists(e) {
        return this.getTagCodeIsExistsWithHttpInfo(e);
      }
    }, {
      key: "getTagPanelInfoWithHttpInfo",
      value: function getTagPanelInfoWithHttpInfo(e) {
        e = e || {};
        var t = null,
          i = {},
          r = {
            tagIds: this.apiClient.buildCollectionParam(e.tagIds, "multi"),
            inspectPointId: e.inspectPointId
          },
          o = e.header || {},
          p = {},
          s = ["oauth2"],
          a = [],
          c = ["application/json", "text/json", "text/plain"],
          l = [K];
        return this.apiClient.callApi("/api/roam-inspect-management/inspect-points/tag-panel-info", "GET", i, r, o, p, t, s, a, c, l);
      }
    }, {
      key: "getTagPanelInfo",
      value: function getTagPanelInfo(e) {
        return this.getTagPanelInfoWithHttpInfo(e);
      }
    }, {
      key: "insertManyWithHttpInfo",
      value: function insertManyWithHttpInfo(e) {
        e = e || {};
        var t = e.body,
          i = {},
          r = {},
          o = e.header || {},
          p = {},
          s = ["oauth2"],
          a = ["application/_*+json", "application/json", "text/json"],
          c = ["application/json", "text/json", "text/plain"],
          l = e.returnType || null;
        return this.apiClient.callApi("/api/roam-inspect-management/inspect-points/many", "POST", i, r, o, p, t, s, a, c, l);
      }
    }, {
      key: "insertMany",
      value: function insertMany(e) {
        return this.insertManyWithHttpInfo(e);
      }
    }, {
      key: "updateWithHttpInfo",
      value: function updateWithHttpInfo(e, t) {
        t = t || {};
        var i = t.body;
        if (e == null) throw new Error("Missing the required parameter 'id' when calling update");
        var r = {
            id: e
          },
          o = {},
          p = t.header || {},
          s = {},
          a = ["oauth2"],
          c = ["application/_*+json", "application/json", "text/json"],
          l = ["application/json", "text/json", "text/plain"],
          L = m;
        return this.apiClient.callApi("/api/roam-inspect-management/inspect-points/{id}", "PUT", r, o, p, s, i, a, c, l, L);
      }
    }, {
      key: "update",
      value: function update(e, t) {
        return this.updateWithHttpInfo(e, t);
      }
    }, {
      key: "updateInspectPointCameraRelationWithHttpInfo",
      value: function updateInspectPointCameraRelationWithHttpInfo(e) {
        e = e || {};
        var t = e.body,
          i = {},
          r = {},
          o = e.header || {},
          p = {},
          s = ["oauth2"],
          a = ["application/_*+json", "application/json", "text/json"],
          c = ["application/json", "text/json", "text/plain"],
          l = e.returnType || null;
        return this.apiClient.callApi("/api/roam-inspect-management/inspect-points/update-inspect-point-camera-relation", "PUT", i, r, o, p, t, s, a, c, l);
      }
    }, {
      key: "updateInspectPointCameraRelation",
      value: function updateInspectPointCameraRelation(e) {
        return this.updateInspectPointCameraRelationWithHttpInfo(e);
      }
    }, {
      key: "updateManyWithHttpInfo",
      value: function updateManyWithHttpInfo(e) {
        e = e || {};
        var t = e.body,
          i = {},
          r = {},
          o = e.header || {},
          p = {},
          s = ["oauth2"],
          a = ["application/_*+json", "application/json", "text/json"],
          c = ["application/json", "text/json", "text/plain"],
          l = e.returnType || null;
        return this.apiClient.callApi("/api/roam-inspect-management/inspect-points/many", "PUT", i, r, o, p, t, s, a, c, l);
      }
    }, {
      key: "updateMany",
      value: function updateMany(e) {
        return this.updateManyWithHttpInfo(e);
      }
    }]);
  }();
  ae(Te, "Methods", {
    callDelete: {
      method: "DELETE",
      path: "/api/roam-inspect-management/inspect-points/{id}"
    },
    create: {
      method: "POST",
      path: "/api/roam-inspect-management/inspect-points"
    },
    createInspectPointCameraRelation: {
      desc: "创建巡检点关联摄像头",
      method: "POST",
      path: "/api/roam-inspect-management/inspect-points/create-inspect-point-camera-relation"
    },
    createInspectPointMeasuringPointRelation: {
      desc: "创建巡检点关联测点",
      method: "POST",
      path: "/api/roam-inspect-management/inspect-points/create-inspect-point-measuring-point-relation"
    },
    createInspectPointTagRelation: {
      desc: "创建巡检点关联设备",
      method: "POST",
      path: "/api/roam-inspect-management/inspect-points/create-inspect-point-tag-relation"
    },
    deleteMany: {
      method: "DELETE",
      path: "/api/roam-inspect-management/inspect-points/many"
    },
    deleteManyInspectPointCameraRelation: {
      desc: "批量删除巡检点关联摄像头",
      method: "DELETE",
      path: "/api/roam-inspect-management/inspect-points/many-inspect-point-camera-relation"
    },
    deleteManyInspectPointMeasuringPointRelation: {
      desc: "批量删除巡检点关联测点",
      method: "DELETE",
      path: "/api/roam-inspect-management/inspect-points/many-inspect-point-measuring-point-relation"
    },
    deleteManyInspectPointTagRelation: {
      desc: "批量删除巡检点关联设备",
      method: "DELETE",
      path: "/api/roam-inspect-management/inspect-points/many-inspect-point-tag-relation"
    },
    get: {
      method: "GET",
      path: "/api/roam-inspect-management/inspect-points/{id}"
    },
    getInspectPointCameraIds: {
      desc: "获取巡检点关联摄像头Id集合",
      method: "GET",
      path: "/api/roam-inspect-management/inspect-points/inspect-point-camera-ids"
    },
    getInspectPointCameraRelation: {
      desc: "获取巡检点关联摄像头",
      method: "GET",
      path: "/api/roam-inspect-management/inspect-points/inspect-point-camera-relation"
    },
    getInspectPointMeasuringPointIds: {
      desc: "获取巡检点关联测点Id集合",
      method: "GET",
      path: "/api/roam-inspect-management/inspect-points/inspect-point-measuring-point-ids"
    },
    getInspectPointMeasuringPointRelation: {
      desc: "获取巡检点关联测点",
      method: "GET",
      path: "/api/roam-inspect-management/inspect-points/inspect-point-measuring-point-relation"
    },
    getInspectPointTagIdList: {
      desc: "获取巡检点关联设备Id集合",
      method: "GET",
      path: "/api/roam-inspect-management/inspect-points/inspect-point-tag-id-list"
    },
    getInspectPointTagRelationList: {
      desc: "获取巡检点关联设备",
      method: "GET",
      path: "/api/roam-inspect-management/inspect-points/inspect-point-tag-relation-list"
    },
    getIotDeviceInfoByCameraIds: {
      desc: "通过监控Id集合获取物联网设备",
      method: "GET",
      path: "/api/roam-inspect-management/inspect-points/iot-device-info-by-camera-Ids"
    },
    getList: {
      method: "GET",
      path: "/api/roam-inspect-management/inspect-points"
    },
    getTagCodeIsExists: {
      desc: "获取设备编码是否存在(完全匹配)",
      method: "GET",
      path: "/api/roam-inspect-management/inspect-points/tag-code-is-exists"
    },
    getTagPanelInfo: {
      desc: "获取巡检点/设备关联测点值信息",
      method: "GET",
      path: "/api/roam-inspect-management/inspect-points/tag-panel-info"
    },
    insertMany: {
      method: "POST",
      path: "/api/roam-inspect-management/inspect-points/many"
    },
    update: {
      method: "PUT",
      path: "/api/roam-inspect-management/inspect-points/{id}"
    },
    updateInspectPointCameraRelation: {
      desc: "更新巡检点关联摄像头",
      method: "PUT",
      path: "/api/roam-inspect-management/inspect-points/update-inspect-point-camera-relation"
    },
    updateMany: {
      method: "PUT",
      path: "/api/roam-inspect-management/inspect-points/many"
    }
  });
  var he = /*#__PURE__*/function () {
    function he(e) {
      _classCallCheck(this, he);
      this.apiClient = e || n.GetInstance("roam-inspect-management", "InspectRouteApi");
    }
    return _createClass(he, [{
      key: "callDeleteWithHttpInfo",
      value: function callDeleteWithHttpInfo(e) {
        var t = null;
        if (e == null) throw new Error("Missing the required parameter 'id' when calling callDelete");
        var i = {
            id: e
          },
          r = {},
          o = {},
          p = {},
          s = ["oauth2"],
          a = [],
          c = ["application/json", "text/json", "text/plain"],
          l = null;
        return this.apiClient.callApi("/api/roam-inspect-management/inspect-routes/{id}", "DELETE", i, r, o, p, t, s, a, c, l);
      }
    }, {
      key: "callDelete",
      value: function callDelete(e) {
        return this.callDeleteWithHttpInfo(e);
      }
    }, {
      key: "createWithHttpInfo",
      value: function createWithHttpInfo(e) {
        e = e || {};
        var t = e.body,
          i = {},
          r = {},
          o = e.header || {},
          p = {},
          s = ["oauth2"],
          a = ["application/_*+json", "application/json", "text/json"],
          c = ["application/json", "text/json", "text/plain"],
          l = f;
        return this.apiClient.callApi("/api/roam-inspect-management/inspect-routes", "POST", i, r, o, p, t, s, a, c, l);
      }
    }, {
      key: "create",
      value: function create(e) {
        return this.createWithHttpInfo(e);
      }
    }, {
      key: "deleteManyWithHttpInfo",
      value: function deleteManyWithHttpInfo(e) {
        e = e || {};
        var t = null,
          i = {},
          r = {
            ids: this.apiClient.buildCollectionParam(e.ids, "multi")
          },
          o = e.header || {},
          p = {},
          s = ["oauth2"],
          a = [],
          c = ["application/json", "text/json", "text/plain"],
          l = e.returnType || null;
        return this.apiClient.callApi("/api/roam-inspect-management/inspect-routes/many", "DELETE", i, r, o, p, t, s, a, c, l);
      }
    }, {
      key: "deleteMany",
      value: function deleteMany(e) {
        return this.deleteManyWithHttpInfo(e);
      }
    }, {
      key: "getWithHttpInfo",
      value: function getWithHttpInfo(e) {
        var t = null;
        if (e == null) throw new Error("Missing the required parameter 'id' when calling get");
        var i = {
            id: e
          },
          r = {},
          o = {},
          p = {},
          s = ["oauth2"],
          a = [],
          c = ["application/json", "text/json", "text/plain"],
          l = f;
        return this.apiClient.callApi("/api/roam-inspect-management/inspect-routes/{id}", "GET", i, r, o, p, t, s, a, c, l);
      }
    }, {
      key: "get",
      value: function get(e) {
        return this.getWithHttpInfo(e);
      }
    }, {
      key: "getInspectPointInspectRecordListWithHttpInfo",
      value: function getInspectPointInspectRecordListWithHttpInfo(e) {
        e = e || {};
        var t = null,
          i = {},
          r = {
            inspectRouteRecordId: e.inspectRouteRecordId,
            inspectPointId: e.inspectPointId
          },
          o = e.header || {},
          p = {},
          s = ["oauth2"],
          a = [],
          c = ["application/json", "text/json", "text/plain"],
          l = [g];
        return this.apiClient.callApi("/api/roam-inspect-management/inspect-routes/inspect-point-inspect-record-list", "GET", i, r, o, p, t, s, a, c, l);
      }
    }, {
      key: "getInspectPointInspectRecordList",
      value: function getInspectPointInspectRecordList(e) {
        return this.getInspectPointInspectRecordListWithHttpInfo(e);
      }
    }, {
      key: "getInspectRouteListWithHttpInfo",
      value: function getInspectRouteListWithHttpInfo(e) {
        e = e || {};
        var t = e.body,
          i = {},
          r = {},
          o = e.header || {},
          p = {},
          s = ["oauth2"],
          a = ["application/_*+json", "application/json", "text/json"],
          c = ["application/json", "text/json", "text/plain"],
          l = [F];
        return this.apiClient.callApi("/api/roam-inspect-management/inspect-routes/inspect-route-list", "POST", i, r, o, p, t, s, a, c, l);
      }
    }, {
      key: "getInspectRouteList",
      value: function getInspectRouteList(e) {
        return this.getInspectRouteListWithHttpInfo(e);
      }
    }, {
      key: "getInspectRouteLogListWithHttpInfo",
      value: function getInspectRouteLogListWithHttpInfo(e) {
        e = e || {};
        var t = e.body,
          i = {},
          r = {},
          o = e.header || {},
          p = {},
          s = ["oauth2"],
          a = ["application/_*+json", "application/json", "text/json"],
          c = ["application/json", "text/json", "text/plain"],
          l = ie;
        return this.apiClient.callApi("/api/roam-inspect-management/inspect-routes/inspect-route-log-list", "POST", i, r, o, p, t, s, a, c, l);
      }
    }, {
      key: "getInspectRouteLogList",
      value: function getInspectRouteLogList(e) {
        return this.getInspectRouteLogListWithHttpInfo(e);
      }
    }, {
      key: "getInspectRoutePointRelationWithHttpInfo",
      value: function getInspectRoutePointRelationWithHttpInfo(e) {
        e = e || {};
        var t = null,
          i = {},
          r = {
            inspectRouteId: e.inspectRouteId
          },
          o = e.header || {},
          p = {},
          s = ["oauth2"],
          a = [],
          c = ["application/json", "text/json", "text/plain"],
          l = [y];
        return this.apiClient.callApi("/api/roam-inspect-management/inspect-routes/inspect-route-point-relation", "GET", i, r, o, p, t, s, a, c, l);
      }
    }, {
      key: "getInspectRoutePointRelation",
      value: function getInspectRoutePointRelation(e) {
        return this.getInspectRoutePointRelationWithHttpInfo(e);
      }
    }, {
      key: "getInspectRoutePointRelationListWithHttpInfo",
      value: function getInspectRoutePointRelationListWithHttpInfo(e) {
        e = e || {};
        var t = null,
          i = {},
          r = {
            Filter: e.filter,
            Sorting: e.sorting,
            SkipCount: e.skipCount,
            MaxResultCount: e.maxResultCount
          },
          o = e.header || {},
          p = {},
          s = ["oauth2"],
          a = [],
          c = ["application/json", "text/json", "text/plain"],
          l = oe;
        return this.apiClient.callApi("/api/roam-inspect-management/inspect-routes/inspect-route-point-relation-list", "GET", i, r, o, p, t, s, a, c, l);
      }
    }, {
      key: "getInspectRoutePointRelationList",
      value: function getInspectRoutePointRelationList(e) {
        return this.getInspectRoutePointRelationListWithHttpInfo(e);
      }
    }, {
      key: "getListWithHttpInfo",
      value: function getListWithHttpInfo(e) {
        e = e || {};
        var t = null,
          i = {},
          r = {
            Filter: e.filter,
            CreatorName: e.creatorName,
            CreationStartTime: e.creationStartTime,
            CreationEndTime: e.creationEndTime,
            Status: e.status,
            SceneId: e.sceneId,
            Sorting: e.sorting,
            SkipCount: e.skipCount,
            MaxResultCount: e.maxResultCount
          },
          o = e.header || {},
          p = {},
          s = ["oauth2"],
          a = [],
          c = ["application/json", "text/json", "text/plain"],
          l = re;
        return this.apiClient.callApi("/api/roam-inspect-management/inspect-routes", "GET", i, r, o, p, t, s, a, c, l);
      }
    }, {
      key: "getList",
      value: function getList(e) {
        return this.getListWithHttpInfo(e);
      }
    }, {
      key: "getSameSceneInspectPointByRouteIdWithHttpInfo",
      value: function getSameSceneInspectPointByRouteIdWithHttpInfo(e) {
        e = e || {};
        var t = null,
          i = {},
          r = {
            inspectRouteId: e.inspectRouteId,
            sceneId: e.sceneId
          },
          o = e.header || {},
          p = {},
          s = ["oauth2"],
          a = [],
          c = ["application/json", "text/json", "text/plain"],
          l = [T];
        return this.apiClient.callApi("/api/roam-inspect-management/inspect-routes/same-scene-inspect-point-by-route-id", "GET", i, r, o, p, t, s, a, c, l);
      }
    }, {
      key: "getSameSceneInspectPointByRouteId",
      value: function getSameSceneInspectPointByRouteId(e) {
        return this.getSameSceneInspectPointByRouteIdWithHttpInfo(e);
      }
    }, {
      key: "insertManyWithHttpInfo",
      value: function insertManyWithHttpInfo(e) {
        e = e || {};
        var t = e.body,
          i = {},
          r = {},
          o = e.header || {},
          p = {},
          s = ["oauth2"],
          a = ["application/_*+json", "application/json", "text/json"],
          c = ["application/json", "text/json", "text/plain"],
          l = e.returnType || null;
        return this.apiClient.callApi("/api/roam-inspect-management/inspect-routes/many", "POST", i, r, o, p, t, s, a, c, l);
      }
    }, {
      key: "insertMany",
      value: function insertMany(e) {
        return this.insertManyWithHttpInfo(e);
      }
    }, {
      key: "inspectPointPlayWithHttpInfo",
      value: function inspectPointPlayWithHttpInfo(e) {
        e = e || {};
        var t = e.body,
          i = {},
          r = {},
          o = e.header || {},
          p = {},
          s = ["oauth2"],
          a = ["application/_*+json", "application/json", "text/json"],
          c = ["application/json", "text/json", "text/plain"],
          l = [g];
        return this.apiClient.callApi("/api/roam-inspect-management/inspect-routes/inspect-point-play", "POST", i, r, o, p, t, s, a, c, l);
      }
    }, {
      key: "inspectPointPlay",
      value: function inspectPointPlay(e) {
        return this.inspectPointPlayWithHttpInfo(e);
      }
    }, {
      key: "inspectRoutePlayWithHttpInfo",
      value: function inspectRoutePlayWithHttpInfo(e) {
        e = e || {};
        var t = e.body,
          i = {},
          r = {
            batchNo: e.batchNo
          },
          o = e.header || {},
          p = {},
          s = ["oauth2"],
          a = ["application/_*+json", "application/json", "text/json"],
          c = ["application/json", "text/json", "text/plain"],
          l = "String";
        return this.apiClient.callApi("/api/roam-inspect-management/inspect-routes/inspect-route-play", "POST", i, r, o, p, t, s, a, c, l);
      }
    }, {
      key: "inspectRoutePlay",
      value: function inspectRoutePlay(e) {
        return this.inspectRoutePlayWithHttpInfo(e);
      }
    }, {
      key: "inspectRoutePlayCompleteWithHttpInfo",
      value: function inspectRoutePlayCompleteWithHttpInfo(e) {
        e = e || {};
        var t = null,
          i = {},
          r = {
            inspectRouteRecordId: e.inspectRouteRecordId
          },
          o = e.header || {},
          p = {},
          s = ["oauth2"],
          a = [],
          c = ["application/json", "text/json", "text/plain"],
          l = e.returnType || null;
        return this.apiClient.callApi("/api/roam-inspect-management/inspect-routes/inspect-route-play-complete", "POST", i, r, o, p, t, s, a, c, l);
      }
    }, {
      key: "inspectRoutePlayComplete",
      value: function inspectRoutePlayComplete(e) {
        return this.inspectRoutePlayCompleteWithHttpInfo(e);
      }
    }, {
      key: "removeInspectRoutePointRelationWithHttpInfo",
      value: function removeInspectRoutePointRelationWithHttpInfo(e) {
        e = e || {};
        var t = e.body,
          i = {},
          r = {},
          o = e.header || {},
          p = {},
          s = ["oauth2"],
          a = ["application/_*+json", "application/json", "text/json"],
          c = ["application/json", "text/json", "text/plain"],
          l = e.returnType || null;
        return this.apiClient.callApi("/api/roam-inspect-management/inspect-routes/inspect-route-point-relation", "DELETE", i, r, o, p, t, s, a, c, l);
      }
    }, {
      key: "removeInspectRoutePointRelation",
      value: function removeInspectRoutePointRelation(e) {
        return this.removeInspectRoutePointRelationWithHttpInfo(e);
      }
    }, {
      key: "updateWithHttpInfo",
      value: function updateWithHttpInfo(e, t) {
        t = t || {};
        var i = t.body;
        if (e == null) throw new Error("Missing the required parameter 'id' when calling update");
        var r = {
            id: e
          },
          o = {},
          p = t.header || {},
          s = {},
          a = ["oauth2"],
          c = ["application/_*+json", "application/json", "text/json"],
          l = ["application/json", "text/json", "text/plain"],
          L = f;
        return this.apiClient.callApi("/api/roam-inspect-management/inspect-routes/{id}", "PUT", r, o, p, s, i, a, c, l, L);
      }
    }, {
      key: "update",
      value: function update(e, t) {
        return this.updateWithHttpInfo(e, t);
      }
    }, {
      key: "updateManyWithHttpInfo",
      value: function updateManyWithHttpInfo(e) {
        e = e || {};
        var t = e.body,
          i = {},
          r = {},
          o = e.header || {},
          p = {},
          s = ["oauth2"],
          a = ["application/_*+json", "application/json", "text/json"],
          c = ["application/json", "text/json", "text/plain"],
          l = e.returnType || null;
        return this.apiClient.callApi("/api/roam-inspect-management/inspect-routes/many", "PUT", i, r, o, p, t, s, a, c, l);
      }
    }, {
      key: "updateMany",
      value: function updateMany(e) {
        return this.updateManyWithHttpInfo(e);
      }
    }]);
  }();
  ae(he, "Methods", {
    callDelete: {
      method: "DELETE",
      path: "/api/roam-inspect-management/inspect-routes/{id}"
    },
    create: {
      method: "POST",
      path: "/api/roam-inspect-management/inspect-routes"
    },
    deleteMany: {
      method: "DELETE",
      path: "/api/roam-inspect-management/inspect-routes/many"
    },
    get: {
      method: "GET",
      path: "/api/roam-inspect-management/inspect-routes/{id}"
    },
    getInspectPointInspectRecordList: {
      desc: "巡检点巡检记录测点的值",
      method: "GET",
      path: "/api/roam-inspect-management/inspect-routes/inspect-point-inspect-record-list"
    },
    getInspectRouteList: {
      desc: "巡检大屏巡检路线列表(选中播放的巡检线路)",
      method: "POST",
      path: "/api/roam-inspect-management/inspect-routes/inspect-route-list"
    },
    getInspectRouteLogList: {
      desc: "巡检路线日志-查询",
      method: "POST",
      path: "/api/roam-inspect-management/inspect-routes/inspect-route-log-list"
    },
    getInspectRoutePointRelation: {
      desc: "获取线路关联的巡检点列表",
      method: "GET",
      path: "/api/roam-inspect-management/inspect-routes/inspect-route-point-relation"
    },
    getInspectRoutePointRelationList: {
      desc: "获取巡检路线巡检点关系列表",
      method: "GET",
      path: "/api/roam-inspect-management/inspect-routes/inspect-route-point-relation-list"
    },
    getList: {
      method: "GET",
      path: "/api/roam-inspect-management/inspect-routes"
    },
    getSameSceneInspectPointByRouteId: {
      desc: "根据巡检路线Id获取相同场景巡检点",
      method: "GET",
      path: "/api/roam-inspect-management/inspect-routes/same-scene-inspect-point-by-route-id"
    },
    insertMany: {
      method: "POST",
      path: "/api/roam-inspect-management/inspect-routes/many"
    },
    inspectPointPlay: {
      desc: "【第二步】巡检点播放",
      method: "POST",
      path: "/api/roam-inspect-management/inspect-routes/inspect-point-play"
    },
    inspectRoutePlay: {
      desc: "【第一步】巡检路线播放",
      method: "POST",
      path: "/api/roam-inspect-management/inspect-routes/inspect-route-play"
    },
    inspectRoutePlayComplete: {
      desc: "【第三步】巡检路线播放完成",
      method: "POST",
      path: "/api/roam-inspect-management/inspect-routes/inspect-route-play-complete"
    },
    removeInspectRoutePointRelation: {
      desc: "移除巡检路线与巡检点关联",
      method: "DELETE",
      path: "/api/roam-inspect-management/inspect-routes/inspect-route-point-relation"
    },
    update: {
      method: "PUT",
      path: "/api/roam-inspect-management/inspect-routes/{id}"
    },
    updateMany: {
      method: "PUT",
      path: "/api/roam-inspect-management/inspect-routes/many"
    }
  });
  var Pe = /*#__PURE__*/function () {
    function Pe(e) {
      _classCallCheck(this, Pe);
      this.apiClient = e || n.GetInstance("roam-inspect-management", "RoamPointApi");
    }
    return _createClass(Pe, [{
      key: "callDeleteWithHttpInfo",
      value: function callDeleteWithHttpInfo(e) {
        var t = null;
        if (e == null) throw new Error("Missing the required parameter 'id' when calling callDelete");
        var i = {
            id: e
          },
          r = {},
          o = {},
          p = {},
          s = ["oauth2"],
          a = [],
          c = ["application/json", "text/json", "text/plain"],
          l = null;
        return this.apiClient.callApi("/api/roam-inspect-management/roam-points/{id}", "DELETE", i, r, o, p, t, s, a, c, l);
      }
    }, {
      key: "callDelete",
      value: function callDelete(e) {
        return this.callDeleteWithHttpInfo(e);
      }
    }, {
      key: "createWithHttpInfo",
      value: function createWithHttpInfo(e) {
        e = e || {};
        var t = e.body,
          i = {},
          r = {},
          o = e.header || {},
          p = {},
          s = ["oauth2"],
          a = ["application/_*+json", "application/json", "text/json"],
          c = ["application/json", "text/json", "text/plain"],
          l = h;
        return this.apiClient.callApi("/api/roam-inspect-management/roam-points", "POST", i, r, o, p, t, s, a, c, l);
      }
    }, {
      key: "create",
      value: function create(e) {
        return this.createWithHttpInfo(e);
      }
    }, {
      key: "deleteManyWithHttpInfo",
      value: function deleteManyWithHttpInfo(e) {
        e = e || {};
        var t = null,
          i = {},
          r = {
            ids: this.apiClient.buildCollectionParam(e.ids, "multi")
          },
          o = e.header || {},
          p = {},
          s = ["oauth2"],
          a = [],
          c = ["application/json", "text/json", "text/plain"],
          l = e.returnType || null;
        return this.apiClient.callApi("/api/roam-inspect-management/roam-points/many", "DELETE", i, r, o, p, t, s, a, c, l);
      }
    }, {
      key: "deleteMany",
      value: function deleteMany(e) {
        return this.deleteManyWithHttpInfo(e);
      }
    }, {
      key: "getWithHttpInfo",
      value: function getWithHttpInfo(e) {
        var t = null;
        if (e == null) throw new Error("Missing the required parameter 'id' when calling get");
        var i = {
            id: e
          },
          r = {},
          o = {},
          p = {},
          s = ["oauth2"],
          a = [],
          c = ["application/json", "text/json", "text/plain"],
          l = h;
        return this.apiClient.callApi("/api/roam-inspect-management/roam-points/{id}", "GET", i, r, o, p, t, s, a, c, l);
      }
    }, {
      key: "get",
      value: function get(e) {
        return this.getWithHttpInfo(e);
      }
    }, {
      key: "getListWithHttpInfo",
      value: function getListWithHttpInfo(e) {
        e = e || {};
        var t = null,
          i = {},
          r = {
            InspectRouteId: e.inspectRouteId,
            Sorting: e.sorting,
            SkipCount: e.skipCount,
            MaxResultCount: e.maxResultCount
          },
          o = e.header || {},
          p = {},
          s = ["oauth2"],
          a = [],
          c = ["application/json", "text/json", "text/plain"],
          l = pe;
        return this.apiClient.callApi("/api/roam-inspect-management/roam-points", "GET", i, r, o, p, t, s, a, c, l);
      }
    }, {
      key: "getList",
      value: function getList(e) {
        return this.getListWithHttpInfo(e);
      }
    }, {
      key: "insertManyWithHttpInfo",
      value: function insertManyWithHttpInfo(e) {
        e = e || {};
        var t = e.body,
          i = {},
          r = {},
          o = e.header || {},
          p = {},
          s = ["oauth2"],
          a = ["application/_*+json", "application/json", "text/json"],
          c = ["application/json", "text/json", "text/plain"],
          l = e.returnType || null;
        return this.apiClient.callApi("/api/roam-inspect-management/roam-points/many", "POST", i, r, o, p, t, s, a, c, l);
      }
    }, {
      key: "insertMany",
      value: function insertMany(e) {
        return this.insertManyWithHttpInfo(e);
      }
    }, {
      key: "updateWithHttpInfo",
      value: function updateWithHttpInfo(e, t) {
        t = t || {};
        var i = t.body;
        if (e == null) throw new Error("Missing the required parameter 'id' when calling update");
        var r = {
            id: e
          },
          o = {},
          p = t.header || {},
          s = {},
          a = ["oauth2"],
          c = ["application/_*+json", "application/json", "text/json"],
          l = ["application/json", "text/json", "text/plain"],
          L = h;
        return this.apiClient.callApi("/api/roam-inspect-management/roam-points/{id}", "PUT", r, o, p, s, i, a, c, l, L);
      }
    }, {
      key: "update",
      value: function update(e, t) {
        return this.updateWithHttpInfo(e, t);
      }
    }, {
      key: "updateManyWithHttpInfo",
      value: function updateManyWithHttpInfo(e) {
        e = e || {};
        var t = e.body,
          i = {},
          r = {},
          o = e.header || {},
          p = {},
          s = ["oauth2"],
          a = ["application/_*+json", "application/json", "text/json"],
          c = ["application/json", "text/json", "text/plain"],
          l = e.returnType || null;
        return this.apiClient.callApi("/api/roam-inspect-management/roam-points/many", "PUT", i, r, o, p, t, s, a, c, l);
      }
    }, {
      key: "updateMany",
      value: function updateMany(e) {
        return this.updateManyWithHttpInfo(e);
      }
    }]);
  }();
  ae(Pe, "Methods", {
    callDelete: {
      method: "DELETE",
      path: "/api/roam-inspect-management/roam-points/{id}"
    },
    create: {
      method: "POST",
      path: "/api/roam-inspect-management/roam-points"
    },
    deleteMany: {
      method: "DELETE",
      path: "/api/roam-inspect-management/roam-points/many"
    },
    get: {
      method: "GET",
      path: "/api/roam-inspect-management/roam-points/{id}"
    },
    getList: {
      method: "GET",
      path: "/api/roam-inspect-management/roam-points"
    },
    insertMany: {
      method: "POST",
      path: "/api/roam-inspect-management/roam-points/many"
    },
    update: {
      method: "PUT",
      path: "/api/roam-inspect-management/roam-points/{id}"
    },
    updateMany: {
      method: "PUT",
      path: "/api/roam-inspect-management/roam-points/many"
    }
  }), u.AbpRemoteServiceErrorInfo = V, u.AbpRemoteServiceErrorResponse = me, u.AbpRemoteServiceValidationErrorInfo = _, u.ApiClient = n, u.InspectAlarmRecordApi = fe, u.InspectPointApi = Te, u.InspectRouteApi = he, u.IoTDeviceManagementIOTDeviceDto = P, u.IoTDeviceManagementIOTDeviceTemplateFieldValueDto = w, u.PagedResultDtoRoamInspectManagementInspectAlarmRecordDto = j, u.PagedResultDtoRoamInspectManagementInspectPointCameraRelationDto = b, u.PagedResultDtoRoamInspectManagementInspectPointDto = ee, u.PagedResultDtoRoamInspectManagementInspectPointMeasuringPointRelationDto = te, u.PagedResultDtoRoamInspectManagementInspectPointTagRelationDto = ne, u.PagedResultDtoRoamInspectManagementInspectRouteDto = re, u.PagedResultDtoRoamInspectManagementInspectRouteLogListOutputDto = ie, u.PagedResultDtoRoamInspectManagementInspectRoutePointRelationDto = oe, u.PagedResultDtoRoamInspectManagementRoamPointDto = pe, u.RoamInspectManagementGetInspectRouteListOutputDto = F, u.RoamInspectManagementGetInspectRoutePointRelationOutputDto = y, u.RoamInspectManagementInspectAlarmRecordCreateInputDto = C, u.RoamInspectManagementInspectAlarmRecordDto = d, u.RoamInspectManagementInspectAlarmRecordStaticsOutputDto = Q, u.RoamInspectManagementInspectAlarmRecordUpdateInputDto = O, u.RoamInspectManagementInspectAlarmStatus = ye, u.RoamInspectManagementInspectPointCameraRelationCreateInputDto = G, u.RoamInspectManagementInspectPointCameraRelationDto = v, u.RoamInspectManagementInspectPointCameraRelationUpdateInputDto = z, u.RoamInspectManagementInspectPointCreateInputDto = R, u.RoamInspectManagementInspectPointDto = m, u.RoamInspectManagementInspectPointInspectRecordDto = g, u.RoamInspectManagementInspectPointMeasuringPointRelationCreateInputDto = X, u.RoamInspectManagementInspectPointMeasuringPointRelationDto = W, u.RoamInspectManagementInspectPointPlayInputDto = Y, u.RoamInspectManagementInspectPointTag = k, u.RoamInspectManagementInspectPointTagRelationCreateInputDto = Z, u.RoamInspectManagementInspectPointTagRelationDto = D, u.RoamInspectManagementInspectPointUpdateInputDto = N, u.RoamInspectManagementInspectRouteCreateInputDto = E, u.RoamInspectManagementInspectRouteDto = f, u.RoamInspectManagementInspectRouteLogListOutputDto = B, u.RoamInspectManagementInspectRoutePointRelationDto = T, u.RoamInspectManagementInspectRoutePointRelationInputDto = J, u.RoamInspectManagementInspectRouteUpdateInputDto = M, u.RoamInspectManagementInspectTagPanelPushDto = K, u.RoamInspectManagementMeasurePointPanelDto = $, u.RoamInspectManagementPagedInspectRouteLogQueryRequestInputDto = q, u.RoamInspectManagementRoamPointCreateInputDto = U, u.RoamInspectManagementRoamPointDto = h, u.RoamInspectManagementRoamPointUpdateInputDto = A, u.RoamInspectManagementTagMeasurementPointOutputDto = H, u.RoamPointApi = Pe, Object.defineProperty(u, Symbol.toStringTag, {
    value: "Module"
  });
});
/* WEBPACK VAR INJECTION */}.call(this, __webpack_require__("b639").Buffer, __webpack_require__("62e4")(module)))

/***/ }),

/***/ "9dcd":
/***/ (function(module, exports, __webpack_require__) {

"use strict";


__webpack_require__("a4d3");
__webpack_require__("e01a");
__webpack_require__("d28b");
__webpack_require__("d9e2");
__webpack_require__("99af");
__webpack_require__("e260");
__webpack_require__("a15b");
__webpack_require__("14d9");
__webpack_require__("fb6a");
__webpack_require__("b0c0");
__webpack_require__("b64b");
__webpack_require__("d3b7");
__webpack_require__("ac1f");
__webpack_require__("00b4");
__webpack_require__("25f0");
__webpack_require__("3ca3");
__webpack_require__("5319");
__webpack_require__("1276");
__webpack_require__("498a");
__webpack_require__("313d");
__webpack_require__("159b");
__webpack_require__("ddb0");
__webpack_require__("0eb6");
__webpack_require__("b7ef");
__webpack_require__("8bd4");
__webpack_require__("c73d");
function _typeof(obj) {
  "@babel/helpers - typeof";

  if (typeof Symbol === "function" && typeof Symbol.iterator === "symbol") {
    _typeof = function _typeof(obj) {
      return typeof obj;
    };
  } else {
    _typeof = function _typeof(obj) {
      return obj && typeof Symbol === "function" && obj.constructor === Symbol && obj !== Symbol.prototype ? "symbol" : typeof obj;
    };
  }
  return _typeof(obj);
}

/**
 * Root reference for iframes.
 */
var root;
if (typeof window !== 'undefined') {
  // Browser window
  root = window;
} else if (typeof self === 'undefined') {
  // Other environments
  console.warn('Using browser-only version of superagent in non-browser environment');
  root = void 0;
} else {
  // Web Worker
  root = self;
}
var Emitter = __webpack_require__("7297");
var safeStringify = __webpack_require__("375a");
var RequestBase = __webpack_require__("fa14");
var isObject = __webpack_require__("3bf7");
var ResponseBase = __webpack_require__("afa4");
var Agent = __webpack_require__("bbfb");
/**
 * Noop.
 */

function noop() {}
/**
 * Expose `request`.
 */

module.exports = function (method, url) {
  // callback
  if (typeof url === 'function') {
    return new exports.Request('GET', method).end(url);
  } // url first

  if (arguments.length === 1) {
    return new exports.Request('GET', method);
  }
  return new exports.Request(method, url);
};
exports = module.exports;
var request = exports;
exports.Request = Request;
/**
 * Determine XHR.
 */

request.getXHR = function () {
  if (root.XMLHttpRequest && (!root.location || root.location.protocol !== 'file:' || !root.ActiveXObject)) {
    return new XMLHttpRequest();
  }
  try {
    return new ActiveXObject('Microsoft.XMLHTTP');
  } catch (_unused) {}
  try {
    return new ActiveXObject('Msxml2.XMLHTTP.6.0');
  } catch (_unused2) {}
  try {
    return new ActiveXObject('Msxml2.XMLHTTP.3.0');
  } catch (_unused3) {}
  try {
    return new ActiveXObject('Msxml2.XMLHTTP');
  } catch (_unused4) {}
  throw new Error('Browser-only version of superagent could not find XHR');
};
/**
 * Removes leading and trailing whitespace, added to support IE.
 *
 * @param {String} s
 * @return {String}
 * @api private
 */

var trim = ''.trim ? function (s) {
  return s.trim();
} : function (s) {
  return s.replace(/(^\s*|\s*$)/g, '');
};
/**
 * Serialize the given `obj`.
 *
 * @param {Object} obj
 * @return {String}
 * @api private
 */

function serialize(obj) {
  if (!isObject(obj)) return obj;
  var pairs = [];
  for (var key in obj) {
    if (Object.prototype.hasOwnProperty.call(obj, key)) pushEncodedKeyValuePair(pairs, key, obj[key]);
  }
  return pairs.join('&');
}
/**
 * Helps 'serialize' with serializing arrays.
 * Mutates the pairs array.
 *
 * @param {Array} pairs
 * @param {String} key
 * @param {Mixed} val
 */

function pushEncodedKeyValuePair(pairs, key, val) {
  if (val === undefined) return;
  if (val === null) {
    pairs.push(encodeURI(key));
    return;
  }
  if (Array.isArray(val)) {
    val.forEach(function (v) {
      pushEncodedKeyValuePair(pairs, key, v);
    });
  } else if (isObject(val)) {
    for (var subkey in val) {
      if (Object.prototype.hasOwnProperty.call(val, subkey)) pushEncodedKeyValuePair(pairs, "".concat(key, "[").concat(subkey, "]"), val[subkey]);
    }
  } else {
    pairs.push(encodeURI(key) + '=' + encodeURIComponent(val));
  }
}
/**
 * Expose serialization method.
 */

request.serializeObject = serialize;
/**
 * Parse the given x-www-form-urlencoded `str`.
 *
 * @param {String} str
 * @return {Object}
 * @api private
 */

function parseString(str) {
  var obj = {};
  var pairs = str.split('&');
  var pair;
  var pos;
  for (var i = 0, len = pairs.length; i < len; ++i) {
    pair = pairs[i];
    pos = pair.indexOf('=');
    if (pos === -1) {
      obj[decodeURIComponent(pair)] = '';
    } else {
      obj[decodeURIComponent(pair.slice(0, pos))] = decodeURIComponent(pair.slice(pos + 1));
    }
  }
  return obj;
}
/**
 * Expose parser.
 */

request.parseString = parseString;
/**
 * Default MIME type map.
 *
 *     superagent.types.xml = 'application/xml';
 *
 */

request.types = {
  html: 'text/html',
  json: 'application/json',
  xml: 'text/xml',
  urlencoded: 'application/x-www-form-urlencoded',
  form: 'application/x-www-form-urlencoded',
  'form-data': 'application/x-www-form-urlencoded'
};
/**
 * Default serialization map.
 *
 *     superagent.serialize['application/xml'] = function(obj){
 *       return 'generated xml here';
 *     };
 *
 */

request.serialize = {
  'application/x-www-form-urlencoded': serialize,
  'application/json': safeStringify
};
/**
 * Default parsers.
 *
 *     superagent.parse['application/xml'] = function(str){
 *       return { object parsed from str };
 *     };
 *
 */

request.parse = {
  'application/x-www-form-urlencoded': parseString,
  'application/json': JSON.parse
};
/**
 * Parse the given header `str` into
 * an object containing the mapped fields.
 *
 * @param {String} str
 * @return {Object}
 * @api private
 */

function parseHeader(str) {
  var lines = str.split(/\r?\n/);
  var fields = {};
  var index;
  var line;
  var field;
  var val;
  for (var i = 0, len = lines.length; i < len; ++i) {
    line = lines[i];
    index = line.indexOf(':');
    if (index === -1) {
      // could be empty line, just skip it
      continue;
    }
    field = line.slice(0, index).toLowerCase();
    val = trim(line.slice(index + 1));
    fields[field] = val;
  }
  return fields;
}
/**
 * Check if `mime` is json or has +json structured syntax suffix.
 *
 * @param {String} mime
 * @return {Boolean}
 * @api private
 */

function isJSON(mime) {
  // should match /json or +json
  // but not /json-seq
  return /[/+]json($|[^-\w])/.test(mime);
}
/**
 * Initialize a new `Response` with the given `xhr`.
 *
 *  - set flags (.ok, .error, etc)
 *  - parse header
 *
 * Examples:
 *
 *  Aliasing `superagent` as `request` is nice:
 *
 *      request = superagent;
 *
 *  We can use the promise-like API, or pass callbacks:
 *
 *      request.get('/').end(function(res){});
 *      request.get('/', function(res){});
 *
 *  Sending data can be chained:
 *
 *      request
 *        .post('/user')
 *        .send({ name: 'tj' })
 *        .end(function(res){});
 *
 *  Or passed to `.send()`:
 *
 *      request
 *        .post('/user')
 *        .send({ name: 'tj' }, function(res){});
 *
 *  Or passed to `.post()`:
 *
 *      request
 *        .post('/user', { name: 'tj' })
 *        .end(function(res){});
 *
 * Or further reduced to a single call for simple cases:
 *
 *      request
 *        .post('/user', { name: 'tj' }, function(res){});
 *
 * @param {XMLHTTPRequest} xhr
 * @param {Object} options
 * @api private
 */

function Response(req) {
  this.req = req;
  this.xhr = this.req.xhr; // responseText is accessible only if responseType is '' or 'text' and on older browsers

  this.text = this.req.method !== 'HEAD' && (this.xhr.responseType === '' || this.xhr.responseType === 'text') || typeof this.xhr.responseType === 'undefined' ? this.xhr.responseText : null;
  this.statusText = this.req.xhr.statusText;
  var status = this.xhr.status; // handle IE9 bug: http://stackoverflow.com/questions/10046972/msie-returns-status-code-of-1223-for-ajax-request

  if (status === 1223) {
    status = 204;
  }
  this._setStatusProperties(status);
  this.headers = parseHeader(this.xhr.getAllResponseHeaders());
  this.header = this.headers; // getAllResponseHeaders sometimes falsely returns "" for CORS requests, but
  // getResponseHeader still works. so we get content-type even if getting
  // other headers fails.

  this.header['content-type'] = this.xhr.getResponseHeader('content-type');
  this._setHeaderProperties(this.header);
  if (this.text === null && req._responseType) {
    this.body = this.xhr.response;
  } else {
    this.body = this.req.method === 'HEAD' ? null : this._parseBody(this.text ? this.text : this.xhr.response);
  }
} // eslint-disable-next-line new-cap

ResponseBase(Response.prototype);
/**
 * Parse the given body `str`.
 *
 * Used for auto-parsing of bodies. Parsers
 * are defined on the `superagent.parse` object.
 *
 * @param {String} str
 * @return {Mixed}
 * @api private
 */

Response.prototype._parseBody = function (str) {
  var parse = request.parse[this.type];
  if (this.req._parser) {
    return this.req._parser(this, str);
  }
  if (!parse && isJSON(this.type)) {
    parse = request.parse['application/json'];
  }
  return parse && str && (str.length > 0 || str instanceof Object) ? parse(str) : null;
};
/**
 * Return an `Error` representative of this response.
 *
 * @return {Error}
 * @api public
 */

Response.prototype.toError = function () {
  var req = this.req;
  var method = req.method;
  var url = req.url;
  var msg = "cannot ".concat(method, " ").concat(url, " (").concat(this.status, ")");
  var err = new Error(msg);
  err.status = this.status;
  err.method = method;
  err.url = url;
  return err;
};
/**
 * Expose `Response`.
 */

request.Response = Response;
/**
 * Initialize a new `Request` with the given `method` and `url`.
 *
 * @param {String} method
 * @param {String} url
 * @api public
 */

function Request(method, url) {
  var self = this;
  this._query = this._query || [];
  this.method = method;
  this.url = url;
  this.header = {}; // preserves header name case

  this._header = {}; // coerces header names to lowercase

  this.on('end', function () {
    var err = null;
    var res = null;
    try {
      res = new Response(self);
    } catch (err_) {
      err = new Error('Parser is unable to parse the response');
      err.parse = true;
      err.original = err_; // issue #675: return the raw response if the response parsing fails

      if (self.xhr) {
        // ie9 doesn't have 'response' property
        err.rawResponse = typeof self.xhr.responseType === 'undefined' ? self.xhr.responseText : self.xhr.response; // issue #876: return the http status code if the response parsing fails

        err.status = self.xhr.status ? self.xhr.status : null;
        err.statusCode = err.status; // backwards-compat only
      } else {
        err.rawResponse = null;
        err.status = null;
      }
      return self.callback(err);
    }
    self.emit('response', res);
    var new_err;
    try {
      if (!self._isResponseOK(res)) {
        new_err = new Error(res.statusText || res.text || 'Unsuccessful HTTP response');
      }
    } catch (err_) {
      new_err = err_; // ok() callback can throw
    } // #1000 don't catch errors from the callback to avoid double calling it

    if (new_err) {
      new_err.original = err;
      new_err.response = res;
      new_err.status = res.status;
      self.callback(new_err, res);
    } else {
      self.callback(null, res);
    }
  });
}
/**
 * Mixin `Emitter` and `RequestBase`.
 */
// eslint-disable-next-line new-cap

Emitter(Request.prototype); // eslint-disable-next-line new-cap

RequestBase(Request.prototype);
/**
 * Set Content-Type to `type`, mapping values from `request.types`.
 *
 * Examples:
 *
 *      superagent.types.xml = 'application/xml';
 *
 *      request.post('/')
 *        .type('xml')
 *        .send(xmlstring)
 *        .end(callback);
 *
 *      request.post('/')
 *        .type('application/xml')
 *        .send(xmlstring)
 *        .end(callback);
 *
 * @param {String} type
 * @return {Request} for chaining
 * @api public
 */

Request.prototype.type = function (type) {
  this.set('Content-Type', request.types[type] || type);
  return this;
};
/**
 * Set Accept to `type`, mapping values from `request.types`.
 *
 * Examples:
 *
 *      superagent.types.json = 'application/json';
 *
 *      request.get('/agent')
 *        .accept('json')
 *        .end(callback);
 *
 *      request.get('/agent')
 *        .accept('application/json')
 *        .end(callback);
 *
 * @param {String} accept
 * @return {Request} for chaining
 * @api public
 */

Request.prototype.accept = function (type) {
  this.set('Accept', request.types[type] || type);
  return this;
};
/**
 * Set Authorization field value with `user` and `pass`.
 *
 * @param {String} user
 * @param {String} [pass] optional in case of using 'bearer' as type
 * @param {Object} options with 'type' property 'auto', 'basic' or 'bearer' (default 'basic')
 * @return {Request} for chaining
 * @api public
 */

Request.prototype.auth = function (user, pass, options) {
  if (arguments.length === 1) pass = '';
  if (_typeof(pass) === 'object' && pass !== null) {
    // pass is optional and can be replaced with options
    options = pass;
    pass = '';
  }
  if (!options) {
    options = {
      type: typeof btoa === 'function' ? 'basic' : 'auto'
    };
  }
  var encoder = function encoder(string) {
    if (typeof btoa === 'function') {
      return btoa(string);
    }
    throw new Error('Cannot use basic auth, btoa is not a function');
  };
  return this._auth(user, pass, options, encoder);
};
/**
 * Add query-string `val`.
 *
 * Examples:
 *
 *   request.get('/shoes')
 *     .query('size=10')
 *     .query({ color: 'blue' })
 *
 * @param {Object|String} val
 * @return {Request} for chaining
 * @api public
 */

Request.prototype.query = function (val) {
  if (typeof val !== 'string') val = serialize(val);
  if (val) this._query.push(val);
  return this;
};
/**
 * Queue the given `file` as an attachment to the specified `field`,
 * with optional `options` (or filename).
 *
 * ``` js
 * request.post('/upload')
 *   .attach('content', new Blob(['<a id="a"><b id="b">hey!</b></a>'], { type: "text/html"}))
 *   .end(callback);
 * ```
 *
 * @param {String} field
 * @param {Blob|File} file
 * @param {String|Object} options
 * @return {Request} for chaining
 * @api public
 */

Request.prototype.attach = function (field, file, options) {
  if (file) {
    if (this._data) {
      throw new Error("superagent can't mix .send() and .attach()");
    }
    this._getFormData().append(field, file, options || file.name);
  }
  return this;
};
Request.prototype._getFormData = function () {
  if (!this._formData) {
    this._formData = new root.FormData();
  }
  return this._formData;
};
/**
 * Invoke the callback with `err` and `res`
 * and handle arity check.
 *
 * @param {Error} err
 * @param {Response} res
 * @api private
 */

Request.prototype.callback = function (err, res) {
  if (this._shouldRetry(err, res)) {
    return this._retry();
  }
  var fn = this._callback;
  this.clearTimeout();
  if (err) {
    if (this._maxRetries) err.retries = this._retries - 1;
    this.emit('error', err);
  }
  fn(err, res);
};
/**
 * Invoke callback with x-domain error.
 *
 * @api private
 */

Request.prototype.crossDomainError = function () {
  var err = new Error('Request has been terminated\nPossible causes: the network is offline, Origin is not allowed by Access-Control-Allow-Origin, the page is being unloaded, etc.');
  err.crossDomain = true;
  err.status = this.status;
  err.method = this.method;
  err.url = this.url;
  this.callback(err);
}; // This only warns, because the request is still likely to work

Request.prototype.agent = function () {
  console.warn('This is not supported in browser version of superagent');
  return this;
};
Request.prototype.ca = Request.prototype.agent;
Request.prototype.buffer = Request.prototype.ca; // This throws, because it can't send/receive data as expected

Request.prototype.write = function () {
  throw new Error('Streaming is not supported in browser version of superagent');
};
Request.prototype.pipe = Request.prototype.write;
/**
 * Check if `obj` is a host object,
 * we don't want to serialize these :)
 *
 * @param {Object} obj host object
 * @return {Boolean} is a host object
 * @api private
 */

Request.prototype._isHost = function (obj) {
  // Native objects stringify to [object File], [object Blob], [object FormData], etc.
  return obj && _typeof(obj) === 'object' && !Array.isArray(obj) && Object.prototype.toString.call(obj) !== '[object Object]';
};
/**
 * Initiate request, invoking callback `fn(res)`
 * with an instanceof `Response`.
 *
 * @param {Function} fn
 * @return {Request} for chaining
 * @api public
 */

Request.prototype.end = function (fn) {
  if (this._endCalled) {
    console.warn('Warning: .end() was called twice. This is not supported in superagent');
  }
  this._endCalled = true; // store callback

  this._callback = fn || noop; // querystring

  this._finalizeQueryString();
  this._end();
};
Request.prototype._setUploadTimeout = function () {
  var self = this; // upload timeout it's wokrs only if deadline timeout is off

  if (this._uploadTimeout && !this._uploadTimeoutTimer) {
    this._uploadTimeoutTimer = setTimeout(function () {
      self._timeoutError('Upload timeout of ', self._uploadTimeout, 'ETIMEDOUT');
    }, this._uploadTimeout);
  }
}; // eslint-disable-next-line complexity

Request.prototype._end = function () {
  if (this._aborted) return this.callback(new Error('The request has been aborted even before .end() was called'));
  var self = this;
  this.xhr = request.getXHR();
  var xhr = this.xhr;
  var data = this._formData || this._data;
  this._setTimeouts(); // state change

  xhr.onreadystatechange = function () {
    var readyState = xhr.readyState;
    if (readyState >= 2 && self._responseTimeoutTimer) {
      clearTimeout(self._responseTimeoutTimer);
    }
    if (readyState !== 4) {
      return;
    } // In IE9, reads to any property (e.g. status) off of an aborted XHR will
    // result in the error "Could not complete the operation due to error c00c023f"

    var status;
    try {
      status = xhr.status;
    } catch (_unused5) {
      status = 0;
    }
    if (!status) {
      if (self.timedout || self._aborted) return;
      return self.crossDomainError();
    }
    self.emit('end');
  }; // progress

  var handleProgress = function handleProgress(direction, e) {
    if (e.total > 0) {
      e.percent = e.loaded / e.total * 100;
      if (e.percent === 100) {
        clearTimeout(self._uploadTimeoutTimer);
      }
    }
    e.direction = direction;
    self.emit('progress', e);
  };
  if (this.hasListeners('progress')) {
    try {
      xhr.addEventListener('progress', handleProgress.bind(null, 'download'));
      if (xhr.upload) {
        xhr.upload.addEventListener('progress', handleProgress.bind(null, 'upload'));
      }
    } catch (_unused6) {// Accessing xhr.upload fails in IE from a web worker, so just pretend it doesn't exist.
      // Reported here:
      // https://connect.microsoft.com/IE/feedback/details/837245/xmlhttprequest-upload-throws-invalid-argument-when-used-from-web-worker-context
    }
  }
  if (xhr.upload) {
    this._setUploadTimeout();
  } // initiate request

  try {
    if (this.username && this.password) {
      xhr.open(this.method, this.url, true, this.username, this.password);
    } else {
      xhr.open(this.method, this.url, true);
    }
  } catch (err) {
    // see #1149
    return this.callback(err);
  } // CORS

  if (this._withCredentials) xhr.withCredentials = true; // body

  if (!this._formData && this.method !== 'GET' && this.method !== 'HEAD' && typeof data !== 'string' && !this._isHost(data)) {
    // serialize stuff
    var contentType = this._header['content-type'];
    var _serialize = this._serializer || request.serialize[contentType ? contentType.split(';')[0] : ''];
    if (!_serialize && isJSON(contentType)) {
      _serialize = request.serialize['application/json'];
    }
    if (_serialize) data = _serialize(data);
  } // set header fields

  for (var field in this.header) {
    if (this.header[field] === null) continue;
    if (Object.prototype.hasOwnProperty.call(this.header, field)) xhr.setRequestHeader(field, this.header[field]);
  }
  if (this._responseType) {
    xhr.responseType = this._responseType;
  } // send stuff

  this.emit('request', this); // IE11 xhr.send(undefined) sends 'undefined' string as POST payload (instead of nothing)
  // We need null here if data is undefined

  xhr.send(typeof data === 'undefined' ? null : data);
};
request.agent = function () {
  return new Agent();
};
['GET', 'POST', 'OPTIONS', 'PATCH', 'PUT', 'DELETE'].forEach(function (method) {
  Agent.prototype[method.toLowerCase()] = function (url, fn) {
    var req = new request.Request(method, url);
    this._setDefaults(req);
    if (fn) {
      req.end(fn);
    }
    return req;
  };
});
Agent.prototype.del = Agent.prototype.delete;
/**
 * GET `url` with optional callback `fn(res)`.
 *
 * @param {String} url
 * @param {Mixed|Function} [data] or fn
 * @param {Function} [fn]
 * @return {Request}
 * @api public
 */

request.get = function (url, data, fn) {
  var req = request('GET', url);
  if (typeof data === 'function') {
    fn = data;
    data = null;
  }
  if (data) req.query(data);
  if (fn) req.end(fn);
  return req;
};
/**
 * HEAD `url` with optional callback `fn(res)`.
 *
 * @param {String} url
 * @param {Mixed|Function} [data] or fn
 * @param {Function} [fn]
 * @return {Request}
 * @api public
 */

request.head = function (url, data, fn) {
  var req = request('HEAD', url);
  if (typeof data === 'function') {
    fn = data;
    data = null;
  }
  if (data) req.query(data);
  if (fn) req.end(fn);
  return req;
};
/**
 * OPTIONS query to `url` with optional callback `fn(res)`.
 *
 * @param {String} url
 * @param {Mixed|Function} [data] or fn
 * @param {Function} [fn]
 * @return {Request}
 * @api public
 */

request.options = function (url, data, fn) {
  var req = request('OPTIONS', url);
  if (typeof data === 'function') {
    fn = data;
    data = null;
  }
  if (data) req.send(data);
  if (fn) req.end(fn);
  return req;
};
/**
 * DELETE `url` with optional `data` and callback `fn(res)`.
 *
 * @param {String} url
 * @param {Mixed} [data]
 * @param {Function} [fn]
 * @return {Request}
 * @api public
 */

function del(url, data, fn) {
  var req = request('DELETE', url);
  if (typeof data === 'function') {
    fn = data;
    data = null;
  }
  if (data) req.send(data);
  if (fn) req.end(fn);
  return req;
}
request.del = del;
request.delete = del;
/**
 * PATCH `url` with optional `data` and callback `fn(res)`.
 *
 * @param {String} url
 * @param {Mixed} [data]
 * @param {Function} [fn]
 * @return {Request}
 * @api public
 */

request.patch = function (url, data, fn) {
  var req = request('PATCH', url);
  if (typeof data === 'function') {
    fn = data;
    data = null;
  }
  if (data) req.send(data);
  if (fn) req.end(fn);
  return req;
};
/**
 * POST `url` with optional `data` and callback `fn(res)`.
 *
 * @param {String} url
 * @param {Mixed} [data]
 * @param {Function} [fn]
 * @return {Request}
 * @api public
 */

request.post = function (url, data, fn) {
  var req = request('POST', url);
  if (typeof data === 'function') {
    fn = data;
    data = null;
  }
  if (data) req.send(data);
  if (fn) req.end(fn);
  return req;
};
/**
 * PUT `url` with optional `data` and callback `fn(res)`.
 *
 * @param {String} url
 * @param {Mixed|Function} [data] or fn
 * @param {Function} [fn]
 * @return {Request}
 * @api public
 */

request.put = function (url, data, fn) {
  var req = request('PUT', url);
  if (typeof data === 'function') {
    fn = data;
    data = null;
  }
  if (data) req.send(data);
  if (fn) req.end(fn);
  return req;
};

/***/ }),

/***/ "afa4":
/***/ (function(module, exports, __webpack_require__) {

"use strict";


/**
 * Module dependencies.
 */
__webpack_require__("9911");
var utils = __webpack_require__("174a");
/**
 * Expose `ResponseBase`.
 */

module.exports = ResponseBase;
/**
 * Initialize a new `ResponseBase`.
 *
 * @api public
 */

function ResponseBase(obj) {
  if (obj) return mixin(obj);
}
/**
 * Mixin the prototype properties.
 *
 * @param {Object} obj
 * @return {Object}
 * @api private
 */

function mixin(obj) {
  for (var key in ResponseBase.prototype) {
    if (Object.prototype.hasOwnProperty.call(ResponseBase.prototype, key)) obj[key] = ResponseBase.prototype[key];
  }
  return obj;
}
/**
 * Get case-insensitive `field` value.
 *
 * @param {String} field
 * @return {String}
 * @api public
 */

ResponseBase.prototype.get = function (field) {
  return this.header[field.toLowerCase()];
};
/**
 * Set header related properties:
 *
 *   - `.type` the content type without params
 *
 * A response of "Content-Type: text/plain; charset=utf-8"
 * will provide you with a `.type` of "text/plain".
 *
 * @param {Object} header
 * @api private
 */

ResponseBase.prototype._setHeaderProperties = function (header) {
  // TODO: moar!
  // TODO: make this a util
  // content-type
  var ct = header['content-type'] || '';
  this.type = utils.type(ct); // params

  var params = utils.params(ct);
  for (var key in params) {
    if (Object.prototype.hasOwnProperty.call(params, key)) this[key] = params[key];
  }
  this.links = {}; // links

  try {
    if (header.link) {
      this.links = utils.parseLinks(header.link);
    }
  } catch (_unused) {// ignore
  }
};
/**
 * Set flags such as `.ok` based on `status`.
 *
 * For example a 2xx response will give you a `.ok` of __true__
 * whereas 5xx will be __false__ and `.error` will be __true__. The
 * `.clientError` and `.serverError` are also available to be more
 * specific, and `.statusType` is the class of error ranging from 1..5
 * sometimes useful for mapping respond colors etc.
 *
 * "sugar" properties are also defined for common cases. Currently providing:
 *
 *   - .noContent
 *   - .badRequest
 *   - .unauthorized
 *   - .notAcceptable
 *   - .notFound
 *
 * @param {Number} status
 * @api private
 */

ResponseBase.prototype._setStatusProperties = function (status) {
  var type = status / 100 | 0; // status / class

  this.statusCode = status;
  this.status = this.statusCode;
  this.statusType = type; // basics

  this.info = type === 1;
  this.ok = type === 2;
  this.redirect = type === 3;
  this.clientError = type === 4;
  this.serverError = type === 5;
  this.error = type === 4 || type === 5 ? this.toError() : false; // sugar

  this.created = status === 201;
  this.accepted = status === 202;
  this.noContent = status === 204;
  this.badRequest = status === 400;
  this.unauthorized = status === 401;
  this.notAcceptable = status === 406;
  this.forbidden = status === 403;
  this.notFound = status === 404;
  this.unprocessableEntity = status === 422;
};

/***/ }),

/***/ "bbfb":
/***/ (function(module, exports, __webpack_require__) {

"use strict";


__webpack_require__("a4d3");
__webpack_require__("e01a");
__webpack_require__("d28b");
__webpack_require__("d9e2");
__webpack_require__("a630");
__webpack_require__("e260");
__webpack_require__("14d9");
__webpack_require__("fb6a");
__webpack_require__("b0c0");
__webpack_require__("d3b7");
__webpack_require__("ac1f");
__webpack_require__("00b4");
__webpack_require__("25f0");
__webpack_require__("3ca3");
__webpack_require__("159b");
__webpack_require__("ddb0");
function _toConsumableArray(arr) {
  return _arrayWithoutHoles(arr) || _iterableToArray(arr) || _unsupportedIterableToArray(arr) || _nonIterableSpread();
}
function _nonIterableSpread() {
  throw new TypeError("Invalid attempt to spread non-iterable instance.\nIn order to be iterable, non-array objects must have a [Symbol.iterator]() method.");
}
function _unsupportedIterableToArray(o, minLen) {
  if (!o) return;
  if (typeof o === "string") return _arrayLikeToArray(o, minLen);
  var n = Object.prototype.toString.call(o).slice(8, -1);
  if (n === "Object" && o.constructor) n = o.constructor.name;
  if (n === "Map" || n === "Set") return Array.from(o);
  if (n === "Arguments" || /^(?:Ui|I)nt(?:8|16|32)(?:Clamped)?Array$/.test(n)) return _arrayLikeToArray(o, minLen);
}
function _iterableToArray(iter) {
  if (typeof Symbol !== "undefined" && Symbol.iterator in Object(iter)) return Array.from(iter);
}
function _arrayWithoutHoles(arr) {
  if (Array.isArray(arr)) return _arrayLikeToArray(arr);
}
function _arrayLikeToArray(arr, len) {
  if (len == null || len > arr.length) len = arr.length;
  for (var i = 0, arr2 = new Array(len); i < len; i++) {
    arr2[i] = arr[i];
  }
  return arr2;
}
function Agent() {
  this._defaults = [];
}
['use', 'on', 'once', 'set', 'query', 'type', 'accept', 'auth', 'withCredentials', 'sortQuery', 'retry', 'ok', 'redirects', 'timeout', 'buffer', 'serialize', 'parse', 'ca', 'key', 'pfx', 'cert', 'disableTLSCerts'].forEach(function (fn) {
  // Default setting for all requests from this agent
  Agent.prototype[fn] = function () {
    for (var _len = arguments.length, args = new Array(_len), _key = 0; _key < _len; _key++) {
      args[_key] = arguments[_key];
    }
    this._defaults.push({
      fn: fn,
      args: args
    });
    return this;
  };
});
Agent.prototype._setDefaults = function (req) {
  this._defaults.forEach(function (def) {
    req[def.fn].apply(req, _toConsumableArray(def.args));
  });
};
module.exports = Agent;

/***/ }),

/***/ "fa14":
/***/ (function(module, exports, __webpack_require__) {

"use strict";


__webpack_require__("a4d3");
__webpack_require__("e01a");
__webpack_require__("d28b");
__webpack_require__("d9e2");
__webpack_require__("99af");
__webpack_require__("caad");
__webpack_require__("e260");
__webpack_require__("a15b");
__webpack_require__("fb6a");
__webpack_require__("4e82");
__webpack_require__("d3b7");
__webpack_require__("e6cf");
__webpack_require__("2532");
__webpack_require__("3ca3");
__webpack_require__("ddb0");
function _typeof(obj) {
  "@babel/helpers - typeof";

  if (typeof Symbol === "function" && typeof Symbol.iterator === "symbol") {
    _typeof = function _typeof(obj) {
      return typeof obj;
    };
  } else {
    _typeof = function _typeof(obj) {
      return obj && typeof Symbol === "function" && obj.constructor === Symbol && obj !== Symbol.prototype ? "symbol" : typeof obj;
    };
  }
  return _typeof(obj);
}

/**
 * Module of mixed-in functions shared between node and client code
 */
var isObject = __webpack_require__("3bf7");
/**
 * Expose `RequestBase`.
 */

module.exports = RequestBase;
/**
 * Initialize a new `RequestBase`.
 *
 * @api public
 */

function RequestBase(obj) {
  if (obj) return mixin(obj);
}
/**
 * Mixin the prototype properties.
 *
 * @param {Object} obj
 * @return {Object}
 * @api private
 */

function mixin(obj) {
  for (var key in RequestBase.prototype) {
    if (Object.prototype.hasOwnProperty.call(RequestBase.prototype, key)) obj[key] = RequestBase.prototype[key];
  }
  return obj;
}
/**
 * Clear previous timeout.
 *
 * @return {Request} for chaining
 * @api public
 */

RequestBase.prototype.clearTimeout = function () {
  clearTimeout(this._timer);
  clearTimeout(this._responseTimeoutTimer);
  clearTimeout(this._uploadTimeoutTimer);
  delete this._timer;
  delete this._responseTimeoutTimer;
  delete this._uploadTimeoutTimer;
  return this;
};
/**
 * Override default response body parser
 *
 * This function will be called to convert incoming data into request.body
 *
 * @param {Function}
 * @api public
 */

RequestBase.prototype.parse = function (fn) {
  this._parser = fn;
  return this;
};
/**
 * Set format of binary response body.
 * In browser valid formats are 'blob' and 'arraybuffer',
 * which return Blob and ArrayBuffer, respectively.
 *
 * In Node all values result in Buffer.
 *
 * Examples:
 *
 *      req.get('/')
 *        .responseType('blob')
 *        .end(callback);
 *
 * @param {String} val
 * @return {Request} for chaining
 * @api public
 */

RequestBase.prototype.responseType = function (val) {
  this._responseType = val;
  return this;
};
/**
 * Override default request body serializer
 *
 * This function will be called to convert data set via .send or .attach into payload to send
 *
 * @param {Function}
 * @api public
 */

RequestBase.prototype.serialize = function (fn) {
  this._serializer = fn;
  return this;
};
/**
 * Set timeouts.
 *
 * - response timeout is time between sending request and receiving the first byte of the response. Includes DNS and connection time.
 * - deadline is the time from start of the request to receiving response body in full. If the deadline is too short large files may not load at all on slow connections.
 * - upload is the time  since last bit of data was sent or received. This timeout works only if deadline timeout is off
 *
 * Value of 0 or false means no timeout.
 *
 * @param {Number|Object} ms or {response, deadline}
 * @return {Request} for chaining
 * @api public
 */

RequestBase.prototype.timeout = function (options) {
  if (!options || _typeof(options) !== 'object') {
    this._timeout = options;
    this._responseTimeout = 0;
    this._uploadTimeout = 0;
    return this;
  }
  for (var option in options) {
    if (Object.prototype.hasOwnProperty.call(options, option)) {
      switch (option) {
        case 'deadline':
          this._timeout = options.deadline;
          break;
        case 'response':
          this._responseTimeout = options.response;
          break;
        case 'upload':
          this._uploadTimeout = options.upload;
          break;
        default:
          console.warn('Unknown timeout option', option);
      }
    }
  }
  return this;
};
/**
 * Set number of retry attempts on error.
 *
 * Failed requests will be retried 'count' times if timeout or err.code >= 500.
 *
 * @param {Number} count
 * @param {Function} [fn]
 * @return {Request} for chaining
 * @api public
 */

RequestBase.prototype.retry = function (count, fn) {
  // Default to 1 if no count passed or true
  if (arguments.length === 0 || count === true) count = 1;
  if (count <= 0) count = 0;
  this._maxRetries = count;
  this._retries = 0;
  this._retryCallback = fn;
  return this;
};
var ERROR_CODES = ['ECONNRESET', 'ETIMEDOUT', 'EADDRINFO', 'ESOCKETTIMEDOUT'];
/**
 * Determine if a request should be retried.
 * (Borrowed from segmentio/superagent-retry)
 *
 * @param {Error} err an error
 * @param {Response} [res] response
 * @returns {Boolean} if segment should be retried
 */

RequestBase.prototype._shouldRetry = function (err, res) {
  if (!this._maxRetries || this._retries++ >= this._maxRetries) {
    return false;
  }
  if (this._retryCallback) {
    try {
      var override = this._retryCallback(err, res);
      if (override === true) return true;
      if (override === false) return false; // undefined falls back to defaults
    } catch (err_) {
      console.error(err_);
    }
  }
  if (res && res.status && res.status >= 500 && res.status !== 501) return true;
  if (err) {
    if (err.code && ERROR_CODES.includes(err.code)) return true; // Superagent timeout

    if (err.timeout && err.code === 'ECONNABORTED') return true;
    if (err.crossDomain) return true;
  }
  return false;
};
/**
 * Retry request
 *
 * @return {Request} for chaining
 * @api private
 */

RequestBase.prototype._retry = function () {
  this.clearTimeout(); // node

  if (this.req) {
    this.req = null;
    this.req = this.request();
  }
  this._aborted = false;
  this.timedout = false;
  this.timedoutError = null;
  return this._end();
};
/**
 * Promise support
 *
 * @param {Function} resolve
 * @param {Function} [reject]
 * @return {Request}
 */

RequestBase.prototype.then = function (resolve, reject) {
  var _this = this;
  if (!this._fullfilledPromise) {
    var self = this;
    if (this._endCalled) {
      console.warn('Warning: superagent request was sent twice, because both .end() and .then() were called. Never call .end() if you use promises');
    }
    this._fullfilledPromise = new Promise(function (resolve, reject) {
      self.on('abort', function () {
        if (_this._maxRetries && _this._maxRetries > _this._retries) {
          return;
        }
        if (_this.timedout && _this.timedoutError) {
          reject(_this.timedoutError);
          return;
        }
        var err = new Error('Aborted');
        err.code = 'ABORTED';
        err.status = _this.status;
        err.method = _this.method;
        err.url = _this.url;
        reject(err);
      });
      self.end(function (err, res) {
        if (err) reject(err);else resolve(res);
      });
    });
  }
  return this._fullfilledPromise.then(resolve, reject);
};
RequestBase.prototype.catch = function (cb) {
  return this.then(undefined, cb);
};
/**
 * Allow for extension
 */

RequestBase.prototype.use = function (fn) {
  fn(this);
  return this;
};
RequestBase.prototype.ok = function (cb) {
  if (typeof cb !== 'function') throw new Error('Callback required');
  this._okCallback = cb;
  return this;
};
RequestBase.prototype._isResponseOK = function (res) {
  if (!res) {
    return false;
  }
  if (this._okCallback) {
    return this._okCallback(res);
  }
  return res.status >= 200 && res.status < 300;
};
/**
 * Get request header `field`.
 * Case-insensitive.
 *
 * @param {String} field
 * @return {String}
 * @api public
 */

RequestBase.prototype.get = function (field) {
  return this._header[field.toLowerCase()];
};
/**
 * Get case-insensitive header `field` value.
 * This is a deprecated internal API. Use `.get(field)` instead.
 *
 * (getHeader is no longer used internally by the superagent code base)
 *
 * @param {String} field
 * @return {String}
 * @api private
 * @deprecated
 */

RequestBase.prototype.getHeader = RequestBase.prototype.get;
/**
 * Set header `field` to `val`, or multiple fields with one object.
 * Case-insensitive.
 *
 * Examples:
 *
 *      req.get('/')
 *        .set('Accept', 'application/json')
 *        .set('X-API-Key', 'foobar')
 *        .end(callback);
 *
 *      req.get('/')
 *        .set({ Accept: 'application/json', 'X-API-Key': 'foobar' })
 *        .end(callback);
 *
 * @param {String|Object} field
 * @param {String} val
 * @return {Request} for chaining
 * @api public
 */

RequestBase.prototype.set = function (field, val) {
  if (isObject(field)) {
    for (var key in field) {
      if (Object.prototype.hasOwnProperty.call(field, key)) this.set(key, field[key]);
    }
    return this;
  }
  this._header[field.toLowerCase()] = val;
  this.header[field] = val;
  return this;
};
/**
 * Remove header `field`.
 * Case-insensitive.
 *
 * Example:
 *
 *      req.get('/')
 *        .unset('User-Agent')
 *        .end(callback);
 *
 * @param {String} field field name
 */

RequestBase.prototype.unset = function (field) {
  delete this._header[field.toLowerCase()];
  delete this.header[field];
  return this;
};
/**
 * Write the field `name` and `val`, or multiple fields with one object
 * for "multipart/form-data" request bodies.
 *
 * ``` js
 * request.post('/upload')
 *   .field('foo', 'bar')
 *   .end(callback);
 *
 * request.post('/upload')
 *   .field({ foo: 'bar', baz: 'qux' })
 *   .end(callback);
 * ```
 *
 * @param {String|Object} name name of field
 * @param {String|Blob|File|Buffer|fs.ReadStream} val value of field
 * @return {Request} for chaining
 * @api public
 */

RequestBase.prototype.field = function (name, val) {
  // name should be either a string or an object.
  if (name === null || undefined === name) {
    throw new Error('.field(name, val) name can not be empty');
  }
  if (this._data) {
    throw new Error(".field() can't be used if .send() is used. Please use only .send() or only .field() & .attach()");
  }
  if (isObject(name)) {
    for (var key in name) {
      if (Object.prototype.hasOwnProperty.call(name, key)) this.field(key, name[key]);
    }
    return this;
  }
  if (Array.isArray(val)) {
    for (var i in val) {
      if (Object.prototype.hasOwnProperty.call(val, i)) this.field(name, val[i]);
    }
    return this;
  } // val should be defined now

  if (val === null || undefined === val) {
    throw new Error('.field(name, val) val can not be empty');
  }
  if (typeof val === 'boolean') {
    val = String(val);
  }
  this._getFormData().append(name, val);
  return this;
};
/**
 * Abort the request, and clear potential timeout.
 *
 * @return {Request} request
 * @api public
 */

RequestBase.prototype.abort = function () {
  if (this._aborted) {
    return this;
  }
  this._aborted = true;
  if (this.xhr) this.xhr.abort(); // browser

  if (this.req) this.req.abort(); // node

  this.clearTimeout();
  this.emit('abort');
  return this;
};
RequestBase.prototype._auth = function (user, pass, options, base64Encoder) {
  switch (options.type) {
    case 'basic':
      this.set('Authorization', "Basic ".concat(base64Encoder("".concat(user, ":").concat(pass))));
      break;
    case 'auto':
      this.username = user;
      this.password = pass;
      break;
    case 'bearer':
      // usage would be .auth(accessToken, { type: 'bearer' })
      this.set('Authorization', "Bearer ".concat(user));
      break;
    default:
      break;
  }
  return this;
};
/**
 * Enable transmission of cookies with x-domain requests.
 *
 * Note that for this to work the origin must not be
 * using "Access-Control-Allow-Origin" with a wildcard,
 * and also must set "Access-Control-Allow-Credentials"
 * to "true".
 *
 * @api public
 */

RequestBase.prototype.withCredentials = function (on) {
  // This is browser-only functionality. Node side is no-op.
  if (on === undefined) on = true;
  this._withCredentials = on;
  return this;
};
/**
 * Set the max redirects to `n`. Does nothing in browser XHR implementation.
 *
 * @param {Number} n
 * @return {Request} for chaining
 * @api public
 */

RequestBase.prototype.redirects = function (n) {
  this._maxRedirects = n;
  return this;
};
/**
 * Maximum size of buffered response body, in bytes. Counts uncompressed size.
 * Default 200MB.
 *
 * @param {Number} n number of bytes
 * @return {Request} for chaining
 */

RequestBase.prototype.maxResponseSize = function (n) {
  if (typeof n !== 'number') {
    throw new TypeError('Invalid argument');
  }
  this._maxResponseSize = n;
  return this;
};
/**
 * Convert to a plain javascript object (not JSON string) of scalar properties.
 * Note as this method is designed to return a useful non-this value,
 * it cannot be chained.
 *
 * @return {Object} describing method, url, and data of this request
 * @api public
 */

RequestBase.prototype.toJSON = function () {
  return {
    method: this.method,
    url: this.url,
    data: this._data,
    headers: this._header
  };
};
/**
 * Send `data` as the request body, defaulting the `.type()` to "json" when
 * an object is given.
 *
 * Examples:
 *
 *       // manual json
 *       request.post('/user')
 *         .type('json')
 *         .send('{"name":"tj"}')
 *         .end(callback)
 *
 *       // auto json
 *       request.post('/user')
 *         .send({ name: 'tj' })
 *         .end(callback)
 *
 *       // manual x-www-form-urlencoded
 *       request.post('/user')
 *         .type('form')
 *         .send('name=tj')
 *         .end(callback)
 *
 *       // auto x-www-form-urlencoded
 *       request.post('/user')
 *         .type('form')
 *         .send({ name: 'tj' })
 *         .end(callback)
 *
 *       // defaults to x-www-form-urlencoded
 *      request.post('/user')
 *        .send('name=tobi')
 *        .send('species=ferret')
 *        .end(callback)
 *
 * @param {String|Object} data
 * @return {Request} for chaining
 * @api public
 */
// eslint-disable-next-line complexity

RequestBase.prototype.send = function (data) {
  var isObj = isObject(data);
  var type = this._header['content-type'];
  if (this._formData) {
    throw new Error(".send() can't be used if .attach() or .field() is used. Please use only .send() or only .field() & .attach()");
  }
  if (isObj && !this._data) {
    if (Array.isArray(data)) {
      this._data = [];
    } else if (!this._isHost(data)) {
      this._data = {};
    }
  } else if (data && this._data && this._isHost(this._data)) {
    throw new Error("Can't merge these send calls");
  } // merge

  if (isObj && isObject(this._data)) {
    for (var key in data) {
      if (Object.prototype.hasOwnProperty.call(data, key)) this._data[key] = data[key];
    }
  } else if (typeof data === 'string') {
    // default to x-www-form-urlencoded
    if (!type) this.type('form');
    type = this._header['content-type'];
    if (type === 'application/x-www-form-urlencoded') {
      this._data = this._data ? "".concat(this._data, "&").concat(data) : data;
    } else {
      this._data = (this._data || '') + data;
    }
  } else {
    this._data = data;
  }
  if (!isObj || this._isHost(data)) {
    return this;
  } // default to json

  if (!type) this.type('json');
  return this;
};
/**
 * Sort `querystring` by the sort function
 *
 *
 * Examples:
 *
 *       // default order
 *       request.get('/user')
 *         .query('name=Nick')
 *         .query('search=Manny')
 *         .sortQuery()
 *         .end(callback)
 *
 *       // customized sort function
 *       request.get('/user')
 *         .query('name=Nick')
 *         .query('search=Manny')
 *         .sortQuery(function(a, b){
 *           return a.length - b.length;
 *         })
 *         .end(callback)
 *
 *
 * @param {Function} sort
 * @return {Request} for chaining
 * @api public
 */

RequestBase.prototype.sortQuery = function (sort) {
  // _sort default to true but otherwise can be a function or boolean
  this._sort = typeof sort === 'undefined' ? true : sort;
  return this;
};
/**
 * Compose querystring to append to req.url
 *
 * @api private
 */

RequestBase.prototype._finalizeQueryString = function () {
  var query = this._query.join('&');
  if (query) {
    this.url += (this.url.includes('?') ? '&' : '?') + query;
  }
  this._query.length = 0; // Makes the call idempotent

  if (this._sort) {
    var index = this.url.indexOf('?');
    if (index >= 0) {
      var queryArr = this.url.slice(index + 1).split('&');
      if (typeof this._sort === 'function') {
        queryArr.sort(this._sort);
      } else {
        queryArr.sort();
      }
      this.url = this.url.slice(0, index) + '?' + queryArr.join('&');
    }
  }
}; // For backwards compat only

RequestBase.prototype._appendQueryString = function () {
  console.warn('Unsupported');
};
/**
 * Invoke callback with timeout error.
 *
 * @api private
 */

RequestBase.prototype._timeoutError = function (reason, timeout, errno) {
  if (this._aborted) {
    return;
  }
  var err = new Error("".concat(reason + timeout, "ms exceeded"));
  err.timeout = timeout;
  err.code = 'ECONNABORTED';
  err.errno = errno;
  this.timedout = true;
  this.timedoutError = err;
  this.abort();
  this.callback(err);
};
RequestBase.prototype._setTimeouts = function () {
  var self = this; // deadline

  if (this._timeout && !this._timer) {
    this._timer = setTimeout(function () {
      self._timeoutError('Timeout of ', self._timeout, 'ETIME');
    }, this._timeout);
  } // response timeout

  if (this._responseTimeout && !this._responseTimeoutTimer) {
    this._responseTimeoutTimer = setTimeout(function () {
      self._timeoutError('Response timeout of ', self._responseTimeout, 'ETIMEDOUT');
    }, this._responseTimeout);
  }
};

/***/ })

}]);
//# sourceMappingURL=visualization-cockpit.umd.6.js.map